Mon Feb 09 12:01:28 CST 2009  Phil Mesnier  <mesnier_p@ociweb.com>

	* TAO version 1.6.8 released.

Mon Feb  9 17:33:32 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:
        
          Updated news file.

Thu Feb  5 23:40:24 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:
        
          Added check for use of forward declared struct or union in
          operation return type, similar to what exists for operation
          parameters. Thanks to Ron van Hoof <rvhoof27@gmail.com> for
          reporting the bug.
     
        * TAO_IDL/ast/ast_interface.cpp (fwd_redefinition_helper):
        
          Added check for forward declared struct or union being fully
          defined as an interface, valuetype or component.
          
        * TAO_IDL/util/utl_err.cpp (redef_error):
        * TAO_IDL/include/utl_err.h:
        
          Added const qualifier to both parameters of redef_error().

Thu Feb  5 13:48:13 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/default_client.cpp:
          Added TAO_USE_WAIT_ON_LF_NO_UPCALL as new define with which
          the wait strategy can be set to lf_no_upcall

        * tao/ORB_Core.cpp:
          Const change

Wed Feb  4 19:43:13 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Transport_Cache_Manager_T.h:
        * tao/Transport_Cache_Manager_T.inl:
        * tao/Transport_Cache_Manager_T.cpp:
          Renamed PS template parameter, the gcc 3.3.2 compiler on
          Solaris 9 seems to believe there is a numeric constant by that
          name.

        * tao/Makefile.am:
          updated to reflect recent cache refactoring changes.

Wed Feb  4  13:51:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Muxed_TMS.cpp:
          Fixed compile warning

Tue Feb  3 15:43:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Transport_Cache_Manager/Bug_3549_Regression.cpp:
          Updated for TCM interface change

Tue Feb  3 15:41:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport_Cache_Manager_T.cpp:
        * tao/Transport_Cache_Manager_T.h:
        * tao/Transport_Cache_Manager_T.inl:
          Renamed TDT to TRDT in an attempt to fix Sun GCC issues

Tue Feb  3 15:07:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Cache_Entries_T.h:
        * tao/Cache_Entries_T.inl:
          Removed ENTRY_IDLE_BUT_NOT_PURGABLE state. This was the initial state
          a transport was set when it got connected, but this prevents the
          transport to get purged when the cache is getting full. When the server
          has been called by a lot of clients but didn't make invocations back
          we have a lot of transports with this state and at the end the cache
          got full. The disadvantage is that when we have a transport that has
          been connected but not used until now it gets purged, when we then
          need it again we have to recreate it.

        * tao/Exclusive_TMS.cpp:
        * tao/Exclusive_TMS.h:
        * tao/Muxed_TMS.cpp:
        * tao/Muxed_TMS.h:
        * tao/Transport_Mux_Strategy.h:
          Added a has_request, the TMS does now if we have pending
          requests on a transport. When a transport has pending
          request we can't purge it.

        * tao/IIOP_Connection_Handler.cpp:
        * tao/Strategies/SCIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
          Call cache_transport instead of cache_idle_transport

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
          Fixed unicode logging issue

        * tao/Transport.cpp:
        * tao/Transport.h:
          Added can_be_purged that is used by the TCM

        * tao/Transport_Cache_Manager_T.cpp:
        * tao/Transport_Cache_Manager_T.h:
        * tao/Transport_Cache_Manager_T.inl:
          Updated for the removed state and when selecting the transports
          that can be purged also check the can_be_purged on the transport

        * tao/Transport_Connector.cpp:
          Unicode fix

        * tests/Transport_Cache_Manager/Bug_3558_Regression.cpp:
        * tests/Transport_Cache_Manager/mock_transport.h:
          Updated for TCM/Transport changes

Tue Feb  3 13:49:37 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst
        * tests/Bug_3558_Regression
        * tests/Bug_3558_Regression/Bug_3558_Regression.mpc
        * tests/Bug_3558_Regression/client.cpp
        * tests/Bug_3558_Regression/Hello.cpp
        * tests/Bug_3558_Regression/Hello.h
        * tests/Bug_3558_Regression/Makefile.am
        * tests/Bug_3558_Regression/README
        * tests/Bug_3558_Regression/run_test.pl
        * tests/Bug_3558_Regression/server.cpp
        * tests/Bug_3558_Regression/Test.idl

          Added regression test for bug #3558

Tue Feb  3 12:34:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Connector.cpp:
          Fixed layout of debug message

Mon Feb  2 19:09:50 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/tao_idl.mpc:

          Moved all generation of fe elements to separate project
          which must be explicitly enabled.

Mon Feb  2 18:47:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup_Loader.{h,cpp}:
          Fixed unicode problem

Mon Feb  2 15:21:26 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/fe/fe_lookup.cpp
        * TAO_IDL/fe/fe_lookup.cpp
        * TAO_IDL/fe/lex.yy.cpp

          Forced a commit of these to shut up the build system and prevent re-generation
          file during compilation.

Mon Feb  2 14:52:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport_Cache_Manager_T.cpp:
          Fixed compile problems with GCC

Mon Feb  2 14:42:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ZIOP/ZIOP.cpp:
          Added missing include

        * tao/Transport_Cache_Manager_T.h:
          Doxygen change

Mon Feb  2 13:30:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Root_POA.cpp (check_for_valid_wait_for_completions):
          Also check whether the poa member is not zero, when retrieving the
          orb_core we use that pointer and could crash if it is zero

        * tao/PortableServer/POA_Current_Impl.h:
          Doxygen change

Mon Feb  2 13:01:17 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3559_Regression/run_test.pl:
          Fixed error in script for WinCE. Script should be waiting for logfile
          before calling WaitKill(). Also removed debug command line parameter
          since this isn't used by the server.

Mon Feb  2 12:14:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport_Cache_Manager_T.cpp:
          Store the transports to be purged into a set and use that set
          for the purging. This way we most oldest lru transport first, then
          work towards the more recent used transports. This fixes bugzilla
          3549

Mon Feb  2 11:48:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Transport_Cache_Manager/Bug_3549_Regression.cpp:
          Improved debug message

        * tests/Transport_Cache_Manager/Bug_3558_Regression.cpp:
        * tests/Transport_Cache_Manager/run_test.pl:
        * tests/Transport_Cache_Manager/TCM.mpc:
          Added regression test for bugzilla 3558

Mon Feb  2 11:18:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport_Cache_Manager.h:
        * tao/Transport_Cache_Manager_T.cpp:
        * tao/Transport_Cache_Manager_T.h:
        * tao/Transport_Cache_Manager_T.inl:
          The purging strategy is now also a template argument

Mon Feb  2 10:54:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Transport_Cache_Manager directory

        * tests/Transport_Cache_Manager/*:
          New directory for just TCM tests using a mock transport,
          transport descriptor interface, and purging strategy.

Mon Feb  2 09:15:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:

          Fix Bug_3559.

Mon Feb  2 08:00:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Thread_Lane_Resources.cpp:
        * tao/Transport_Cache_Manager_T.cpp:
        * tao/Transport_Cache_Manager_T.h:
          Changed the constructor of the TCM to accept all different config
          values seperately instead of accepting the orb_core. This makes
          it easier to write unit tests for the TCM

Mon Feb  2 07:29:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControl/Control_Registry.h:
          Added missing include due to transport cache manager refactoring

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.h:
          Updated for Messaging_Semantics move

Sat Jan 31 21:30:17 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/AV/AV_Core.h:

          Fixes for versioned namespace.

Fri Jan 30 14:52:30 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.h:
        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.cpp:
        * tao/AnyTypeCode/NVList_Adapter_Impl.h:
        * tao/AnyTypeCode/NVList_Adapter_Impl.cpp:
        * tao/BiDir_GIOP/BiDirGIOP.h:
        * tao/BiDir_GIOP/BiDirGIOP.cpp:
        * tao/CORBALOC_Parser.h:
        * tao/CORBALOC_Parser.cpp:
        * tao/CORBANAME_Parser.h:
        * tao/CORBANAME_Parser.cpp:
        * tao/CSD_Framework/CSD_Framework_Loader.h:
        * tao/CSD_Framework/CSD_Framework_Loader.cpp:
        * tao/CSD_Framework/CSD_Object_Adapter_Factory.h:
        * tao/CSD_Framework/CSD_Object_Adapter_Factory.cpp:
        * tao/CSD_Framework/CSD_Strategy_Repository.h:
        * tao/CSD_Framework/CSD_Strategy_Repository.cpp:
        * tao/CodecFactory/CodecFactory.h:
        * tao/CodecFactory/CodecFactory.cpp:
        * tao/Codeset/Codeset_Manager_Factory.h:
        * tao/Codeset/Codeset_Manager_Factory.cpp:
        * tao/Codeset/UTF16_BOM_Factory.h:
        * tao/Codeset/UTF16_BOM_Factory.cpp:
        * tao/Codeset/UTF8_Latin1_Factory.h:
        * tao/Codeset/UTF8_Latin1_Factory.cpp:
        * tao/Codeset_Manager_Factory_Base.h:
        * tao/Codeset_Manager_Factory_Base.cpp:
        * tao/DLL_Parser.h:
        * tao/DLL_Parser.cpp:
        * tao/Default_Collocation_Resolver.h:
        * tao/Default_Collocation_Resolver.cpp:
        * tao/Default_Endpoint_Selector_Factory.h:
        * tao/Default_Endpoint_Selector_Factory.cpp:
        * tao/Default_Stub_Factory.h:
        * tao/Default_Stub_Factory.cpp:
        * tao/Default_Thread_Lane_Resources_Manager.h:
        * tao/Default_Thread_Lane_Resources_Manager.cpp:
        * tao/DiffServPolicy/DiffServPolicy.h:
        * tao/DiffServPolicy/DiffServPolicy.cpp:
        * tao/DiffServPolicy/DiffServ_Network_Priority_Hook.h:
        * tao/DiffServPolicy/DiffServ_Network_Priority_Hook.cpp:
        * tao/DiffServPolicy/DiffServ_Protocols_Hooks.h:
        * tao/DiffServPolicy/DiffServ_Protocols_Hooks.cpp:
        * tao/DynamicAny/DynamicAny.h:
        * tao/DynamicAny/DynamicAny.cpp:
        * tao/EndpointPolicy/EndpointPolicy.h:
        * tao/EndpointPolicy/EndpointPolicy.cpp:
        * tao/EndpointPolicy/Endpoint_Acceptor_Filter_Factory.h:
        * tao/EndpointPolicy/Endpoint_Acceptor_Filter_Factory.cpp:
        * tao/FILE_Parser.h:
        * tao/FILE_Parser.cpp:
        * tao/HTTP_Parser.h:
        * tao/HTTP_Parser.cpp:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.h:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.cpp:
        * tao/IIOP_Factory.h:
        * tao/IIOP_Factory.cpp:
        * tao/IORManipulation/IORManip_Loader.h:
        * tao/IORManipulation/IORManip_Loader.cpp:
        * tao/ImR_Client/ImR_Client.h:
        * tao/ImR_Client/ImR_Client.cpp:
        * tao/MCAST_Parser.h:
        * tao/MCAST_Parser.cpp:
        * tao/Messaging/AMI_Arguments_Converter_Impl.h:
        * tao/Messaging/AMI_Arguments_Converter_Impl.cpp:
        * tao/Messaging/Messaging_Loader.h:
        * tao/Messaging/Messaging_Loader.cpp:
        * tao/Monitor/Monitor.h:
        * tao/Monitor/Monitor.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.cpp:
        * tao/PI/ClientRequestInterceptor_Factory_Impl.h:
        * tao/PI/ClientRequestInterceptor_Factory_Impl.cpp:
        * tao/PI/ORBInitializer_Registry_Impl.h:
        * tao/PI/ORBInitializer_Registry_Impl.cpp:
        * tao/PI/PICurrent_Loader.h:
        * tao/PI/PICurrent_Loader.cpp:
        * tao/PI/PolicyFactory_Loader.h:
        * tao/PI/PolicyFactory_Loader.cpp:
        * tao/PI_Server/PI_Server_Loader.h:
        * tao/PI_Server/PI_Server_Loader.cpp:
        * tao/PI_Server/ServerRequestInterceptor_Factory_Impl.h:
        * tao/PI_Server/ServerRequestInterceptor_Factory_Impl.cpp:
        * tao/PortableServer/Acceptor_Filter_Factory.h:
        * tao/PortableServer/Acceptor_Filter_Factory.cpp:
        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.h:
        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdAssignmentStrategySystem.h:
        * tao/PortableServer/IdAssignmentStrategySystem.cpp:
        * tao/PortableServer/IdAssignmentStrategyUser.h:
        * tao/PortableServer/IdAssignmentStrategyUser.cpp:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.h:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyMultiple.h:
        * tao/PortableServer/IdUniquenessStrategyMultiple.cpp:
        * tao/PortableServer/IdUniquenessStrategyUnique.h:
        * tao/PortableServer/IdUniquenessStrategyUnique.cpp:
        * tao/PortableServer/IdUniquenessStrategyUniqueFactoryImpl.h:
        * tao/PortableServer/IdUniquenessStrategyUniqueFactoryImpl.cpp:
        * tao/PortableServer/ImplicitActivationStrategyExplicit.h:
        * tao/PortableServer/ImplicitActivationStrategyExplicit.cpp:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.h:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.cpp:
        * tao/PortableServer/ImplicitActivationStrategyImplicit.h:
        * tao/PortableServer/ImplicitActivationStrategyImplicit.cpp:
        * tao/PortableServer/LifespanStrategyFactoryImpl.h:
        * tao/PortableServer/LifespanStrategyFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyPersistentFactoryImpl.h:
        * tao/PortableServer/LifespanStrategyPersistentFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyTransientFactoryImpl.h:
        * tao/PortableServer/LifespanStrategyTransientFactoryImpl.cpp:
        * tao/PortableServer/Network_Priority_Hook.h:
        * tao/PortableServer/Network_Priority_Hook.cpp:
        * tao/PortableServer/Object_Adapter_Factory.h:
        * tao/PortableServer/Object_Adapter_Factory.cpp:
        * tao/PortableServer/POA_Current_Factory.h:
        * tao/PortableServer/POA_Current_Factory.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.h:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.h:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.h:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.h:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.h:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.cpp:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.h:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.h:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetainFactoryImpl.h:
        * tao/PortableServer/ServantRetentionStrategyRetainFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategyFactoryImpl.h:
        * tao/PortableServer/ThreadStrategyFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategyORBControl.h:
        * tao/PortableServer/ThreadStrategyORBControl.cpp:
        * tao/PortableServer/ThreadStrategySingle.h:
        * tao/PortableServer/ThreadStrategySingle.cpp:
        * tao/PortableServer/ThreadStrategySingleFactoryImpl.h:
        * tao/PortableServer/ThreadStrategySingleFactoryImpl.cpp:
        * tao/RTCORBA/RT_Endpoint_Selector_Factory.h:
        * tao/RTCORBA/RT_Endpoint_Selector_Factory.cpp:
        * tao/RTCORBA/RT_ORB_Loader.h:
        * tao/RTCORBA/RT_ORB_Loader.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.h:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:
        * tao/RTCORBA/RT_Stub_Factory.h:
        * tao/RTCORBA/RT_Stub_Factory.cpp:
        * tao/RTCORBA/RT_Thread_Lane_Resources_Manager.h:
        * tao/RTCORBA/RT_Thread_Lane_Resources_Manager.cpp:
        * tao/RTPortableServer/RT_Collocation_Resolver.h:
        * tao/RTPortableServer/RT_Collocation_Resolver.cpp:
        * tao/RTPortableServer/RT_Object_Adapter_Factory.h:
        * tao/RTPortableServer/RT_Object_Adapter_Factory.cpp:
        * tao/Strategies/COIOP_Factory.h:
        * tao/Strategies/COIOP_Factory.cpp:
        * tao/Strategies/DIOP_Factory.h:
        * tao/Strategies/DIOP_Factory.cpp:
        * tao/Strategies/OC_Endpoint_Selector_Factory.h:
        * tao/Strategies/OC_Endpoint_Selector_Factory.cpp:
        * tao/Strategies/SCIOP_Factory.h:
        * tao/Strategies/SCIOP_Factory.cpp:
        * tao/Strategies/SHMIOP_Factory.h:
        * tao/Strategies/SHMIOP_Factory.cpp:
        * tao/Strategies/UIOP_Factory.h:
        * tao/Strategies/UIOP_Factory.cpp:
        * tao/Strategies/advanced_resource.h:
        * tao/Strategies/advanced_resource.cpp:
        * tao/TransportCurrent/Current_Loader.h:
        * tao/TransportCurrent/IIOP_Current_Loader.h:
        * tao/TransportCurrent/IIOP_Current_Loader.cpp:
        * tao/Valuetype/Valuetype_Adapter_Factory_Impl.h:
        * tao/Valuetype/Valuetype_Adapter_Factory_Impl.cpp:
        * tao/ZIOP/ZIOP.h:
        * tao/ZIOP/ZIOP.cpp:
        * tao/ZIOP/ZIOP_Stub_Factory.h:
        * tao/ZIOP/ZIOP_Stub_Factory.cpp:
        * tao/default_client.h:
        * tao/default_client.cpp:
        * tao/default_resource.h:
        * tao/default_resource.cpp:
        * tao/default_server.h:
        * tao/default_server.cpp:

          Enclosed service declarations/definitions and factory functions
          in versioned namespace markers to better able handle mixing
          versioned and unversioned compilations working together in
          shared namespaces.

Fri Jan 30 14:10:14 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CDR.inl:
          Add include of SystemException for inline builds

Fri Jan 30 12:39:14 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/default_resource.cpp:
        * tao/Load_Protocol_Factory_T.h:
        * tao/TAO_Internal.cpp:
          Updated debug statements to get the same layout of the messages

Fri Jan 30 10:57:14 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Message_Semantics.h:
        * tao/Transport.cpp:
        * tao/Transport.h:
          Moved Message_Semantics out of the transport and to its own file,
          this breaks some circular includes I got because CDR was dependent
          on transport

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:
          Updated for Messaging_Semantics move

        * orbsvcs/tests/Interoperable_Naming/run_test.pl:
          Layout changes

        * tao/BiDir_GIOP/BiDir_Service_Context_Handler.cpp:
          Add missing include of Transport.h

        * tao/Cache_Entries.{h,cpp,inl}:
          Removed

        * tao/Cache_Entries_T.{h,cpp,inl}:
          The original cache entry class now as C++ template

        * tao/CDR.{h,cpp,inl}:
          Break dependency on TAO_Transport and updated Message_Semantics

        * tao/GIOP_Message_Base.cpp:
        * tao/IIOP_Transport.h:
        * tao/LocateRequest_Invocation.cpp:
        * tao/Messaging/AMH_Response_Handler.cpp:
        * tao/Messaging/Asynch_Invocation.cpp:
        * tao/Remote_Invocation.{h,inl}
        * tao/Strategies/COIOP_Transport.h:
        * tao/Strategies/DIOP_Transport.h:
        * tao/Strategies/SCIOP_Transport.h:
        * tao/Strategies/SHMIOP_Transport.h:
        * tao/Strategies/UIOP_Transport.h:
        * tao/Synch_Invocation.cpp
        * tao/TAO_Server_Request.cpp
          Updated for Message_Semantics move

        * tao/Invocation_Base.h:
          Added missing include which was implicit in the past

        * tao/Profile_Transport_Resolver.cpp:
          Added missing include

        * tao/RTCORBA/Thread_Pool.cpp:
          Removed not needed include

        * tao/tao.mpc:
          Updated

        * tao/Thread_Lane_Resources.cpp:
        * tao/Thread_Lane_Resources.h:
          Updated includes

        * tao/Transport_Cache_Manager.{h,cpp,inl}:
        * tao/Transport_Cache_Manager_T.{h,cpp,inl}:
        * tao/Transport_Cache_Manager.h:
          Refactored the existing transport cache manager into a C++
          template and then use that in Transport_Cache_Manager.h to
          not break existing interfaces. Having the tcm being a C++
          template we can create a mock transport and start writing
          regression tests for the purging behaviour without the
          requirement to have a real transport in place

Fri Jan 30 09:40:14 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/CDR.inl:

          There was a problem with my previous commit which I fixed.
          Thu Jan 29 11:06:36 UTC 2009  Vladimir Zykov  <vz@prismtech.com>
          Before checking whether string bound is violated
          it has to check whether bound is not 0. Otherwise bound
          is not set.

Thu Jan 29 20:13:14 UTC 2009  Marcel Smit  <msmit@remedy.nl>

      * tests/POA/Forwarding/run_test.pl:
        Number of server test targets reduced to 1.

Thu Jan 29 19:59:53 UTC 2009  Marcel Smit  <msmit@remedy.nl>

      * tests/Bug_3559_Regression/Bug_3559_Regression_Test.cpp:

        Fixed some minor bugs.

Thu Jan 29 15:00:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * tests/Bug_3559_Regression/run_test.pl:

          Fixed Fuzz errors.

Thu Jan 29 14:40:57 UTC 2009  Marcel Smit  <msmit@remedy.nl>

      * tests/DSI_Gateway/run_exception_test.pl:
      * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl:

        Fixed some runtime errors.

Thu Jan 29 11:06:36 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/CDR.inl:
        * tao/CDR.h:
        * TAO_IDL/be/be_visitor_union_branch/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/field_cdr_cs.cpp:
        * TAO_IDL/be/be_visitor_field/cdr_op_cs.cpp:

          Removed to_bounded_string and from_bounded_string structs.
          It turned out they are unnecessary.

Thu Jan 29 10:32:52 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Transport.cpp:
        * tao/Strategies/SCIOP_Transport.cpp:
          Use operator!

Thu Jan 29 09:28:52 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3559_Regression/Bug_3559_Regression_Test.cpp:
          Optimized error logging.

Thu Jan 29 09:05:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * bin/tao_orb_tests.lst:
        * tests/Bug_3559_Regression/Bug_3559_Regression_Test.cpp:
        * tests/Bug_3559_Regression/check.cpp:
        * tests/Bug_3559_Regression/run_test.pl:
        * tests/Bug_3559_Regression/struct.idl:

          Added this regression test (No fix committed yet).

Thu Jan 29 08:53:25 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3559_Regression/Bug_3559_Regression_Test.cpp:

          Fixed compiler error on WinCE.

Wed Jan 28 23:18:40 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tests/Bug_3559_Regression/Bug_3559_Regression_Test.cpp:

          Fixed #include of lowercase ace.h.

Wed Jan 28 20:22:51 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:

          These files moved here from $ACE_ROOT/bin, see bug 2748 and the
          ACE ChangeLog entry for Wed Jan 28 20:22:45 UTC 2009.

Wed Jan 28 14:32:17 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Transport_Connector.cpp:

          Fix fuzz errors.

Wed Jan 28 010:09:47 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3559_Regression:
        * tests/Bug_3559_Regression/Bug_3559_Regression_Test.cpp:
        * tests/Bug_3559_Regression/Bug_3559_Regression_Test.mpc:
        * tests/Bug_3559_Regression/run_test.pl:

          Added a new regression test for bug 3559.
          This test is there to check whether the logging framework
          logs timestamps when -ORBVerboseLogging and -ORBLogFile
          are set. The test initializes the ORB with -ORBVerboseLogging
          set to 0, 1 and 2. This test checks whether the logging flags are
          set properly and afterward it checks the generated log file.

Wed Jan 28 08:59:25 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Sequence_Unit_Tests/unbounded_sequence_cdr_ut.cpp:

          Fixed another compilation error after a fix for bug#3524.

Tue Jan 27 22:26:59 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/be/be_visitor_array/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_field/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/serializer_op_cs.cpp:

          Reverted a small portion of:
          Mon Jan 19 16:16:24 UTC 2009  Vladimir Zykov  <vz@prismtech.com>
          Because these files are only for -Gdcps, which doesn't use tao/CDR.h
          for serialization primitives.

Tue Jan 27 16:55:49 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Sequence_Unit_Tests/bounded_sequence_cdr_ut.cpp:

          Fixed a compilation error after a fix for bug#3524.

Tue Jan 27 16:13:41 UTC 2009  James Chappell  <chappell_j@ociweb.com>

        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/Notify_Service.cpp:

        * orbsvcs/orbsvcs/CosNotification.mpc:

        * orbsvcs/orbsvcs/Notify/Admin.h:
        * orbsvcs/orbsvcs/Notify/Admin.cpp:

        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.cpp:

        * orbsvcs/orbsvcs/Notify/Builder.h:
        * orbsvcs/orbsvcs/Notify/Builder.cpp:
        * orbsvcs/orbsvcs/Notify/Consumer.h:
        * orbsvcs/orbsvcs/Notify/Consumer.cpp:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.h:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.h:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannel.h:
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.h:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.h:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/FilterFactory.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.h:
        * orbsvcs/orbsvcs/Notify/Properties.inl:
        * orbsvcs/orbsvcs/Notify/Properties.cpp:
        * orbsvcs/orbsvcs/Notify/Proxy.h:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.h:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.h:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:

        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.cpp:

        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.cpp:

        * orbsvcs/orbsvcs/Notify/Supplier.h:
        * orbsvcs/orbsvcs/Notify/Supplier.cpp:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:

        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.h:
        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.cpp:
        * orbsvcs/tests/Notify/Test_Filter/Test_Filter.mpc:
        Undo previous check in.

Mon Jan 26 19:41:44 UTC 2009  James Chappell  <chappell_j@ociweb.com>

        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/Notify_Service.cpp:

          - Added LoggingWorker thread to run an reactor for Logging Strategy.
            This would support the log file switch and roll over.

          - To use this feature:
            1) run Notification_Service with "-LoggingInterval <seconds>".

            2) add Logging_Strategy directive to service configuration file.
               e.g.
               dynamic Logging_Strategy Service_Object* ACE:_make_ACE_Logging_Strategy()
               "-s NS -f OSTREAM -t 0 -m 1024 -w"

        * orbsvcs/orbsvcs/CosNotification.mpc:
        * orbsvcs/orbsvcs/Notify/Admin.h:
        * orbsvcs/orbsvcs/Notify/Admin.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Builder.h:
        * orbsvcs/orbsvcs/Notify/Builder.cpp:
        * orbsvcs/orbsvcs/Notify/Consumer.h:
        * orbsvcs/orbsvcs/Notify/Consumer.cpp:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.h:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.h:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannel.h:
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.h:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.h:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/FilterFactory.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.h:
        * orbsvcs/orbsvcs/Notify/Properties.inl:
        * orbsvcs/orbsvcs/Notify/Properties.cpp:
        * orbsvcs/orbsvcs/Notify/Proxy.h:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.h:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.h:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.cpp:

        * orbsvcs/orbsvcs/Notify/Supplier.h:
        * orbsvcs/orbsvcs/Notify/Supplier.cpp:

        - Added proxy cleanup feature. It peridically validates the connection
          to all clients via _non_exist() call. It records when last pushing
          occurs to reduce the number of _non_exist() calls. If the validate
          connection caught non-TIMEOUT exception then the NotificationService
          disconnect the client.

           To use this feature, add
           "-ValidateClient -ValidateClientDelay <seconds> -ValidateClientInterval <seconds>"
           to TAO_CosNotify_Service directive in service configuration.
           e.g.
           static TAO_CosNotify_Service
           "-ValidateClient -ValidateClientDelay 1 -ValidateClientInterval 10"

           The -ValidateClient needs be used for -ValidateClientDelay and
           -ValidateClientInterval options to take effect. The -ValidateClientDelay
           is the validate delay after init and the -ValidateClientInterval is the
           interval for periodic validations.

         - Fixed filter persistent.

           The previous version saves the filter IOR to persistent data, the IOR is
           never valid after the NotificationService restart as it's activated by root
           poa which is not a persistent POA. Instead, the filter constraints are saved.

           As filter is independent from admin or proxy object, the filter factory now
           keeps track the filter objects and assigns a unique id to each filter. The
           admin and proxy reference the filter with its unique id ("MapId"). When the
           persistent data is loaded at init time, the filter factory creates the filters
           with the specified ids and constraints and provides reference when loading
           admin and proxy that reference it.

         - Rolled back following changes as the changes actually still create filter
            factory servant singleton but activate it with default poa to create each
            filter factory object reference for each event channel.

        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:

          - Removed %a in task activate failure logging message to avoid abort
            upon failure.
          - Made task activate failure due to EAGAIN to raise NO_RESOURCES
            exception instead of BAD_PARAM.

        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.h:
        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.cpp:
        * orbsvcs/tests/Notify/Test_Filter/Test_Filter.mpc:
         Updated to accomodate above changes.


Mon Jan 26 18:54:58 UTC 2009  James Chappell  <chappell_j@ociweb.com>

        * tests/BiDirectional_DelayedUpcall/test_i.h:
        * tests/Bug_1383_Regression/simple_i.h:
          Remove compile AIX compile warnings.

Mon Jan 26 17:17:56 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Transport_Connector.cpp:

          Fix for bug 3557, reordered the evaluation of the endpoint so
          that one associated with a bidirectional transport may be found
          in the cache even if the address may not be valid, such as
          containing an unresolvable hostname. The endpoint is still
          validated before a new connection is attempted.

          Also included some minor formatting changes.

        * tests/BiDirectional/run_test3557.pl:

          New test to validate this fix.

Mon Jan 26 15:42:05 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/POA/Forwarding/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl:
          Optimized scripts for Win CE targets

Mon Jan 26 15:35:24 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/DII_AMI_Forward/run_test.pl:
        * tests/DSI_AMH/run_test.pl:
        * tests/DSI_AMI_Gateway/run_exception_test.pl:
        * tests/DSI_AMI_Gateway/run_test.pl:
        * tests/DSI_Gateway/run_exception_test.pl:
        * tests/DSI_Gateway/run_test.pl:
          Made "fuzz" compliant.

Mon Jan 26 11:13:49 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_3524_Regression/client.cpp:
        * tests/Bug_3524_Regression/test_i.cpp:

          Fixed this test on CodeGear builds.

Fri Jan 23 23:05:42 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Request_Dispatcher.cpp:
        * orbsvcs/orbsvcs/PortableGroup/Portable_Group_Map.cpp:

          Updated code that calls orb_core->adapter_registry ()
          because the return type is now a reference and not a pointer.

Fri Jan 23 21:31:09 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/CodecFactory/IOP_Codec_include.pidl:
        * tao/Compression/Compression_include.pidl:
        * tao/IORInterceptor/IORInfo.pidl:
        * tao/Monitor/Monitor_include.pidl:
        * tao/ObjRefTemplate/ObjectReferenceTemplate_include.pidl:
        * tao/PI/PI_include.pidl:
        * tao/PI_Server/PI_Server_include.pidl:
        * tao/PortableServer/PortableServer_include.pidl:
        * tao/RTCORBA/RTCORBA_include.pidl:
        * tao/RTPortableServer/RTPortableServer_include.pidl:
        * tao/RTScheduling/RTScheduler_include.pidl:

          Modification to yesterday's commit:
          Thu Jan 22 22:58:21 UTC 2009  Adam Mitz  <mitza@ociweb.com>
          Now using a different workaround as suggested by Johnny Willemsen.

Fri Jan 23 15:21:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CORBALOC_Parser.cpp:
          Use prefix increment

        * tao/default_resource.cpp:
        * tao/ORB.cpp:
        * tao/ORB_Core.cpp:
        * tao/Transport.cpp:
          Various fixes and improvements to debug messages

        * tao/Strategies/DIOP_Profile.cpp:
          Log an error why the IOR is invalid

Fri Jan 23 13:17:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/ForwardRequest/run_test.pl:
        * tests/Portable_Interceptors/PolicyFactory/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/run_test.pl:
        * tests/Portable_Interceptors/Redirection/run_test.pl:
          Optimized scripts for Win CE targets

Fri Jan 23 08:03:58 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/POA/EndpointPolicy/run_test_dh.pl:
        * tests/POA/EndpointPolicy/run_test_lh.pl:
        * tests/POA/Explicit_Activation/run_test.pl:
        * tests/POA/Loader/run_test.pl:
        * tests/POA/On_Demand_Activation/run_test.pl:
        * tests/POA/On_Demand_Loading/run_test.pl:
        * tests/POA/Reference_Counted_Servant/run_test.pl:
        * tests/Portable_Interceptors/Redirection/run_test.pl:
          Made "fuzz" compliant.

Fri Jan 23 07:58:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3547_Regression/Stock_Quoter_Client.cpp:
          Destroy the orb before exiting

Fri Jan 23 06:39:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Cache_Entries.{inl,cpp}:
          Uninlined recycle_state it now calls the transport to get the
          id. The state will soon move to the transport.

Thu Jan 22 22:58:21 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/CodecFactory/IOP_Codec_include.pidl:
        * tao/Compression/Compression_include.pidl:
        * tao/Monitor/Monitor_include.pidl:
        * tao/ObjRefTemplate/ObjectReferenceTemplate_include.pidl:
        * tao/PI/PI_include.pidl:
        * tao/PI_Server/PI_Server_include.pidl:
        * tao/PortableServer/PortableServer_include.pidl:
        * tao/RTCORBA/RTCORBA_include.pidl:
        * tao/RTPortableServer/RTPortableServer_include.pidl:
        * tao/RTScheduling/RTScheduler_include.pidl:

          Due to a feature of the Visual Age C++ preprocessor, files
          that do not have any non-preprocessor non-comment text in them
          will not have #line values emitted.  This causes a problem for
          tao_idl as it uses the #line text to determine which include files
          to place in the generated files.  Not having the correct include
          files in the generated C++ files may cause compilation errors.  In
          order to get the preprocessor to emit the #line text for this
          .pidl file, I have added a dummy typedef inside a dummy module.
          This causes the right include files to be added to IDL generated
          source files.  Thanks to Chad Elliott for the initial implementation
          of this workaround.

Thu Jan 22 20:17:43 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/lex.yy.cpp.diff:

          Re-generated lex.yy.cpp from idl.ll (see previous commit)
          using flex 2.5.33.
          This required updating the diff to *not* change n from size_t to
          int, since having it as an int generates signed/unsigned warnings.

Thu Jan 22 20:15:54 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/fe/idl.ll:
        * orbsvcs/examples/ImR/Combined_Service/test.cpp:
        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:

          Fixed GCC 4.3 warnings.

        * TAO_IDL/fe/fe_lookup.cpp:

          Re-generated fe_lookup.cpp based on the updated command in the
          mpc file committed in:
          Wed Dec 17 15:39:46 UTC 2008  Adam Mitz  <mitza@ociweb.com>

Thu Jan 22 18:35:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/orbconf.h:
          Check whether ACE_HAS_SENDFILE is set to 0 or 1

Thu Jan 22 18:27:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Cache_Entries.inl:
          Print the transport id instead of the transport pointer

        * ace/Connection_Handler.cpp:
          Const change

        * ace/Generic_Sequence_T.h:
          Layout change

        * ace/GIOP_Message_Base.cpp:
          Const change and directly set a local variable

        * ace/IIOP_Connector.cpp:
        * tao/Thread_Lane_Resources.cpp:
          Layout change

        * tao/Invocation_Adapter.cpp:
          Updated layout of debug message

        * tao/IORTable/Table_Adapter.{h,cpp}:
          Let find_object return a bool

        * tao/Adapter.h:
          Layout changes

        * tao/ORB_Core.{h,cpp,inl}:
        * tao/Request_Dispatcher.cpp:
          Let the adapter_registry return a reference instead of a
          pointer and updated the calling code

        * tao/Transport.cpp:
          Layout changes, use ACE_ERROR for errors, fixed a memory
          leak when process_parsed_messages fail. After handling
          extra messages set the wr_ptr to the end of the first
          message else we will process the first message with a
          cdr stream that contains all the messages

        * tao/Transport_Connector.cpp:
          Fixed layout of debug messages

Tue Jan 20 19:37:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Array_Traits_T.h:
          Deliver dummy release_range to resolve compile errors

        * tests/Bug_3547_Regression/Bug_3547_Regression.mpc:
          Added missing file

        * tests/Bug_3547_Regression/Stock_Quoter_Server.cpp:
        * tests/Bug_3547_Regression/Stock_Quoter_Client.cpp:
          Fixed compile errors

        * tao/Transport_Connector.cpp:
          Removed not needed space in debug message

Tue Jan 20 11:05:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport_Connector.cpp:
          Unicode fix

Tue Jan 20 10:08:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport_Cache_Manager.{h,cpp}:
          Added a new is_entry_purgable_i to check whether a transport
          can be purged or not. Use this method then when purging

Tue Jan 20 06:18:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Value_Traits_T.h:
          Deliver dummy release_range to resolve compile errors

Mon Jan 19 19:44:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport.cpp:
          Replaced an ACE_DEBUG with ACE_ERROR

Mon Jan 19 19:37:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Generic_Sequence_T.h:
          When the sequence shrinks we release the members that are not
          available anymore by the user and then reinitialize them again.
          This solution works but can probably be improved with respect
          to performance and exception safety. This fixes bugzilla 3481
          and 3548.

        * ace/Cache_Entries.h:
        * ace/Transport_Cache_Manager.h:
          Doxygen change

Mon Jan 19 19:34:24 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3548_Regression/*:
          New test for bugzilla 3548

Mon Jan 19 16:16:24 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/tao.mpc:
        * tao/GIOP_Message_Base.cpp:
        * tao/PortableServer/BD_String_SArgument_T.cpp:
        * tao/Bounded_Sequence_CDR_T.h:
        * tao/Unbounded_Sequence_CDR_T.h:
        * tao/CDR.inl:
        * tao/Unbounded_BD_String_Sequence_T.h:
        * tao/BD_String_Argument_T.cpp:
        * tao/TAO_Server_Request.cpp:
        * tao/Sequence_T.h:
        * tao/CDR.h:
        * tao/Bounded_BD_String_Sequence_T.h:
        * TAO_IDL/be/be_visitor_union_branch/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_cs.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_valuetype/field_cdr_cs.cpp:
        * TAO_IDL/be/be_visitor_field/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_field/serializer_op_cs.cpp:

          Fixed bug#3524. Now when a bounded string that violates its bounds
          no matter it is used standalone or as a part of sequence, array,
          struct, union, exception, valuebox, or valuetype is marshalled or
          unmarshalled BAD_PARAM exception will be thrown as CORBA
          specification suggests.

        * tests/Bug_3524_Regression/client.cpp:
        * tests/Bug_3524_Regression/test.idl:
        * tests/Bug_3524_Regression/server.cpp:
        * tests/Bug_3524_Regression/Bug_3524_Regression.mpc:
        * tests/Bug_3524_Regression/test_i.cpp:
        * tests/Bug_3524_Regression/README:
        * tests/Bug_3524_Regression/run_test.pl:
        * tests/Bug_3524_Regression/test_i.h:

          Added a test for bug#3524.

Mon Jan 19 15:48:33 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3547_Regression/*
          New regression test for bugzilla 3547

Thu Jan 15 15:58:33 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:

          Fixed bugzilla 3078.
          - Add a check for id==0 to get_consumeradmin and get_supplieradmin
            and use the default admins for these ids -- creating them
            if necessary.

        * orbsvcs/tests/Notify/Basic/IdAssignment.h:
        * orbsvcs/tests/Notify/Basic/IdAssignment.cpp:

          Added test case for bugzilla 3078.

Thu Jan 15 12:06:46 UTC 2009  Marcel Smit <msmit@remedy.nl>

        * tests/POA/DSI/run_test.pl:
        * tests/POA/Default_Servant2/run_test.pl:
          Made "fuzz" compliant.

        * tests/POA/EndpointPolicy/run_test.pl:
          Reduced number of targets.

Thu Jan 15 08:02:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Singleton.cpp
        * tao/TAO_Singleton_Manager.{h,cpp,inl}:
          Pass the typeid when registering a cleanup hook. This is related to
          bugzilla 3544

Wed Jan 14 16:35:43 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/DynAny_Test/test_dynsequence.cpp:

          Fixed a memory leak.

Tue Jan 13 11:30:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3542_Regression/server.cpp:
          Fixed unicode error

Tue Jan 13 08:53:46 UTC 2009  Marcel Smit <msmit@remedy.nl>

        * tests/POA/Forwarding/run_test.pl:
        * tests/POA/EndpointPolicy/run_test.pl:
        * tests/POA/Persistent_ID/run_test.pl:
        * tests/POA/Reference_Counting/run_test.pl:
          Made "fuzz" compliant.

        * tests/Portable_Interceptors/Bug_3079/run_test.pl
          Improved test script.

Mon Jan 12 18:41:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport.cpp (register_if_necessary):
          Don't check if the transport is registered, we could get a thread
          switch between the check and the registration. Also only when the
          register_handler returns -1 we have a failure, with 1 it is already
          registered. This fixes bugzilla 3543

        * tao/Wait_On_Read.cpp:
        * tao/Wait_Strategy.cpp:
          Layout change

        * tao/Wait_Strategy.h:
          Doxygen change

        * tao/Exception.h:
          Layout changes

Mon Jan 12 18:26:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3543_Regression/master.cpp:
        * tests/Bug_3543_Regression/run_test.pl:
        * tests/Bug_3543_Regression/server.cpp:
          Do a controlled shutdown

Mon Jan 12 16:00:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3543_Regression/Bug_3543_Regression.mpc:
          These executables use threads

        * tests/Bug_3543_Regression/master.cpp:
          Fixed fuzz errors

Mon Jan 12 15:42:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3543_Regression/Bug_3543_Regression.mpc:
        * tests/Bug_3543_Regression/master.cpp:
        * tests/Bug_3543_Regression/run_test.pl:
          Improved this test

Mon Jan 12 15:18:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3543_Regression/*:
          New regression test for bugzilla 3543

Mon Jan 12 11:54:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Parser_Registry.cpp:
          Unicode fix

        * tao/Transport.cpp:
          Fixed a few incorrect debug statements

Mon Jan 12 08:12:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3542_Regression/run_test.pl:
          Added new test script for this test

Sat Jan 10 07:52:46 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3542_Regression/server.cpp:
          Fixed unicode compile errors

Fri Jan  9 12:08:46 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/Bug_3079/run_test.pl:
          Resolved some copy/paste errors.

Fri Jan  9 09:41:51 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/AdvSlotExt/run_test.pl:
        * tests/Portable_Interceptors/Redirection/run_test.pl:
        * tests/Portable_Interceptors/Bug_3079/run_test.pl:
          Made "Fuzz" compliant.

Fri Jan  9 08:28:56 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3542_Regression/*:
          New regression test for bugzilla 3542

Thu Jan  8 19:10:56 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/Request_Interceptor_Flow/run_test.pl:
          Made "Fuzz" compliant. Added new line add the end of the file

Thu Jan  8 19:10:56 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/AMI/run_test.pl:
        * tests/Portable_Interceptors/PolicyFactory/run_test.pl:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/run_test.pl:
          Made "Fuzz" compliant.

Thu Jan  8 18:11:56 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/run_test.pl:
        * tests/Portable_Interceptors/ForwardRequest/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl:
        * tests/Portable_Interceptors/Service_Context_Manipulation/run_test.pl:
          Made "Fuzz" compliant.

Thu Jan  8 11:41:27 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/AdvSlot/run_test.pl:
        * tests/Portable_Interceptors/AdvSlotDblCpy/run_test.pl:
          Made "Fuzz" compliant.

Thu Jan  8 11:07:35 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/Bug_1559/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy\Collocated/run_test.pl:
          Clean up used ior files.

Thu Jan  8 10:30:35 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/Bug_1559/run_test.pl:
        * tests/Portable_Interceptors/Bug_2510_Regression/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy\Collocated/run_test.pl:
          Made "fuzz" compliant.

Wed Jan  7 20:56:46 UTC 2009  Olli Savia  <ops@iki.fi>

        * TAO_IDL/driver/drv_mcpp_preproc.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:
          Removed tabs.

Wed Jan  7 19:12:39 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/tests:
          Made CallbackTes, Codec, Collation and Oneway_Send_Timeouts "fuzz" compliant.
          removed PerlACE::Run_Test

Wed Jan  7 12:06:39 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_PCP_Manager.cpp:
          Removed check for ACE_LACKS_MKSTEMP. mkstemp() is now
          available on all ACE platforms.

Fri Jan  2 19:38:32 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/Fixed_Array_Argument_T.inl:

          Extended the existing workaround for IBM Visual Age 6 (xlC 6)
          to also cover versions 7 and 8.

        * TAO_IDL/be/be_visitor_field/cdr_op_cs.cpp:

          The generated code for multi-dim arrays in structures has the same
          problem on the VA 8 compiler.

Fri Dec 26 21:29:32 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * examples/RTScheduling/Fixed_Priority_Scheduler/run_test.pl:
          Increase timeout between client & server startups to give more
          time for server initialization.

Wed Dec 24 10:28:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Singleton_Manager.cpp:
          Added a fini method which is marked with ACE_GCC_DESTRUCTOR_ATTRIBUTE.
          This will make sure we destroy the TAO_Singleton_Manager instance
          when the TAO library gets unloaded

        * tao/PortableServer/Root_POA.cpp:
        * tao/PortableServer/Root_POA.h:
          Added fini method and mark this with ACE_GCC_DESTRUCTOR_ATTRIBUTE.
          With GCC this method then gets called when the TAO library gets
          unloaded which fixes a memory leak

        * tao/TAO_Singleton.cpp:
          Only deliver implementation when ACE_HAS_DUMP is defined

Tue Dec 23 19:48:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Internal.cpp:
          Reverted part of the change of
          Mon Dec 22 11:14:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>.
          The lifetime of the TAO_Singleton_Manager has to be dependent on the
          TAO dll not on the last ORB. We really need a way to explicitly
          tie the cleanup of the singletons to the DLL unload

Tue Dec 23 09:20:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3506_Regression/server.cpp:
          Use explicit activation

        * tests/Portable_Interceptors/AMI/Client_Interceptor.cpp:
          Prefix increment

Mon Dec 22 11:14:46 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Acceptor_Impl.cpp:
          Layout change and use ACE_TEXT

        * tao/CDR.h:
        * tao/ORB_Core.h:
          Doxygen changes

        * tao/ORB_Core_Auto_Ptr.h:
          Layout changes

        * tao/SystemException.cpp:
          Added timeout messages

        * tao/TAO_Internal.cpp:
          Call fini on the TAO_Singleton_Manager when the number
          of services has dropped to zero

        * tao/TAO_Server_Request.cpp:
          Use more generic define then a purify one

        * tao/TAO_Singleton_Manager.cpp:
          Delete the lock in the destructor

Wed Dec 17 15:39:46 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/tao_idl.mpc:

          Fixed the sed command used to post-process ace_gperf's output.
          The "search" regex no longer matched what ace_gperf wrote.

Tue Dec 16 22:50:11 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/tests/Notify/Bug_2561_Regression/run_test.pl:
          Added a small delay between starting of the consumers
          so the first consumer should be connected by the time
          the second consumer signals the supplier to send events.

Tue Dec 16 15:49:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connection_Handler.cpp:
          Reworked ACE_LACKS_SOCKET_BUFSIZ into ACE_LACKS_SO_RCVBUF
          and ACE_LACKS_SO_SNDBUF so that each of them could be
          independently enabled/disabled.

Tue Dec 16 07:45:08 UTC 2008  Olli Savia  <ops@iki.fi>

        * TAO_IDL/driver/drv_mcpp_preproc.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:
          Updated to use ACE::isdotdir().

Mon Dec 15 19:39:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Options.html:
          Added a note that dev_poll is experimental

Mon Dec 15 18:18:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV/SCTP_SEQ.cpp:
          Fixed compile error

Mon Dec 15 13:38:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/BiDirectional/run_test.pl:
        * tests/BiDirectional/run_test_ipv6.pl:
        * tests/BiDirectional_DelayedUpcall/run_test.pl:
        * tests/BiDirectional_MultipleORB/run_test.pl:
        * tests/BiDirectional_NestedUpcall/run_test.pl:
          Updated to the new test framework

Mon Dec 15 04:55:10 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * tao/AnyTypeCode/Recursive_Type_TypeCode.h:
        * tao/AnyTypeCode/Recursive_Type_TypeCode.inl:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
        Reverted change in
        Mon Dec 01 19:47:02 UTC 2008  Trevor Fields  <fields_t@ociweb.com>
        because it introduced a memory leak.
        Changed the recursive type code to not over write previously
        assigned members.  This can occur when a recusive typecode
        has already been extracted and then is extracted again.
        The extraction routine detects that recursive type code did
        not over write the pre existing members and increments the
        reference count on the the typecode to account for the reference
        in the local member of the extraction method.

Wed Dec 10 21:49:00 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * tests/Objref_Sequence_Test/run_test.pl:
          increase test timeout.

Mon Dec  8 22:29:19 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * orbsvcs/orbsvcs/AV/SCTP_SEQ.cpp:
          fix SunCC build error.

Mon Dec  8 14:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.cpp:
          Removed not needed include

Mon Dec  8 13:55:43 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tao/ORB_Core.cpp:

          Added check for NULL before assigning global
          TAO_ORB_Core_Static_Resources to the current service
          object. This should resolve Bug 3499 on non-Windows systems.

Mon Dec  8 13:49:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3430_Regression/Hello.mpc:
        * tests/Bug_3430_Regression/Bug_3430_Regression.mpc:
          Renamed the MPC file to get unique project names

Mon Dec  8 02:50:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3430_Regression:
          New regression test for bug 3430, thanks to Joe Pallas
          <pallas at cs dot stanford dot edu> for reporting this
          and providing some test fragements

        * tao/Objref_VarOut_T.h:
        * tao/Objref_VarOut_T.inl:
          Support assignment from a _var again.

Thu Dec  4 18:41:20 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * orbsvcs/orbsvcs/AV/SCTP_SEQ.cpp:
          Further SunCC errors. A heap allocated array should fix this.

Thu Dec  4 09:52:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3506_Regression/IF_EXE_M_R_Enums.idl:
          Fixed HPUX compile problems

Wed Dec  3 22:20:51 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * orbsvcs/orbsvcs/AV/SCTP_SEQ.cpp:
          Fix variable length array error. Replaced with ACE_Array<>.

Wed Dec 03 18:11:39 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/client.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/GoodDay.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/GoodDay.h:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/server.cpp:
        Compilation fixes.

        * configure.ac:
        * orbsvcs/tests/InterfaceRepo/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/Makefile.am:
        Add test to be built by autoconf.

Wed Dec  3 09:22:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
          Set all object references to nil in the fini method

        * orbsvcs/orbsvcs/Naming/Transient_Naming_Context.cpp:
          Layout changes

        * orbsvcs/tests/Bug_1334_Regression/client.cpp:
          Removed ACE_UNUSED_ARG usage

Wed Dec  3 08:09:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Connector.cpp:
          Layout changes

        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp:
          Const changes

        * tao/TAO_Singleton.h:
        * tao/TAO_Singleton_Manager.h:
          Doxygen changes

        * tao/TAO_Singleton_Manager.cpp (fini):
          When we have been registered with the ACE object manager
          then unregister ourselves again. If we keep registered
          and the TAO DLL gets unloaded ACE will crash when trying
          to callback to us

Wed Dec  3 06:55:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/AdvSlot/run_test.pl:
        * tests/Portable_Interceptors/AdvSlot/server.cpp:
          Added support to specify IOR file through the commandline

Tue Dec 02 19:48:32 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/IFR_Self_Recursive_IDL.mpc:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/IFR_Self_Reursive_IDL.mpc:
        Corrected the name of the folder.

Tue Dec 02 19:11:54 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/client.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/server.cpp:
          Changed global char* variable to ACE_TCHAR*.

Tue Dec 02 19:02:35 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/client.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/server.cpp:
          Changed older main to ACE_TMAIN.

Mon Dec 01 19:47:02 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
          Fixed reference counting of extracted type codes.  Direct
          references were being taken instead of duplicate().

        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/client.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/GoodDay.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/GoodDay.h:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/IFR_Self_Reursive_IDL.mpc:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/README:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/server.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Reursive_IDL_Test/Test.idl:
          Added test.

Mon Dec  1 10:44:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_3418_Regression/*:
          Added new regression test for bug 3418, this has not been
          fixed yet. Thanks to Vladimir Zykov
          <vladimir dot zykov at prismtech dot com> for creating this
          test

Sat Nov 29 08:00:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Explicit_Event_Loop/run_test.pl
        * tests/Objref_Sequence_Test/run_test.pl
        * tests/Objref_Sequence_Test/server.cpp
        * tests/Portable_Interceptors/AdvSlotDblCpy/run_test.pl
        * tests/Server_Port_Zero/run_test.pl
        * tests/Server_Port_Zero/server.cpp
          Fixed test failures

Fri Nov 28 15:24:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3506_Regression/*:
          New reproducer for a problem with Any/TypeCodes. This existed in
          an older version but already got fixed. Just adding the regression
          test to make sure we don't break this usage

Fri Nov 28 14:34:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.inl:
        * tao/ORB_Core.inl:
          Fixed compile errors

Fri Nov 28 12:39:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation_Tests/run_test.pl:
        * tests/Native_Exceptions/run_test.pl:
        * tests/Servant_To_Reference_Test/run_test.pl:
        * tests/Server_Port_Zero/run_test.pl:
        * tests/AMH_Exceptions/run_test.pl:
          Fixed fuzz errors/warnings

Fri Nov 28 11:27:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Abstract_Interface/run_test.pl
        * tests/AMH_Exceptions/client.cpp
        * tests/AMH_Exceptions/run_test.pl
        * tests/AMH_Exceptions/server.cpp
        * tests/Any/Recursive/run_test.pl
        * tests/Bug_1020_Regression/run_test.pl
        * tests/Bug_1254_Regression/run_test.pl
        * tests/Bug_1670_Regression/run_test.pl
        * tests/Bug_1676_Regression/run_test.pl
        * tests/Bug_2188_Regression/run_test.pl
        * tests/Bug_2319_Regression/run_test.pl
        * tests/Bug_2319_Regression/server.cpp
        * tests/Bug_2328_Regression/run_test.pl
        * tests/Bug_2349_Regression/run_test.pl
        * tests/Bug_2356_Regression/run_test.pl
        * tests/Bug_2417_Regression/run_test.pl
        * tests/Bug_2429_Regression/run_test.pl
        * tests/Bug_2503_Regression/run_test.pl
        * tests/Bug_2560_Regression/run_test.pl
        * tests/Bug_2595_Regression/run_test.pl
        * tests/Bug_2654_Regression/run_test.pl
        * tests/Bug_2702_Regression/run_test.pl
        * tests/Bug_2804_Regression/run_test.pl
        * tests/Bug_2966_Regression/run_test.pl
        * tests/Bug_3000_Regression/run_test.pl
        * tests/Bug_3068_Regression/run_test.pl
        * tests/Bug_3163_Regression/run_test.pl
        * tests/Bug_3299_Regression/run_test.pl
        * tests/Bug_3471_Regression/run_test.pl
        * tests/Bug_3479_Regression/run_test.pl
        * tests/Bug_3499_Regression/DLL_TAO_Service.cpp
        * tests/Bug_3499_Regression/run_test.pl
        * tests/Bug_933_Regression/run_test.pl
        * tests/Collocation_Exception_Test/run_test.pl
        * tests/Collocation_Oneway_Tests/run_test.pl
        * tests/Collocation_Tests/run_test.pl
        * tests/Connect_Strategy_Test/run_test.pl
        * tests/DynAny_Test/run_test.pl
        * tests/Explicit_Event_Loop/run_test.pl
        * tests/Faults/run_test.pl
        * tests/Hello/run_test.pl
        * tests/ICMG_Any_Bug/run_test.pl
        * tests/IDL_Test/constants.idl
        * tests/IDL_Test/run_test.pl
        * tests/LongDouble/run_test.pl
        * tests/Multiple_Inheritance/run_test.pl
        * tests/Native_Exceptions/run_test.pl
        * tests/Nested_Event_Loop/run_test.pl
        * tests/NestedUpcall/Simple/run_test.pl
        * tests/NestedUpcall/Triangle_Test/run_test.pl
        * tests/Objref_Sequence_Test/run_test.pl
        * tests/OBV/Any/run_test.pl
        * tests/OBV/Collocated/Forward/run_test.pl
        * tests/OBV/Factory/run_test.pl
        * tests/OBV/Forward/run_test.pl
        * tests/OBV/Simple/run_test.pl
        * tests/OBV/Truncatable/run_test.pl
        * tests/OBV/ValueBox/run_test.pl
        * tests/Ondemand_Write/run_test.pl
        * tests/ORB_Local_Config/Bug_3049/Test.cpp
        * tests/ORB_Local_Config/Service_Dependency/Test.cpp
        * tests/ORT/run_test.pl
        * tests/Param_Test/run_test.pl
        * tests/POA/Bug_1592_Regression/run_test.pl
        * tests/POA/EndpointPolicy/run_test.pl
        * tests/POA/EndpointPolicy/server.cpp
        * tests/POA/Forwarding/run_test.pl
        * tests/Portable_Interceptors/AdvSlotDblCpy/server.cpp
        * tests/Portable_Interceptors/Bug_2133/run_test.pl
        * tests/Portable_Interceptors/Bug_2510_Regression/run_test.pl
        * tests/Portable_Interceptors/Bug_3080/run_test.pl
        * tests/Portable_Interceptors/Dynamic/run_test.pl
        * tests/Portable_Interceptors/IORInterceptor/run_test.pl
        * tests/Portable_Interceptors/ORB_Shutdown/run_test.pl
        * tests/Portable_Interceptors/PICurrent/run_test.pl
        * tests/RTScheduling/Current/run_test.pl
        * tests/RTScheduling/DT_Spawn/run_test.pl
        * tests/RTScheduling/Thread_Cancel/run_test.pl
        * tests/RTScheduling/VoidData/run_test.pl
        * tests/Servant_To_Reference_Test/run_test.pl
        * tests/Server_Port_Zero/run_test.pl
        * tests/Smart_Proxies/run_test.pl
        * tests/Stack_Recursion/run_test.pl
        * tests/Two_Objects/run_test.pl
        * tests/Typedef_String_Array/run_test.pl
        * tests/UNKNOWN_Exception/run_test.pl
        * tests/ZIOP/run_test.pl
          Updates for the new test framework. Reworked scripts, extended
          test programs so that the IOR file can be specified from the
          commandline. Also check return values of spawn so that things
          run faster when nothing has been build

Fri Nov 28 11:14:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_sunsoft.cpp
          Use ascii format specifiers

Fri Nov 28 11:12:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV/AVStreams_i.h:
          Doxygen change

        * orbsvcs/orbsvcs/AV/SCTP_SEQ.cpp:
          No need to use some intermediate variables

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * orbsvcs/tests/Notify/lib/common.cpp:
          Use ascii format specifiers

Fri Nov 28 11:11:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMH/Sink_Server/MT_AMH_Server.h:
          Doxygen change

Fri Nov 28 11:09:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Codeset/UTF8_Latin1_Translator.cpp:
          Use true/false

        * tao/ORB.h:
        * tao/ORB.inl:
        * tao/ORB_Core.h:
        * tao/ORB_Core.inl:
          Added _refcnt() method to retrieve the current refcount

        * tao/TAO_Internal.cpp:
          Layout change

Thu Nov 27 04:09:39 CST 2008  Simon Massey  <sma@prismtech.com>

        * TAO version 1.6.7 released.

Wed Nov 26 13:55:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/DevGuideExamples/DevGuideExamples.mwc:
          Empty work file for recursion.

Mon Nov 24 12:20:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/main.cpp:
          Compare SignedGen::val as numerical value

Fri Nov 21 14:41:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_ACE.mwc:
          Exclude orbsvcs/DevGuideExamples

Wed Nov 19 15:14:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * TAO_IDL/be/be_sunsoft.cpp:
          Attempted fix of the 64bit compile warnings problem.

Wed Nov 19 10:59:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * TAO_IDL/be/be_helper.cpp:
          Reverted Reversion of Nov 18 for change of Oct 13 to convert
          format specifiers to plain ascii. This change was not the
          introducer of the 64bit compile warnings problem.

Wed Nov 19 09:53:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tao/orbsvcs/orbsvcs/av/SCTP_SEQ.cpp:
        * tao/strategies/SCIOP_Acceptor.cpp:
        * tao/strategies/SCIOP_Connection_Handle.cpp:
        * tao/strategies/SCIOP_Profile.cpp:
          added missing #include "ace/os_include/os_netdb.h".

Tue Nov 18 16:08:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3499_Regression/DLL_Service_Host.cpp:
          ACE_throw_bad_alloc is actually defined as including the throw
          command itself so it can't be used with ACE_NEW_THROW_EX.

Tue Nov 18 12:07:33 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3108_Regression/run_test.pl:
          Use the correct perl variable to delete the file

Tue Nov 18 10:39:33 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_helper.cpp:
          Reverted change of Oct 13 to convert format specifiers to
          plain ascii, let us see if this resolves the 64bit compile
          warnings

Tue Nov 18 10:20:33 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2560_Regression/client.cpp:
          No need to convert for string_to_object

        * tests/Bug_2560_Regression/run_test.pl:
          Corrected client argument and increased server timeout

        * tests/Bug_2560_Regression/server.cpp:
          Parse the commandline arguments

Tue Nov 18 09:52:33 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3299_Regression/server.cpp:
          Layout change

        * tests/Bug_933_Regression/MessengerClient.cpp:
        * tests/Bug_933_Regression/MessengerServer.cpp:
          Add support for commandline arguments to specify the IOR files

Mon Nov 17 21:26:33 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/tao_idl.mpc:

          s/gperf/ace_gperf/  It was renamed a while ago but this file
          wasn't changed.

Mon Nov 17 18:44:15 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/PolicyS.h:

          Add a #include of tao/PortabServer/PolicyS.h.

        * tests/Bug_3513_Regression/test.cpp:

          Whitespace.

        * tests/Bug_3514_Regression:
        * tests/Bug_3514_Regression/Bug_3514_Regression.mpc:
        * tests/Bug_3514_Regression/README:
        * tests/Bug_3514_Regression/test.idl:
        * tests/Bug_3514_Regression/test.cpp:

          Regression test for the above fix.

Mon Nov 17 18:01:17 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * TAO_IDL/util/utl_global.cpp:

          Change order that #includes are output into generated headers. Emit
          them in the order that they are found in the pre-processor output
          rather than the order that they are found in the initial file scan.

          This fixes bug #3513.

        * tests/Bug_3513_Regression:
        * tests/Bug_3513_Regression/Bug_3513_Regression.mpc:
        * tests/Bug_3513_Regression/README:
        * tests/Bug_3513_Regression/test.idl:
        * tests/Bug_3513_Regression/test.cpp:

          Compile only test for the above bug.

Mon Nov 17 14:20:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3499_Regression/DLL_Service_Host.cpp:
          Use ACE_throw_bad_alloc instead of manually calling
          ACE_bad_alloc () as MFC builds redefine the call appropriatly.

Mon Nov 17 13:46:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * testst/Bug_3299_Regression/run_test.pl:
          Fixed bug in this file which I introduced by mistake

        * tests/Portable_Interceptors/Collocated/Dynamic/run_test.pl
          Converted to the new test framework

Mon Nov 17 13:11:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/PortableInterceptors/PICurrent_NameService:
          Now really deleted this one

Mon Nov 17 12:49:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Buffered_AMI/run_test.pl
        * examples/OBV/Typed_Events/run_test.pl
        * examples/Simple/bank/run_test.pl
        * examples/Simple/echo/run_test.pl
        * examples/Simple/grid/run_test.pl
        * examples/Simple/time/run_test.pl
        * examples/TypeCode_Creation/run_test.pl
          Converted to the new test framework

Mon Nov 17 12:07:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3481_Regression/run_test.pl:
          No hardcoded timeout should be used

Mon Nov 17 11:52:38 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/tests/Security/Secure_Invocation/client.conf:
        * orbsvcs/tests/Security/Secure_Invocation/client.cpp:
        * orbsvcs/tests/Security/Secure_Invocation/client_nopasswd.conf:
        * orbsvcs/tests/Security/Secure_Invocation/server.conf:
        * orbsvcs/tests/Security/Secure_Invocation/server.cpp:
        * orbsvcs/tests/Security/Secure_Invocation/server_none.conf:
        * orbsvcs/tests/Security/Secure_Invocation/server_nopasswd.conf:

          In common with all our other SSL tests this test specifies the CA
          certificate by means of an environment value. This means that we have
          no coverage for the service configurator directive arguments
          -SSLCAfile and -SSLCApath. This one test has now been modified to use
          the former argument. This will expose a regression and also probably
          errors in the wide character support revision 83118 to
          TAO/orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp.

Mon Nov 17 12:01:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/PortableInterceptors/PICurrent_NameService:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService:
          Moved, this example uses orbscs

Mon Nov 17 11:57:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ORB_Local_Config/Bug_1459/run_test.pl
        * tests/ORB_Local_Config/Bug_2612/run_test.pl
        * tests/ORB_Local_Config/Bug_3049/run_test.pl
        * tests/ORB_Local_Config/Bunch/run_test.pl
        * tests/ORB_Local_Config/run_tests_all.pl
        * tests/ORB_Local_Config/Separation/run_test.pl
        * tests/ORB_Local_Config/Service_Dependency/run_test.pl
        * tests/ORB_Local_Config/Shared/run_test.pl
        * tests/ORB_Local_Config/Simple/run_test.pl
        * tests/ORB_Local_Config/Two_DLL_ORB/run_test.pl
          Converted to the new test framework

Mon Nov 17 11:25:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2560_Regression/run_test.pl
        * tests/Bug_2966_Regression/run_test.pl
        * tests/Bug_3163_Regression/run_test.pl
        * tests/Bug_3471_Regression/run_test.pl
        * tests/Bug_933_Regression/run_test.pl
        * tests/LongDouble/run_test.pl
        * tests/ZIOP/run_test.pl
          Converted to the new test framework

Mon Nov 17 11:16:56 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:

          Changed ca_dir from ACE_CString to CORBA::String_var. The later is
          more appropriate.

Mon Nov 17 10:35:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2542_Regression/run_test.pl
        * tests/Bug_2791_Regression/run_test.pl
        * tests/Bug_2792_Regression/run_test.pl
        * tests/Bug_2795_Regression/run_test.pl
        * tests/Bug_2805_Regression/run_test.pl
        * tests/Bug_2826_Regression/run_test.pl
        * tests/Bug_2909_Regression/run_test.pl
        * tests/Bug_3171_Regression/run_test.pl
        * tests/Bug_3198_Regression/run_test.pl
        * tests/Bug_3251_Regression/run_test.pl
        * tests/Compression/run_test.pl
        * tests/Connection_Timeout/run_test.pl
        * tests/CORBA_e_Implicit_Activation/run_test.pl
        * tests/CSD_Collocation/run_test.pl
        * tests/DynUnion_Test/run_test.pl
        * tests/ORB_shutdown/run_test.pl
        * tests/Portable_Interceptors/Bug_2088/run_test.pl
          Converted to the new test framework

Mon Nov 17 10:13:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Strategies/SHMIOP_Profile.cpp:
          Added missing include for compilation of sctp on solaris.
          Thanks to Milan Cvetkovic <milan dot cvetkovic at mpathix dot com>
          for providing this change. This is part of bugzilla 3492

        * tao/TAO_Internal.cpp:
          Use LM_ERROR with ACE_ERROR

        * tao/Transport_Cache_Manager.h:
          Layout change

Mon Nov 17 08:39:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3470_Regression/*:
          New test for bugzilla 3470 which has been fixed already. Thanks
          to Skrzyniarz Alexandre <alexandre dot skrzyniarz at fr dot thalesgroup dot com>
          for creating this test.

        * tests/Bug_3499_Regression/DLL_Service_Host.cpp:
          Fixed return value

        * tests/Portable_Interceptors/Bug_2133/server.cpp:
          Removed commented out line

Sun Nov 16 08:11:12 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * configure.ac:

          Updated for orbsvcs/tests/InterfaceRepo/Bug_3495_Regression

Sat Nov 15 19:23:26 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * MPC/config/tao_idl_mcpp.mpb:

          Restored this file which is used by CIAO but not TAO.

        * TAO_IDL/tao_idl.mpc:
        * TAO_IDL/tao_idl_mcpp_local.mpb:

          Created a "local" version of tao_idl_mcpp that uses relative paths.

        * TAO_IDL/tao_idl_mcpp.mpb:

          Removed this file.

        * tests/Bug_3499_Regression/DLL_Service.mpc:

          Removed "install = ." -- this is the default behavior and explicitly
          writing it causes problems with parallel make creating a bad link.

        * tests/Bug_3499_Regression/DLL_TAO_Service.cpp:

          Wchar fix: resolve_initial_references always takes a narrow string.

Sat Nov 15 18:52:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * testst/Bug_3299_Regression/run_test.pl:
          Updated to the new test framework

Fri Nov 14 23:05:47 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/tao_idl_mcpp.mpb:

          This isn't used by clients of TAO_IDL so it can live here.

        * orbsvcs/IFR_Service/IFR_Service.mpc:

          Adapted the "verbatim(gnuace)" section for use on Windows.

        * rules.tao.GNU:

          Translate \ to / in $(TAO_ROOT).

        * MPC/config/tao_idl_mcpp.mpb:

          Removed this file.  Moved it to $TAO_ROOT/TAO_IDL.

Fri Nov 14 14:30:30 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3499_Regression/DLL_TAO_Service.cpp:

          Remove extranious ;

Fri Nov 14 13:23:30 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:

          Always report fatal errors during init.

Fri Nov 14 12:29:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3499_Regression/run_test.pl:
          Fixed this script

Fri Nov 14 10:30:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/TestImpl.h:

          ReFixed the Reintroduced Fuzz error with
          Thu Nov 13 21:48:14 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

Thu Nov 13 22:22:40 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/DevGuideExamples/NotifyService/Messenger/NotifyServiceMessenger.mpc:

        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/OfferSubscriptions.mpc:

        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/QoSProperties.mpc:

        * orbsvcs/DevGuideExamples/NotifyService/SupplierSideNC/SupplierSideNC.mpc:

          Fixed up errant include of MessengerS.cpp in client sources.

Thu Nov 13 21:48:14 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_union.cpp:
        * orbsvcs/orbsvcs/IFRService/Container_i.cpp:
        * orbsvcs/orbsvcs/IFRService/Container_i.h:
        * orbsvcs/orbsvcs/IFRService/ExceptionDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/StructDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/UnionDef_i.cpp:

          Fix for nested name scoping issue introduced in
          Mon Nov 10 19:54:27 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>
          and fix of bug 3495 for unions, structs, and exceptions.

        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/Test.idl:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/TestImpl.h:

          Increase test cases covered by the idl.

Thu Nov 13 18:36:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/DevGuideExamples/NamingService/Messenger/Messenger.mpc:
          Fixed invalid after

Thu Nov 13 14:56:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2595_Regression/run_test.pl:
        * tests/Bug_2654_Regression/run_test.pl:
        * tests/Bug_2669_Regression/run_test.pl:
        * tests/Bug_2677_Regression/run_test.pl:
          Converted to the new test framework

Thu Nov 13 14:45:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1636_Regression/run_test.pl:
        * tests/Bug_1670_Regression/run_test.pl:
        * tests/Bug_1676_Regression/run_test.pl:
        * tests/Bug_2134_Regression/run_test.pl:
        * tests/Bug_2188_Regression/run_test.pl:
        * tests/Bug_2328_Regression/run_test.pl:
        * tests/Bug_2349_Regression/run_test.pl:
        * tests/Bug_2356_Regression/run_test.pl:
        * tests/Bug_2417_Regression/run_test.pl:
        * tests/Bug_2429_Regression/run_test.pl:
        * tests/Bug_2503_Regression/run_test.pl:
          Converted to the new test framework

        * tests/Bug_2417_Regression/server.cpp:
        * tests/Bug_2349_Regression/client.cpp:
        * tests/Bug_2349_Regression/server.cpp:
        * tests/Bug_2417_Regression/client.cpp:
          Added support to pass ior filename from the commandline

Thu Nov 13 10:49:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/DevGuideExamples/NotifyService/EventSequence/EventSequence.mpc:
        * orbsvcs/DevGuideExamples/NotifyService/Filtering/Filtering.mpc:
        * orbsvcs/DevGuideExamples/NotifyService/Messenger/NotifyServiceMessenger.mpc:
        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/OfferSubscriptions.mpc:
        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/QoSProperties.mpc:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/RTNotify.mpc:
        * orbsvcs/DevGuideExamples/NotifyService/SupplierSideNC/SupplierSideNC.mpc:
          Added custom idl project

Thu Nov 13 09:27:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/DevGuideExamples/ImplRepo/Basic/ImplRepo_Basic.mpc:
        * orbsvcs/DevGuideExamples/ImplRepo/ImplRepo.mpc:
        * orbsvcs/DevGuideExamples/ImplRepo/IORTable/ImplRepo_IORTable.mpc:
        * orbsvcs/DevGuideExamples/NamingService/corbaloc_Messenger/corbaloc_Messenger.mpc:
        * orbsvcs/DevGuideExamples/NamingService/corbaname_Messenger/corbaname_Messenger.mpc:
        * orbsvcs/DevGuideExamples/NamingService/Messenger/Messenger.mpc:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Client/Naming_Client.mpc:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Context_Ext/Naming_Context_Ext.mpc:
          Added custom idl project

Thu Nov 13 08:33:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMH_Exceptions/run_test.pl:
        * tests/Bug_2702_Regression/run_test.pl:
        * tests/Bug_3299_Regression/run_test.pl:
        * tests/Oneway_Send_Timeouts/run_test.pl:
        * tests/Param_Test/run_test.pl:
        * tests/POA/Adapter_Activator/run_test.pl:
        * tests/Portable_Interceptors/AdvSlot/run_test.pl:
        * tests/Portable_Interceptors/AdvSlotDblCpy/run_test.pl:
          Fixed fuzz errors

Thu Nov 13 07:09:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Recursive_ORBInitializer/run_test.pl
        * tests/Portable_Interceptors/Register_Initial_References/run_test.pl
        * tests/Portable_Interceptors/Slot/run_test.pl
          Converted to new test framework

Thu Nov 13 04:03:55 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/Bug_3499_Regression/DLL_Service_Host.cpp:

          Fixed compilation errors on GCC 3.4

Wed Nov 12 20:14:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Policies/run_test.pl:
          Fixed bug in this file

Wed Nov 12 16:12:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3499_Regression/DLL_Service.mpc:

          Fixed the last Fuzz warning.

Wed Nov 12 16:02:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
          Fixed compile error with CORBA/e micro

Wed Nov 12 13:10:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3499_Regression/DLL_Service.h:
        * tests/Bug_3499_Regression/DLL_TAO_Service.h:

          Fixed the Fuzz errors.

Wed Nov 12 11:11:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.cpp:
          Added support for -ORBGestalt CURRENT. This fixes bugzilla 3499,
          thanks to James Hill for reporting this

        * tao/Strategies/SCIOP_Endpoint.cpp:
          Unicode fix

        * tests/Bug_3499_Regression/DLL_Service.mpc:
          Layout change

        * tests/Bug_3499_Regression/DLL_Service.cpp:
        * tests/Bug_3499_Regression/DLL_Service.h:
        * tests/Bug_3499_Regression/DLL_TAO_Service.cpp:
        * tests/Bug_3499_Regression/DLL_TAO_Service.h:
          Use ACE_TCHAR

Wed Nov 12 10:49:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/AMH/MessengerClient.cpp:
        * DevGuideExamples/AMH/MessengerServer.cpp:
          Pass IOR filename through the commandline

        * DevGuideExamples/BiDirectionalGIOP/client.cpp:
        * DevGuideExamples/BiDirectionalGIOP/server.cpp:
        * DevGuideExamples/Multithreading/GracefulShutdown/MessengerClient.cpp:
        * DevGuideExamples/Multithreading/GracefulShutdown/MessengerServer.cpp:
          No need to use an argv converter

        * DevGuideExamples/AMH/run_test.pl:
        * DevGuideExamples/BiDirectionalGIOP/run_test.pl:
          Converted to new test framework

        * DevGuideExamples/AMH_AMI/run_test.pl:
          Extended timeout

Wed Nov 12 07:58:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/PortableInterceptors/PICurrent_NameService/PICurrent_NameService.mpc:
          Fixed bug in this file

Wed Nov 12 07:38:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/RTCORBA/RTCORBA.mpc:
          Fixed bug in this file

Tue Nov 11 22:23:31 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/Bug_3499_Regression:
        * tests/Bug_3499_Regression/DLL_Service.h:
        * tests/Bug_3499_Regression/DLL_Service.cpp:
        * tests/Bug_3499_Regression/DLL_Service.mpc:
        * tests/Bug_3499_Regression/DLL_Service_Host.cpp:
        * tests/Bug_3499_Regression/DLL_Service_export.h:
        * tests/Bug_3499_Regression/DLL_TAO_Service.h:
        * tests/Bug_3499_Regression/DLL_TAO_Service.cpp:
        * tests/Bug_3499_Regression/DLL_TAO_Service_export.h:
        * tests/Bug_3499_Regression/README:
        * tests/Bug_3499_Regression/run_test.pl:

          First version of the regression test for Bugzilla 3499.

Tue Nov 11 19:50:36 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/tests/InterfaceRepo/Duplicate_Typedef_Test/run_test.pl:

          Changes to make the script more portable.

Tue Nov 11 19:42:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Hello/run_test.pl:
          Small improvement

        * tests/Two_Objects/run_test.pl
        * tests/Typedef_String_Array/run_test.pl
        * tests/UNKNOWN_Exception/run_test.pl
          Updated to the new test framework

Tue Nov 11 19:01:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/PortableInterceptors/PICurrent_NameService/PICurrent_NameService.mpc:
        * DevGuideExamples/RTCORBA/RTCORBA.mpc:
          Use seperate project for idl files

Tue Nov 11 17:33:34 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/Bug_3495_Regression.mpc:

          Corrected building on minimum systems.

Tue Nov 11 15:02:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3481_Regression/Bug_3481_Regression.cpp:

          Removed unused parameter names.

Tue Nov 11 14:47:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1535_Regression/run_test.pl:
        * tests/Bug_1639_Regression/run_test.pl:
        * tests/Bug_2201_Regression/run_test.pl:
        * tests/Bug_2243_Regression/run_test.pl:
        * tests/Bug_2543_Regression/run_test.pl:
        * tests/Policies/run_test.pl
          Converted to the new test framework

        * tests/Bug_2126_Regression/test.cpp:
          No need for ACE_UNUSED_ARG

Tue Nov 11 12:02:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/server.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/Test.idl:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/TestImpl.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/TestImpl.h:

          Fixed the Fuzz errors from
          Mon Nov 10 23:21:57 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

Tue Nov 11 08:02:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2319_Regression/run_test.pl:
        * tests/Bug_2345_Regression/run_test.pl:
          Converted to the new test framework

Mon Nov 10 23:21:57 UTC 2008  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/IFR_Service/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/Bug_3495_Regression.mpc:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/server.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/Test.idl:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/TestImpl.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/TestImpl.h:
        * orbsvcs/tests/InterfaceRepo/Makefile.am:

          Added regression test for bug 3495.

Mon Nov 10 20:14:30 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1693_Test/run_test.pl:
        * tests/Bug_2085_Regression/run_test.pl:
        * tests/Bug_2809_Regression/run_test.pl:
        * tests/Bug_3042_Regression/run_test.pl:
        * tests/Bug_3315_Regression/run_test.pl:
        * tests/Bug_3321_Regression/run_test.pl:
        * tests/Collocation_Opportunities/run_test.pl:
        * tests/IORManipulation/run_test.pl:
        * tests/Oneway_Send_Timeouts/run_test.pl:
        * tests/ORB_destroy/run_test.pl:
        * tests/ORB_init/run_test.pl:
        * tests/Permanent_Forward/run_test.pl:
        * tests/POA/Adapter_Activator/run_test.pl:
        * tests/POA/Bug_1592_Regression/run_test.pl:
        * tests/POA/Bug_2511_Regression/run_test.pl:
        * tests/POA/Current/run_test.pl:
        * tests/POA/Deactivate_Object/run_test.pl:
        * tests/POA/Default_Servant/run_test.pl:
        * tests/POA/Etherealization/run_test.pl:
        * tests/POA/Excessive_Object_Deactivations/run_test.pl:
        * tests/POA/FindPOA/run_test.pl:
        * tests/POA/Identity/run_test.pl:
        * tests/POA/MT_Servant_Locator/run_test.pl:
        * tests/POA/Nested_Non_Servant_Upcalls/run_test.pl:
        * tests/POA/NewPOA/run_test.pl:
        * tests/POA/Non_Servant_Upcalls/run_test.pl:
        * tests/POA/Object_Reactivation/run_test.pl:
        * tests/POA/POA_BiDir/run_test.pl:
        * tests/POA/POA_Destruction/run_test.pl:
        * tests/POA/POAManagerFactory/run_test.pl:
        * tests/POA/Policies/run_test.pl:
        * tests/POA/RootPOA/run_test.pl:
        * tests/POA/Single_Threaded_POA/run_test.pl:
        * tests/POA/wait_for_completion/run_test.pl:
        * tests/Queued_Message_Test/run_test.pl:
        * tests/RTCORBA/Activate_Object_Multiple_ORBs/run_test.pl:
          Converted to the new test framework

        * tests/Nested_Upcall_Crash/Nested_Upcall_Crash.mpc:
          Added vc10

Mon Nov 10 19:54:27 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/be_global.cpp:
        * orbsvcs/IFR_Service/be_produce.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_union.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
        * orbsvcs/IFR_Service/be_global.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_union.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.cpp:

          Legacy code for creating IFR entries for structs, unions
          and exceptions (that created members that were also
          declared in the same scope in a 'holding area' until
          the containing struct, union or exception entry was
          completed, then moved the decls in) was interfering with the
          newer method of simply creating an entry with no
          members, then visiting the scope to create and/or
          add referencing members as needed. The legacy mechanism
          is no longer needed and has been completely removed
          in this fix, which closes [BUGID:3495]. Thanks to
          Trevor Fields <fields_t@ociweb.com> for reporting the
          problem.

Mon Nov 10 15:22:30 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/be/be_visitor_structure/serializer_op_cs.cpp:

          Fixed compile errors on Mac OS X and warnings on some others.

Mon Nov 10 14:20:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3481_Regression:

          Fixed the Fuzz errors fro this commit.

Fri Nov  7 22:28:08 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_structure/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/serializer_op_cs.cpp:

          Added a new generated function to the DDS support (-Gdcps).

        * TAO_IDL/tao_idl.mpc:

          "install" is a deprecated MPC keyword, changed it to "exeout".

Fri Nov  7 17:57:34 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * tests/Bug_3481_Regression:

          Added a test for this bug.

Thu Nov  6 19:52:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3108_Regression/run_test.pl
          Fixed a bug in this file

Thu Nov  6 16:37:30 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * docs/compiler.html:
        * TAO_IDL/be/be_global.cpp:

          Added CIAO_ROOT/ccm to TAO specific directories in tao_idl
          help.

        * TAO_IDL/driver/drv_mcpp_preproc.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:

          Added more comments in the code about the need to update
          IDL_GlobalData::validate_orb_include when new folders are
          added.

        * TAO_IDL/util/utl_global.cpp:

          Fixed the issue introduced in the commit on
          'Mon Nov  3 20:11:55 UTC 2008'.

Wed Nov  5 09:03:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Bug_2510_Regression/run_test.pl:
        * tests/Portable_Interceptors/Bug_3080/client.cpp:
          Fixed these tests again

Tue Nov  4 13:37:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Hello/run_test.pl
        * tests/Portable_Interceptors/Bug_2133/run_test.pl
        * tests/Portable_Interceptors/Bug_2510_Regression/run_test.pl
        * tests/Portable_Interceptors/Bug_3080/run_test.pl
        * tests/Portable_Interceptors/Dynamic/run_test.pl
        * tests/Portable_Interceptors/IORInterceptor/run_test.pl
        * tests/Portable_Interceptors/ORB_Shutdown/run_test.pl
        * tests/Portable_Interceptors/PICurrent/run_test.pl
          Updated to the new test framework

        * tests/Portable_Interceptors/PICurrent/server.cpp
          parse the args after initailizing the orb

Tue Nov  4 10:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_3486_Regression/server.cpp:
          Fixed unused variable warning

Tue Nov  4 08:16:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3108_Regression/run_test.pl
        * tests/Bug_3299_Regression/run_test.pl
        * tests/Portable_Interceptors/Bug_2133/run_test.pl
          Updated for test framework changes

Mon Nov  3 20:11:55 UTC 2008  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/driver/drv_mcpp_preproc.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:

          Added CIAO_ROOT/ccm to include paths, this is present in the forthcoming
          CIAO version.

Mon Nov  3 15:45:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Compression/lzo/LzoCompressor.cpp:
          Fixed compile errors when compiling it with the latest lzo library

Mon Nov  3 15:25:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Compression/lzo/LzoCompressor.cpp:
        * tao/Compression/lzo/LzoCompressor.h:
        * tao/Compression/lzo/LzoCompressor_export.h:
        * tao/Compression/lzo/LzoCompressor_Factory.cpp:
        * tao/Compression/lzo/LzoCompressor_Factory.h:
        * tao/Compression/lzo/TAO_LzoCompressor.pc.in:
        * tao/Compression/lzo/TAO_LzoCompressor.rc:
        * tao/LzoCompressor.mpc:
          Added lzo compressor. Need to be tested in all its detail, but
          lzo is disabled by default so we can safely added it to the repo

Mon Nov 03 14:13:12 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * ACE_wrappers/TAO/orbsvcs/tests/Notify/Bug_2415_Regression/Supplier.cpp

          Fixed compiler warning.

Mon Nov  3 10:28:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_3486_Regression/*:
          New file for bugzilla 3486

Mon Nov  3 10:24:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Object_Ref_Table.cpp:
        * tao/Object_Ref_Table.h:
        * tao/Object_Ref_Table.inl:
        * tao/ORB.cpp:
        * tao/ORB.h:
          Added ORB::unregister_initial_reference to unregister a rir
          from the ORB. Usefull when we load and unload services on demand.
          Reported an enhancement request to the OMG. Also reworked the
          ORT a little bit to make sure we atomically update the table

        * orbsvcs/orbsvcs/Naming/Naming_Service_Container.h:
        * orbscvs/Naming_Service/Naming_Service.h:
          Layout change

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Server.h:
          Const/bool changes. Also unregister the NamingService from the
          ORB rir table. This makes it possible to load and unload the
          naming service multiple times as services, fixes bugzilla 3486

        * orbsvcs/orbsvcs/Naming/Naming_Loader.cpp:
          Use the tchar argv array

        * orbsvcs/Naming_Service/Naming_Service.cpp:
          result is only used within the try/catch block

Mon Nov  3 09:08:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Abstract_Interface/run_test.pl
        * tests/AMH_Exceptions/run_test.pl
        * tests/Bug_2702_Regression/run_test.pl
        * tests/CallbackTest/run_test.pl
        * tests/Codec/run_test.pl
        * tests/Collocation/run_test.pl
        * tests/Hello/run_test.pl
        * tests/Param_Test/run_test.pl
        * tests/Portable_Interceptors/AdvSlot/run_test.pl
        * tests/Portable_Interceptors/AdvSlotDblCpy/run_test.pl
          Updated these file to match the TestTarget changes

Sat Nov  1 13:39:29 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils.cpp:

          Added method to allow applications collocating the IFR service
          to provide an alternate POA for it to use as root rather than
          having the IFR service use the ORB's root POA. This was found
          to be necessary when an application linking the IFR service
          needed to have it use a POA with an endpoint policy applied to
          enforce access restrictions on the IFR.

Sat Nov  1 12:43:06 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:

          Changed to set the LogEntry's time field to be relative to
          the CORBA TimeBase::TimeT epoch instead of the POSIX epoch.
          Fixes bugzilla issue #3474.

Fri Oct 31 15:00:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * DevGuideExamples/ValueTypes/Messenger/ValueTypes.mpc:
          Renamed projects to be unique!

Fri Oct 31 14:36:38 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IIOP_Transport.cpp:

          untabify

Fri Oct 31 14:11:35 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IIOP_Acceptor.h:
        * tao/IIOP_Acceptor.cpp:

          Fix const correctness in a couple of methods. The hostname and
          dotted_decimal_address methods take an ACE_INET_Addr &, and
          since these values are not modified the parameter should be
          const. This way users of the hostname method tath want to pass
          an endpoint retrieved from the acceptor's endpoints() method can
          do so with using const_cast.

        * tao/IIOP_Connection_Handler.cpp:
        * tao/IIOP_Transport.cpp:

          Fix for Bug 3282. Since the solution spans both the sending and
          receiving of a BiDir IIOP context, I've left in code to support
          the old behavior on the sending side, which is to limit the
          listen points listed to those matching the interface on which
          the connection was established. The reason for this change is
          that the new behavior may produce a list with more than one
          listen point, and that may have an impact on receivers. To
          revert to the old behavior, build TAO with
          -DTAO_USE_BROKEN_BIDIR. If need be, an ORB_init option could be
          defined to mkae this behavior selectable, but I'm expecting it
          to not be an issue.

        * tests/BiDirectional/README:
        * tests/BiDirectional/run_test_bug3282.pl:

          The test for bug 3282 does not need any new executables, it
          merely needs to run the existing bidir test with the server
          explicitly listening on localhost while the client opens an
          implicit listener on the default interface. Without the fix,
          this scenario fails because the eth0 addr is filtered out of the
          list.

Fri Oct 31 12:11:56 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Log_i.cpp:
        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:

          Changed TAO_Log_i::remove_old_records() to acquire the write
          lock from the underlying log record store.

          Changed TAO_Hash_LogRecordStore::remove_old_records() to simply
          compare the value of the purge time with the time field of each
          LogEntry in the map instead of creating a ETCL expression to do
          the same and evaluating that for each record.  This not only
          fixes a bug where a static buffer was used to construct the ETCL
          expression, it should have much less overhead -- important for a
          method that does a full table scan.

          Fixes bugzilla issue #3476.

Thu Oct 30 16:26:28 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/String_Sequence_Element_T.h:

          Change ::out method to release the previous value.

        * tests/Bug_3479_Regression/Bug_3479_Regression.mpc:
        * tests/Bug_3479_Regression/Hello.h:
        * tests/Bug_3479_Regression/Hello.cpp:
        * tests/Bug_3479_Regression/README:
        * tests/Bug_3479_Regression/Test.idl:
        * tests/Bug_3479_Regression/client.cpp:
        * tests/Bug_3479_Regression/run_test.pl:
        * tests/Bug_3479_Regression/server.cpp:

          Regression test for the above.

Thu Oct 30 15:45:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * DevGuideExamples/LocalObjects/Messenger/Messenger.mpc
          Rename project *idl to avoid conflict with
          CIAO/DevGuideExamples/Messenger/Messenger.mpc

Thu Oct 30 15:10:48 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * ACE_wrappers/TAO/orbsvcs/tests/Notify/Bug_2415_Regression/Supplier.cpp

          Fixed ACE_TCHAR* casting error.

Thu Oct 30 12:57:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/POA/Object_Creation_And_Registration/registration.cpp:
          Use %C to log ascii strings instead of using %s with
          ACE_TEXT_CHAR_TO_TCHAR

Thu Oct 30 12:51:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/ImR/Advanced/TestServer.cpp
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.cpp
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/sender.cpp
        * orbsvcs/tests/AVStreams/Component_Switching/distributer.cpp
        * orbsvcs/tests/AVStreams/Component_Switching/receiver.cpp
        * orbsvcs/tests/AVStreams/Component_Switching/sender.cpp
        * orbsvcs/tests/AVStreams/Full_Profile/ftp.cpp
        * orbsvcs/tests/AVStreams/Full_Profile/server.cpp
        * orbsvcs/tests/AVStreams/Latency/ping.cpp
        * orbsvcs/tests/AVStreams/Latency/pong.cpp
        * orbsvcs/tests/AVStreams/Modify_QoS/sender.cpp
        * orbsvcs/tests/AVStreams/Multicast/ftp.cpp
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/ftp.cpp
        * orbsvcs/tests/AVStreams/Multiple_Flows/receiver.cpp
        * orbsvcs/tests/AVStreams/Multiple_Flows/sender.cpp
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/sender.cpp
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/sender.cpp
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/sender.cpp
        * orbsvcs/tests/Bug_1393_Regression/client.cpp
        * orbsvcs/tests/Bug_2247_Regression/Manager.cpp
        * orbsvcs/tests/Bug_2248_Regression/client.cpp
        * orbsvcs/tests/Bug_2800_Regression/nsmain.cpp
        * orbsvcs/tests/Bug_2800_Regression/server.cpp
        * orbsvcs/tests/Event/Mcast/AddrServer/Server.cpp
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventConsumerMain.cpp
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.cpp
        * orbsvcs/tests/InterfaceRepo/Application_Test/ifr_dii_client.cpp
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/client.cpp
        * orbsvcs/tests/InterfaceRepo/Bug_3155_Regression/test_idl.cpp
        * orbsvcs/tests/InterfaceRepo/Bug_3174_Regression/test_idl.cpp
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.cpp
        * orbsvcs/tests/InterfaceRepo/IFR_Test/Admin_Client.cpp
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/Ptest.cpp
        * orbsvcs/tests/Notify/Blocking/Structured_Supplier.cpp
        * orbsvcs/tests/Notify/Bug_1385_Regression/Structured_Supplier.cpp
        * orbsvcs/tests/Notify/MT_Dispatching/Structured_Supplier.cpp
        * orbsvcs/tests/Notify/Ordering/Sequence_Supplier.cpp
        * orbsvcs/tests/Notify/Ordering/Structured_Supplier.cpp
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Supplier.cpp
        * orbsvcs/tests/Notify/performance-tests/Filter/Structured_Supplier.cpp
        * orbsvcs/tests/Notify/Persistent_POA/Structured_Supplier.cpp
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Supplier.cpp
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Supplier.cpp
        * orbsvcs/tests/Time/Client_i.cpp
        * orbsvcs/Time_Service/Clerk_i.cpp
        * orbsvcs/Time_Service/Server_i.cpp
          Use %C to log ascii strings instead of using %s with
          ACE_TEXT_CHAR_TO_TCHAR

Thu Oct 30 12:17:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/MCAST_Parser.cpp:
        * tao/PortableServer/Operation_Table_Perfect_Hash.cpp:
          Use %C to log ascii strings instead of using %s with
          ACE_TEXT_CHAR_TO_TCHAR

Thu Oct 30 10:30:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * NEWS
          Updated.

Thu Oct 30 06:46:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/ValueTypes/Bank/bank.mpc
        * DevGuideExamples/ValueTypes/Messenger/ValueTypes.mpc
          Made IDL projects unique

Wed Oct 29 19:23:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/AMH_AMI/AMH_AMI.mpc
        * DevGuideExamples/BiDirectionalGIOP/BiDirectionalGIOP.mpc
        * DevGuideExamples/Multithreading/GracefulShutdown/GracefulShutdown.mpc
        * DevGuideExamples/Multithreading/Reactive/Reactive.mpc
        * DevGuideExamples/Multithreading/ThreadPerConnection/ThreadPerConnection.mpc
        * DevGuideExamples/Multithreading/ThreadPool/ThreadPool.mpc
        * DevGuideExamples/PortableInterceptors/Auth/Auth.mpc
        * DevGuideExamples/PortableInterceptors/Auth/MessengerClient.cpp
        * DevGuideExamples/PortableInterceptors/IOR/IOR.mpc
        * DevGuideExamples/PortableInterceptors/PICurrent/ClientInitializer.cpp
        * DevGuideExamples/PortableInterceptors/PICurrent/MessengerClient.cpp
        * DevGuideExamples/PortableInterceptors/PICurrent/MessengerServer.cpp
        * DevGuideExamples/PortableInterceptors/PICurrent/PICurrent.mpc
        * DevGuideExamples/PortableInterceptors/SimpleCodec/SimpleCode.mpc
        * DevGuideExamples/ValueTypes/Bank/bank.mpc
        * DevGuideExamples/ValueTypes/Messenger/ValueTypes.mpc
          Improved MPC files, removed not needed includes of CosNamingC.h

Wed Oct 29 15:27:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Internal.cpp:
          Updated debug statement to match the layout of the other messages

Wed Oct 29 13:25:00 UTC 2008  Simon Massey <sma at prismtech dot com>

        * NEWS
          Updated.

Wed Oct 29 07:21:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/AMH/AMH.mpc
        * DevGuideExamples/GettingStarted/GettingStarted.mpc
        * DevGuideExamples/LocalObjects/Messenger/Messenger.mpc
        * DevGuideExamples/LocalObjects/ServantLocator/ServantLocator.mpc
        * DevGuideExamples/Messaging/RelativeRoundtripTimeout/RelativeRoundtripTimeout.mpc
        * DevGuideExamples/RTCORBA/RTCORBA.mpc
        * DevGuideExamples/RTCORBA/run_test.pl
          Fixed ServantLocator mpc file and reworked the other
          MPC files to match the latest conventions

Tue Oct 28 20:03:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/RTCORBA/run_test.pl
          Corrected executable names

Tue Oct 28 16:31:21 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * orbsvcs/tests/Notify/Bug_2415_Regression/Supplier.cpp
          Correctly declared variable (made non-const).

Tue Oct 28 16:20:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/ValueTypes/Notify/*:
          Moved to orbsvcs

Tue Oct 28 16:12:21 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * orbsvcs/tests/Notify/Bug_2415_Regression/Supplier.cpp

          Fixed build error (�ACE_TCHAR*� to �char*� assignment error).

Tue Oct 28 15:18:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/GettingStarted/GettingStarted.mpc
        * DevGuideExamples/LocalObjects/Messenger/Messenger.mpc
        * DevGuideExamples/LocalObjects/ServantLocator/ServantLocator.mpc
          Use custom idl project

        * DevGuideExamples/LocalObjects/ServantLocator/MessengerLocator_i.cpp
          Layout change

Tue Oct 28 11:45:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/RTCORBA/Server_Protocol/server.cpp:
        * tests/RTCORBA/Server_Declared/server.cpp:
        * tests/RTCORBA/Server_Protocol/server.cpp:
        * tests/RTCORBA/Client_Protocol/client.cpp:
        * tests/RTCORBA/Client_Protocol/server.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp:

          sscanf and of course doesn't want ACE_TEXT().

Tue Oct 28 11:20:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/GettingStarted/run_test.pl:
          Fixed bug in this script

Tue Oct 28 10:52:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/GettingStarted/GettingStarted.mpc:
          Added custom idl project. This should fix the VMS link
          problems. Let us see if this works before updating
          all MPC files

Mon Oct 27 19:26:59 UTC 2008  Tim Pollock  <pollockt@ociweb.com>

        * NEWS
        * orbsvcs/Notify_Service/README
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp
        * orbsvcs/orbsvcs/Notify/Properties.cpp
        * orbsvcs/orbsvcs/Notify/Properties.h
        * orbsvcs/orbsvcs/Notify/Properties.inl
        * orbsvcs/tests/Notify/lib/Notify_Test_Client.cpp
        * orbsvcs/tests/Notify/lib/Notify_Test_Client.h

          Added new svc.conf arguments to set the filter op flag (DOC bug 2415).

        * orbsvcs/tests/Notify/Bug_2415_Regression

          Added new test for DOC bug 2415.

Mon Oct 27 17:14:04 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/Bounded_Sequence_CDR_T.h:
        * tao/Unbounded_Sequence_CDR_T.h:

          Revert changes to demarshal for string sequences. Improvement was due
          to a defective sequence element out operation.

Mon Oct 27 16:45:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * tests/RTCORBA/Server_Declared/server.cpp:
        * tests/RTCORBA/Server_Protocol/server.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Federated/EchoEventConsumerMain.cpp:
        * tests/RTCORBA/Client_Protocol/client.cpp:
        * tests/RTCORBA/Client_Protocol/server.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp:

          sscanf needs ACE_TEXT_ALWAYS_CHAR ()

Mon Oct 27 14:40:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/ConsumerMain.cpp:

          ACE_LIB_TEXT -> ACE_TEXT.

Mon Oct 27 12:40:47 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * NEWS:

          Updated the news file about the feater added in Bug#3444.

Mon Oct 27 12:31:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Internal.cpp:
          Small improvement to debug message

Sun Oct 26 08:26:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/AMH/run_test.pl
        * DevGuideExamples/AMH_AMI/run_test.pl
        * DevGuideExamples/BiDirectionalGIOP/run_test.pl
        * DevGuideExamples/GettingStarted/run_test.pl
        * LocalObjects/ServantLocator/run_test.pl
        * Messaging/AMIcallback/run_test.pl
        * Messaging/RelativeRoundtripTimeout/run_test.pl
        * Multithreading/GracefulShutdown/run_test.pl
        * Multithreading/Reactive/run_test.pl
        * Multithreading/ThreadPerConnection/run_test.pl
        * Multithreading/ThreadPool/run_test.pl
        * PortableInterceptors/PICurrent/run_test.pl
        * PortableInterceptors/PICurrent_NameService/run_test.pl
        * RTCORBA/run_test.pl
        * SmartProxies/run_test.pl
        * ValueTypes/Bank/run_test.pl
        * ValueTypes/Messenger/run_test.pl
        * ValueTypes/Notify/run_test.pl
          Use $PerlACE::wait_interval_for_process_creation when waiting
              for an ior file

Fri Oct 24 10:40:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/DevGuideExamples/EventServices/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/EchoEventSupplierMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:

          ACE_TCHAR problems.

Fri Oct 24 07:58:27 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/tests/Event/UDP/receiver.cpp:
        * orbsvcs/tests/Event/UDP/sender.cpp:
        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
        * orbsvcs/examples/RtEC/MCast/MCast.cpp:

          Put ACE_DEFAULT_MULTICAST_ADDR in ACE_TEXT().

Thu Oct 23 15:39:07 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/Bounded_Sequence_CDR_T.h:
        * tao/Unbounded_Sequence_CDR_T.h:

          Hopefully fix a Borland compilation error.

Thu Oct 23 14:15:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:

        Match the rename of ace/Process.h/cpp:
        Wed Oct 22 13:30:54 UTC 2008  Douglas C. Schmidt

Thu Oct 23 11:50:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/LocalObjects/Messenger/Messenger_i.h
        * DevGuideExamples/PortableInterceptors/Auth/ClientInitializer.h
        * DevGuideExamples/PortableInterceptors/Auth/ClientInterceptor.h
        * DevGuideExamples/PortableInterceptors/IOR/ClientInitializer.h
        * DevGuideExamples/PortableInterceptors/IOR/ClientInterceptor.h
        * DevGuideExamples/PortableInterceptors/IOR/ServerIORInterceptor.h
        * DevGuideExamples/PortableInterceptors/PICurrent/ClientInitializer.h
        * DevGuideExamples/PortableInterceptors/PICurrent/ClientInterceptor.h
        * DevGuideExamples/PortableInterceptors/PICurrent_NameService/ClientInitializer.h
        * DevGuideExamples/PortableInterceptors/PICurrent_NameService/ClientInterceptor.h
        * DevGuideExamples/PortableInterceptors/SimpleCodec/ClientInitializer.h
        * DevGuideExamples/PortableInterceptors/SimpleCodec/ClientInterceptor.h
          Don't use deprecated TAO_Local_RefCounted_Object

Thu Oct 23 10:28:43 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tests/Bug_3471_Regression/client.cpp:
        * tests/Bug_3471_Regression/server.cpp:
          Wchar nonesense.

Thu Oct 23 09:14:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
          Fixed compile error

Thu Oct 23 07:54:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/EventServices
        * DevGuideExamples/ImplRepo
        * DevGuideExamples/InterfaceRepo
        * DevGuideExamples/NamingService
        * DevGuideExamples/NotifyService
        * DevGuideExamples/Security
          Moved these directories to orbsvcs/DevGuideExamples, that makes
          it much easier to just build the core examples

Thu Oct 23 06:43:14 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * utils/nslist/nsdel.cpp:
        * utils/nslist/nsadd.cpp:
        * utils/nslist/nslist.cpp:

          Fixed compile errors on wchar builds. I wonder how wchar build
          on windows accepted my changes before.

Wed Oct 22 17:37:26 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/Bounded_Sequence_CDR_T.h:
        * tao/Unbounded_Sequence_CDR_T.h:

          Remove some sort of template var thing that is killing performance.
          This fixes bug #3472.

Wed Oct 22 12:49:03 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/tests/EC_Multiple/EC_Multiple.cpp:

          %C can only be used in ACE_ERROR/ACE_DEBUG, not sprintf.
          I fixed that.

Wed Oct 22 12:01:09 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * utils/nslist/nsdel.cpp:
        * utils/nslist/nsadd.cpp:
        * utils/nslist/nslist.cpp:

          My fix for incorrect usage of ACE_TEXT_ALWAYS_CHAR had some
          flaws in nslist. Now I fixed it.

Wed Oct 22 11:18:32 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tests/Bug_3471_Regression/Bug_3471_Regression.mpc:

          Rename mpc file.

        * tests/Bug_3471_Regression/Hello.mpc:

          Removed this file.

Wed Oct 22 10:54:58 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/Object.cpp:

          Fix traits marshal op to not seg fault on a nil reference. This fixes
          bug #3471.

        * tests/Bug_3471_Regression:
        * tests/Bug_3471_Regression/Hello.h:
        * tests/Bug_3471_Regression/Hello.mpc:
        * tests/Bug_3471_Regression/Hello.cpp:
        * tests/Bug_3471_Regression/README:
        * tests/Bug_3471_Regression/Test.idl:
        * tests/Bug_3471_Regression/client.cpp:
        * tests/Bug_3471_Regression/run_test.pl:
        * tests/Bug_3471_Regression/server.cpp:

          Regression test for the above fix.

Wed Oct 22 07:11:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Release:
          Package new DevGuideExamples directory

Wed Oct 22 07:08:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_3387_Regression/Messenger.mpc:
          Renamed to Bug_3387_Regression.mpc

Tue Oct 21 19:10:21 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * DevGuideExamples:

          Added examples from the OCI distribution. Special thanks to OCI
          for contributing the examples.

Tue Oct 21 15:59:59 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * tests/Bug_1495_Regression/Client_Task.cpp:
        * tests/Bug_1495_Regression/Threaded_Server.cpp:
        * tests/Bug_1495_Regression/Threaded_Client.cpp:
        * tests/Bug_1495_Regression/server_interceptor.cpp:
        * tests/Bug_1495_Regression/run_test.pl:

          In my previous commit to this test I introduced a bug
          that only exhibited on NetBSD. Now I fixed it.

Tue Oct 21 14:38:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_typecode/enum_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
          Fixed CB2009 warnings

Tue Oct 21 13:22:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/Banded_Connections/server.cpp
        * tests/RTCORBA/Client_Protocol/client.cpp
        * tests/RTCORBA/Client_Protocol/server.cpp
        * tests/RTCORBA/common_args.cpp
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp
        * tests/RTCORBA/Server_Declared/server.cpp
        * tests/RTCORBA/Server_Protocol/client.cpp
        * tests/RTCORBA/Server_Protocol/server.cpp
          Use ACE_OS::sscanf wrapper

Tue Oct 21 12:47:24 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/server.cpp:
        * orbsvcs/tests/Event/Basic/Control.cpp:
        * orbsvcs/tests/Event/Basic/BCast.h:
        * orbsvcs/tests/Event/Basic/Atomic_Reconnect.cpp:
        * orbsvcs/tests/Event/Basic/BCast.cpp:
        * orbsvcs/tests/Event/lib/Driver.h:
        * orbsvcs/tests/Event/lib/Driver.cpp:
        * orbsvcs/tests/Event/UDP/receiver.cpp:
        * orbsvcs/tests/Event/UDP/sender.cpp:
        * orbsvcs/tests/Event/UDP/Consumer.cpp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf.cpp:
        * orbsvcs/tests/Bug_2248_Regression/server.cpp:
        * orbsvcs/tests/Bug_2248_Regression/test_i.cpp:
        * orbsvcs/tests/Bug_2925_Regression/server.cpp:
        * orbsvcs/tests/Bug_2377_Regression/uipmc_test.cpp:
        * orbsvcs/tests/EC_Multiple/EC_Multiple.cpp:
        * orbsvcs/tests/EC_Multiple/EC_Multiple.h:
        * orbsvcs/tests/Security/MT_SSLIOP/server.cpp:
        * orbsvcs/tests/Bug_2247_Regression/server.cpp:
        * orbsvcs/tests/Bug_2247_Regression/test_i.cpp:
        * orbsvcs/tests/Bug_2247_Regression/Manager.cpp:
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp:
        * orbsvcs/tests/FT_App/StubFaultNotifier.cpp:
        * orbsvcs/tests/FT_App/FT_Creator.cpp:
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.h:
        * orbsvcs/tests/FT_App/StubFaultNotifier.h:
        * orbsvcs/tests/FT_App/FT_Creator.h:
        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
        * orbsvcs/tests/LoadBalancing/LoadMonitor/CPU/client.cpp:
        * orbsvcs/examples/Notify/Federation/SpaceCraft/SpaceCraft.cpp:
        * orbsvcs/examples/Notify/Federation/Agent/Agent.cpp:
        * orbsvcs/examples/CosEC/Factory/FactoryDriver.cpp:
        * orbsvcs/examples/CosEC/Factory/FactoryDriver.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Supplier.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Consumer.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/CosEvent_Utilities.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/CosEvent_Utilities.h:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.h:
        * orbsvcs/examples/RtEC/IIOPGateway/Gateway.cpp:
        * orbsvcs/examples/RtEC/IIOPGateway/Supplier.cpp:
        * orbsvcs/examples/RtEC/IIOPGateway/EC.cpp:
        * orbsvcs/examples/RtEC/IIOPGateway/Consumer.cpp:
        * orbsvcs/examples/RtEC/MCast/MCast.cpp:
        * orbsvcs/examples/LoadBalancing/server.cpp:
        * utils/nslist/nsdel.cpp:
        * utils/nslist/nsadd.cpp:
        * utils/nslist/nslist.cpp:
        * performance-tests/Cubit/TAO/DII_Cubit/client.cpp:
        * tests/Bug_2735_Regression/server.cpp:
        * examples/Callback_Quoter/Consumer_Input_Handler.cpp:
        * examples/Callback_Quoter/Consumer_Handler.cpp:
        * examples/Callback_Quoter/Consumer_Handler.h:
        * examples/Content_Server/SMI_Iterator/client.cpp:

          Fixed incorrect use of ACE_TEXT_* conversion macros.

Tue Oct 21 10:32:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTPortableServer/RT_Acceptor_Filters.cpp:
        * tao/Policy_Set.cpp:
         Const change

        * tao/RTPortableServer/RT_POA.h:
          Layout change

        * tao/IIOP_Acceptor.cpp:
          Wchar changes

Tue Oct 21 09:10:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Acceptor_Impl.h:
          Doxygen change

        * tao/Acceptor_Registry.{h,cpp}:
        * tao/RTPortableServer/RT_POA.cpp
          Bool/const changes

        * tao/RTCORBA/RT_Policy_i.cpp:
          Get keep_alive/dont_rout from orb params

        * tao/RTPortableServer/RT_Policy_Validator.cpp:
          Bool changes

        * tao/Transport_Acceptor.h:
          Layout changes

Tue Oct 21 07:32:43 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * examples/Simple/grid/Grid_i.h:
        * examples/Simple/grid/Grid_i.cpp:

          Fixed a 'min' name clash on Windows.

Mon Oct 20 14:06:52 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/Bounded_Sequence_CDR_T.h:
        * tao/Unbounded_Sequence_CDR_T.h:

          Add back missing long long marshal and demarshal ops to restore
          performance for these types.

          This fixes bug #3465.

Mon Oct 20 13:50:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TransportCurrent/Current_Impl.cpp:
          Fixed CB2009 warning

Mon Oct 20 13:23:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/File_IO/File_i.cpp:
        * tests/POA/Default_Servant2/File_i.cpp:
          Use ACE_OS::atol

Mon Oct 20 13:09:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/LoadBalancing/server.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/server.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/server.cpp
        * orbsvcs/tests/FtRtEvent/supplier.cpp
          Use ACE_OS::atof

Mon Oct 20 12:25:45 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * tao/Object.h:
        * tao/PolicyC.h:

          Remove unsafe default of TAO_ORB_Core pointer from the CORBA::Object
          constructor that takes an IOP::IOR as primary argument. The pointer
          was defaulted to 0 but the first thing the constructor does is use
          it. Very little good is likely to come of that sort of thing.

Mon Oct 20 11:45:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/orsvcs/Naming/Naming_Context_Interface.cpp:

          WCHAR changes.

Mon Oct 20 11:36:06 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.h:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.h:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.h:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.h:

          Fixed incorrect use of ACE_TEXT_* macros.

        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:

          Changed %s to %C in ACE_DEBUG/ACE_ERROR where it was evident.

Mon Oct 20 11:35:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/tests/Bug_2287_Regression/ServerRequest_Interceptor2.cpp:

          (Incorrect) Fuzz errors removed.

Mon Oct 20 09:42:14 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * tao/HTTP_Parser.cpp:

          Fixed incorrect use of ACE_TEXT_CHAR_TO_TCHAR.

        * examples/Simple/chat/Broadcaster_i.cpp:
        * examples/Simple/chat/server.cpp:
        * examples/Simple/chat/Broadcaster_i.h:
        * examples/Simple/chat/Receiver_i.cpp:
        * examples/Simple/chat/Server_i.cpp:
        * examples/Simple/chat/Receiver_i.h:
        * examples/Simple/chat/Server_i.h:
        * examples/Simple/chat/Client_i.cpp:
        * examples/Simple/chat/Client_i.h:
        * examples/Simple/grid/client.cpp:
        * examples/Simple/grid/Grid_Client_i.h:
        * examples/Simple/grid/Grid_i.h:
        * examples/Simple/grid/server.cpp:
        * examples/Simple/grid/Grid.idl:
        * examples/Simple/grid/Grid_Client_i.cpp:
        * examples/Simple/grid/Grid_i.cpp:
        * examples/Simple/Simple_util.cpp:
        * examples/Simple/time-date/Time_Date.h:
        * examples/Simple/time-date/Time_Date_Client_i.cpp:
        * examples/Simple/time-date/Time_Date_i.cpp:
        * examples/Simple/time-date/Time_Date_Client_i.h:
        * examples/Simple/time-date/Time_Date_i.h:
        * examples/Simple/time-date/client.cpp:
        * examples/Simple/time-date/Time_Date.idl:
        * examples/Simple/time-date/Time_Date.cpp:
        * examples/Simple/time-date/run_test.pl:
        * examples/Simple/bank/client.cpp:
        * examples/Simple/bank/AccountManager_i.cpp:
        * examples/Simple/bank/Bank_Client_i.cpp:
        * examples/Simple/bank/AccountManager_i.h:
        * examples/Simple/bank/Account_i.cpp:
        * examples/Simple/bank/Bank_Client_i.h:
        * examples/Simple/bank/server.cpp:
        * examples/Simple/bank/Account_i.h:
        * examples/Simple/Simple_util.h:
        * examples/Simple/echo/client.cpp:
        * examples/Simple/echo/Echo_Client_i.cpp:
        * examples/Simple/echo/Echo_i.cpp:
        * examples/Simple/echo/server.cpp:
        * examples/Simple/echo/Echo_Client_i.h:
        * examples/Simple/echo/Echo_i.h:
        * examples/Simple/time/client.cpp:
        * examples/Simple/time/Time_Client_i.cpp:
        * examples/Simple/time/Time_i.cpp:
        * examples/Simple/time/server.cpp:
        * examples/Simple/time/Time_Client_i.h:
        * examples/Simple/time/Time_i.h:

          Fixed bugs and memory leaks in these examples. Refactored some
          of the code to make it more readable and more in TAO spirit.

Sun Oct 19 05:51:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Flat_File_Persistence.cpp:
          Removed WinCE workaround

Fri Oct 17 17:55:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp
        * orbsvcs/orbsvcs/Runtime_Scheduler.cpp
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.cpp
        * orbsvcs/orbsvcs/Trader/Trader.h
        * orbsvcs/PSS/PSDL_Node.cpp
        * orbsvcs/PSS/PSDL_Scope.cpp
          Removed BCB6/BCB2006 workarounds

        * orbsvcs/Trading_Service/Trading_Server.cpp
        * orbsvcs/Trading_Service/Trading_Service.cpp
          Layout changes

Fri Oct 17 15:42:38 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * tests/ORB_Local_Config/Bug_1459/Test.cpp:
        * tests/ORB_Local_Config/Bug_3049/Test.cpp:

          Fixed these tests on wchar builds.

Fri Oct 17 13:55:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/Alias_TypeCode.h
        * tao/AnyTypeCode/Alias_TypeCode.inl
        * tao/AnyTypeCode/PolicyA.h
        * tao/AnyTypeCode/Recursive_Type_TypeCode.h
        * tao/AnyTypeCode/Recursive_Type_TypeCode.inl
        * tao/AnyTypeCode/Sequence_TypeCode.h
        * tao/AnyTypeCode/Sequence_TypeCode.inl
        * tao/AnyTypeCode/Union_TypeCode.h
        * tao/AnyTypeCode/Union_TypeCode.inl
        * tao/AnyTypeCode/Value_TypeCode.h
        * tao/AnyTypeCode/Value_TypeCode.inl
        * tao/AnyTypeCode/WrongTransactionA.h
        * tao/Object_KeyC.cpp
        * tao/Object_KeyC.h
        * tao/PI/ORBInitInfo.h
        * tao/PolicyC.h
        * tao/PortableServer/PolicyS.h
        * tao/Typecode_typesC.cpp
        * tao/Typecode_typesC.h
        * tao/WrongTransactionC.cpp
        * tao/WrongTransactionC.h
          Removed BCB6/BCB2006 workarounds

Fri Oct 17 13:03:29 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/tests/Bug_2287_Regression/ServerORBInitializer2.h:
        * orbsvcs/tests/Bug_2287_Regression/ServerORBInitializer2.cpp:
        * orbsvcs/tests/Bug_2287_Regression/ServerRequest_Interceptor2.h:
        * orbsvcs/tests/Bug_2287_Regression/ServerRequest_Interceptor2.cpp:
        * orbsvcs/tests/Bug_2287_Regression/server.cpp:

          This test was also producing access violations on windows.

Fri Oct 17 12:33:42 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/tests/Bug_3215_Regression/ServerORBInitializer2.h:
        * orbsvcs/tests/Bug_3215_Regression/ServerORBInitializer2.cpp:
        * orbsvcs/tests/Bug_3215_Regression/ServerRequest_Interceptor2.h:
        * orbsvcs/tests/Bug_3215_Regression/ServerRequest_Interceptor2.cpp:
        * orbsvcs/tests/Bug_3215_Regression/server.cpp:

          Fix windows access violations.

Fri Oct 17 10:35:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/orsvcs/Naming/Naming_Context_Interface.cpp:
        * orbsvcs/tests/Security/EndpointPolicy/test.cpp:
        * orbsvcs/examples/Imr/Advanced/TestClient.h:
        * orbsvcs/Notify_Service/NT_Notifiy_Server.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Server.cpp:

          WCHAR changes.

Thu Oct 16 20:58:52 UTC 2008  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp (list_initial_references): This method should
          return the registered service name, not the object reference.
          Thanks to Alexandre Skrzyniarz <alexandre dot skrzyniarz at fr
          dot thalesgroup dot com> for providing this fix.

Thu Oct 16 14:45:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/Notify_Service/NT_Notifiy_Server.cpp:
        * orbsvcs/Notify_Service/NT_Notifiy_Service.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Server.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Service.cpp:

          WCHAR changes.

Thu Oct 16 14:30:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/examples/Imr/Advanced/TestServer.h:

          WCHAR changes.

Thu Oct 16 14:10:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/tests/Security/EndpointPolicy/test.cpp:
        * orbsvcs/tests/Security/InsecureReferences/test.cpp:

          WCHAR changes.

Thu Oct 16 10:41:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1361_Regression/client.cpp:
        * tests/Bug_1361_Regression/Echo.cpp:
          Use ACE_OS::raise to fix compile errors with WinCE

Thu Oct 16 09:39:08 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/tests/Bug_1395_Regression/Makefile.am:

          Fixed a compile error on autoconf builds.

Wed Oct 15 15:35:50 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/constants.idl:
        * tests/IDL_Test/main.cpp:

          Added code to check that a signed long integer constant
          rhs value gets generated as such and not as an unsigned
          literal, which would precipitate compile a warning.

Wed Oct 15 12:08:01 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/tests/Bug_3216_Regression/server.cpp:
        * orbsvcs/tests/Bug_1395_Regression/server.cpp:
        * orbsvcs/tests/Bug_1395_Regression/Bug_1395_Regression.mpc:
        * orbsvcs/tests/Bug_2316_Regression/server.cpp:
        * orbsvcs/tests/Bug_2615_Regression/server.cpp:
        * tests/CollocationLockup/CollocationLockup.cpp:
        * tests/CollocationLockup/SimpleNamingService.cpp:
        * tests/CollocationLockup/run_test.pl:
        * tests/Collocation_Tests/Hello.cpp:
        * tests/Bug_1495_Regression/Client_Task.cpp:
        * tests/Bug_1495_Regression/client_interceptor.h:
        * tests/Bug_1495_Regression/Threaded_Server.cpp:
        * tests/Bug_1495_Regression/Server_Task.cpp:
        * tests/Bug_1495_Regression/server_interceptor.h:
        * tests/Bug_1495_Regression/run_test.pl:

          Fixed memory leaks in all those tests.

Wed Oct 15 10:29:36 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/tests/InterfaceRepo/Persistence_Test/Ptest.cpp:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/Ptest.h:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/run_test.pl:

          Made log of the pl script a bit more verbose. Changed ACE_ASSERT
          to real checks.

        * orbsvcs/tests/Bug_3215_Regression/server.cpp:
        * orbsvcs/tests/Bug_2287_Regression/server.cpp:

          Fixed a problem with permanent forward on win32 if
          orbsvcs/FaultTolerance/FT_ClientService_Activate.h is not
          included. Fixed memory leaks.

        * orbsvcs/tests/Bug_2285_Regression/client2.cpp:
        * orbsvcs/tests/Bug_2285_Regression/server.cpp:
        * orbsvcs/tests/Bug_2285_Regression/server2.cpp:

          Fixed memory leaks in this test.

        * orbsvcs/orbsvcs/Security/SL2_SecurityManager.cpp:

          Fixed a warning on HP-UX compilers.

        * TAO_IDL/driver/drv_args.cpp:

          Fixed a memory leak.

        * performance-tests/POA/Demux/demux_test_server.cpp:
        * performance-tests/POA/Demux/demux_test_client.cpp:
        * performance-tests/POA/Demux/demux_test_client.h:

          Fixed a code that crashed gcc on Solaris. This was happening
          because the test used a huge 2-dimensional array as a class
          member. Also fixed other problems that I encountered when I
          tried to run that test manually.

        * tests/ORB_Local_Config/Bug_1459/Test.cpp:
        * tests/ORB_Local_Config/Bug_1459/d.conf:

          Changed the test a bit so that it tests what it's expected
          to test. Not UIOP which is not present on Win32 and not SSLIOP
          which has a problem described in bug#3418.

Mon Oct 13 18:24:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.cpp:
          Some ACE_TCHAR changes to get rid of some not needed
          conversions

Mon Oct 13 14:12:09 UTC 2008  Vladimir Zykov  <vzykov@prismtech.com>

        * orbsvcs/tests/Bug_3444_Regression/client.cpp:
        * orbsvcs/tests/Bug_3444_Regression/Test_impl.cpp:
        * orbsvcs/tests/Bug_3444_Regression/run_test_ipv6.pl:
        * orbsvcs/tests/Bug_3444_Regression/miop_svc.conf:
        * orbsvcs/tests/Bug_3444_Regression/Test.idl:
        * orbsvcs/tests/Bug_3444_Regression/Test_impl.h:
        * orbsvcs/tests/Bug_3444_Regression/server.cpp:
        * orbsvcs/tests/Bug_3444_Regression/Bug_3444_Regression.mpc:
        * orbsvcs/tests/Bug_3444_Regression/diop_svc.conf:
        * orbsvcs/tests/Bug_3444_Regression/sciop_svc.conf:
        * orbsvcs/tests/Bug_3444_Regression/README:
        * orbsvcs/tests/Bug_3444_Regression/run_test.pl:

          Added a test for Bug#3444.

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/SCIOP_Connection_Handler.cpp:
        * tao/IIOP_Connection_Handler.cpp:
        * tao/ORB_Core.cpp:
        * tao/params.h:
        * tao/params.cpp:
        * tao/Protocols_Hooks.h:
        * tao/params.inl:
        * tao/Protocols_Hooks.cpp:
        * docs/Options.html:

          Added -ORBIPHopLimit orb parameter for setting TTL of IP
          packets in IIOP, DIOP, SCIOP and MIOP. Also added specific to
          MIOP orb parameter -ORBIPMulticastLoop. Updated documentation
          with respect to these new features. This fixes Bug#3444.

Mon Oct 13 13:57:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.cpp:

          ACE_ERROR_RETURN macro requires a non-multi-compile-line string.

Mon Oct 13 11:23:00 UTC 2008  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/tests/InterfaceRepo/Union_Forward_Test/client.cpp:

          Eliminate warings concerning selecting correct var to pointer
          translation (by using .in ());

Mon Oct 13 11:01:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_helper.cpp:
          Always use plain char format specifiers

Mon Oct 13 07:22:00 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IOR_Multicast.cpp
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.cpp
        * orbsvcs/orbsvcs/Sched/DynSched.cpp
        * orbsvcs/cheduling_Service/Scheduling_Service.cpp
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/receiver.cpp
          ACE_TCHAR fixes

Sun Oct 12 23:11:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Concurrency_Service/Concurrency_Service.cpp
        * orbsvcs/Event_Service/Event_Service.cpp
        * orbsvcs/Event_Service/Event_Service.h
        * orbsvcs/examples/CosEC/TypedSimple/Consumer.cpp
        * orbsvcs/examples/ImR/Advanced/TestServer.cpp
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.cpp
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.cpp
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp
          ACE_TCHAR fixes

Sun Oct 12 23:10:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/catior/catior.cpp
        * utils/monitor/monitor_client.cpp
          ACE_TCHAR fixes

Sun Oct 12 23:06:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Abstract_Interface/client.cpp
        * tests/Bug_1254_Regression/server.cpp
        * tests/Bug_2134_Regression/Hello.cpp
        * tests/Bug_2234_Regression/client.cpp
        * tests/Bug_2234_Regression/server.cpp
        * tests/Bug_3276_Regression/Manager.cpp
        * tests/CDR/octet_sequence.cpp
        * tests/CDR/tc.cpp
        * tests/CodeSets/simple/client.cpp
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/server.cpp
        * tests/HandleExhaustion/server.cpp
        * tests/InterOp-Naming/INS_test_client.cpp
        * tests/NestedUpcall/Simple/server.cpp
        * tests/OBV/Truncatable/client.cpp
        * tests/ORB_Local_Config/Two_DLL_ORB/client.cpp
        * tests/ORB_Local_Config/Two_DLL_ORB/server.cpp
        * tests/ORT/server.cpp
        * tests/Param_Test/anyop.cpp
        * tests/POA/Adapter_Activator/server.cpp
        * tests/POA/Default_Servant2/client.cpp
        * tests/POA/Default_Servant2/server.cpp
        * tests/POA/Explicit_Activation/server.cpp
        * tests/POA/Generic_Servant/client.cpp
        * tests/POA/NewPOA/NewPOA.cpp
        * tests/POA/On_Demand_Loading/Server_Manager.cpp
        * tests/POA/Persistent_ID/server.cpp
        * tests/POA/POA_BiDir/POA_BiDir.cpp
        * tests/POA/POAManagerFactory/POAManagerFactory.cpp
        * tests/RTCORBA/Linear_Priority/client.cpp
        * tests/RTCORBA/Linear_Priority/server.cpp
        * tests/RTCORBA/Persistent_IOR/server.cpp
        * tests/RTCORBA/Policy_Combinations/client.cpp
        * tests/RTCORBA/Policy_Combinations/server.cpp
        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp
        * tests/RTCORBA/Profile_And_Endpoint_Selection/server.cpp
        * tests/Smart_Proxies/dtor/server.cpp
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.cpp
        * tests/TransportCurrent/IIOP/IIOP_Tester.cpp
          ACE_TCHAR fixes

Sun Oct 12 20:53:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Acceptor_Registry.cpp
        * tao/AnyTypeCode/NVList.cpp
        * tao/Connector_Registry.cpp
        * tao/CORBALOC_Parser.cpp
        * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.cpp
        * tao/default_resource.cpp
        * tao/Environment.cpp
        * tao/Exception.cpp
        * tao/IIOP_Acceptor.cpp
        * tao/IIOP_Connector.cpp
        * tao/ImR_Client/ImR_Client.cpp
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp
        * tao/Object_Ref_Table.cpp
        * tao/ORB_Core.cpp
        * tao/PortableServer/Operation_Table_Perfect_Hash.cpp
        * tao/PortableServer/Root_POA.cpp
        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp
        * tao/RTScheduling/Request_Interceptor.cpp
        * tao/Strategies/advanced_resource.cpp
        * tao/Strategies/COIOP_Acceptor.cpp
        * tao/Strategies/DIOP_Acceptor.cpp
        * tao/Strategies/DIOP_Connection_Handler.cpp
        * tao/Strategies/DIOP_Connector.cpp
        * tao/Strategies/DIOP_Transport.cpp
        * tao/Strategies/SCIOP_Acceptor.cpp
        * tao/Strategies/SCIOP_Connection_Handler.cpp
        * tao/Strategies/SCIOP_Connector.cpp
        * tao/Strategies/SHMIOP_Acceptor.cpp
        * tao/Strategies/SHMIOP_Connector.cpp
        * tao/Synch_Invocation.cpp
        * tao/SystemException.cpp
        * tao/Transport.cpp
        * tao/Transport_Connector.cpp
          ACE_TCHAR fixes

Sun Oct 12 20:52:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Persistent_Grid/Simple_util.cpp
        * examples/Simple/Simple_util.cpp
          ACE_TCHAR fixes

Sun Oct 12 20:01:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI/ami_test_i.cpp
        * tests/Bug_1676_Regression/client.cpp
        * tests/Bug_2084_Regression/EventNode.cpp
        * tests/Bug_2183_Regression/client.cpp
        * tests/Bug_2328_Regression/client.cpp
        * tests/Bug_2593_Regression/client.cpp
        * tests/Bug_2966_Regression/client.cpp
        * tests/Bug_3299_Regression/client.cpp
        * tests/Cache_Growth_Test/client.cpp
        * tests/COIOP/Client_Task.cpp
        * tests/COIOP/COIOP_Simple_Test.cpp
        * tests/Collocation_Exception_Test/Client_Task.cpp
        * tests/Collocation_Oneway_Tests/Client_Task.cpp
        * tests/Collocation_Opportunities/Collocation_Opportunities.cpp
        * tests/Collocation_Tests/Client_Task.cpp
        * tests/Connect_Strategy_Test/client.cpp
        * tests/Connection_Timeout/client.cpp
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/client.cpp
        * tests/Hello/client.cpp
        * tests/ICMG_Any_Bug/client.cpp
        * tests/IPV6/client.cpp
        * tests/Ondemand_Write/client.cpp
        * tests/Optimized_Connection/oc_client.cpp
        * tests/ZIOP/client.cpp
          ACE_TCHAR fixes

Sun Oct 12 19:33:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DiffServ/server.cpp
        * tests/IORManipulation/IORTest.cpp
        * tests/POA/Bug_2511_Regression/server.cpp
        * tests/POA/DSI/Database_i.cpp
        * tests/POA/DSI/server.cpp
        * tests/POA/EndpointPolicy/server.cpp
        * tests/POA/Etherealization/Etherealization.cpp
        * tests/POA/FindPOA/FindPOA.cpp
        * tests/POA/Identity/Identity.cpp
        * tests/POA/Loader/Server_Manager.cpp
        * tests/POA/MT_Servant_Locator/MT_Servant_Locator.cpp
        * tests/POA/On_Demand_Activation/server.cpp
        * tests/POA/Reference_Counted_Servant/server.cpp
        * tests/POA/RootPOA/RootPOA.cpp
          ACE_TCHAR fixes

Sun Oct 12 19:04:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/MonitorControl/MonitorManager.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp
        * orbsvcs/Notify_Service/Notify_Service.cpp
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.cpp
        * orbsvcs/IFR_Service/be_global.h
        * orbsvcs/tests/Simple_Naming/client.cpp
        * orbsvcs/tests/Bug_2248_Regression/server.cpp
        * orbsvcs/tests/Bug_2248_Regression/client.cpp
        * orbsvcs/tests/Bug_2925_Regression/server.cpp
        * orbsvcs/tests/Security/Crash_Test/server.cpp
        * orbsvcs/tests/Security/Crash_Test/client.cpp
        * orbsvcs/tests/Security/InsecureReferences/test.cpp
        * orbsvcs/tests/Security/Secure_Invocation/server.cpp
        * orbsvcs/tests/Security/Secure_Invocation/client.cpp
        * orbsvcs/tests/Security/EndpointPolicy/test.cpp
        * orbsvcs/tests/Security/MT_IIOP_SSL/server.cpp
        * orbsvcs/tests/Security/Bug_1107_Regression/server.cpp
        * orbsvcs/tests/Security/Bug_1107_Regression/client.cpp
        * orbsvcs/tests/Security/Big_Request/server.cpp
        * orbsvcs/tests/Security/Big_Request/client.cpp
        * orbsvcs/tests/Security/MT_SSLIOP/server.cpp
        * orbsvcs/tests/Security/MT_SSLIOP/client.cpp
        * orbsvcs/tests/Security/mixed_security_test/server.cpp
        * orbsvcs/tests/Security/mixed_security_test/client.cpp
        * orbsvcs/tests/HTIOP/AMI/server.cpp
        * orbsvcs/tests/HTIOP/AMI/ami_test_i.cpp
        * orbsvcs/tests/HTIOP/BiDirectional/server.cpp
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.cpp
        * orbsvcs/tests/Bug_2247_Regression/server.cpp
        * orbsvcs/tests/Bug_2247_Regression/Manager.cpp
        * orbsvcs/tests/FaultTolerance/IOGR/server.cpp
        * orbsvcs/tests/Notify/Timeout/Notify_Structured_Push_Consumer.cpp
        * orbsvcs/tests/Notify/Timeout/Structured_Supplier.cpp
        * orbsvcs/tests/Notify/Blocking/Notify_Structured_Push_Consumer.cpp
        * orbsvcs/tests/Notify/Bug_1385_Regression/Notify_Structured_Push_Consumer.cpp
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Notify_Sequence_Push_Consumer.cpp
        * orbsvcs/tests/Notify/MC/Notify_Structured_Push_Consumer.cpp
        * orbsvcs/tests/Notify/Discarding/Notify_Structured_Push_Consumer.cpp
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp
        * orbsvcs/examples/Security/Send_File/server.cpp
        * orbsvcs/examples/CosEC/Simple/Service.cpp
        * orbsvcs/examples/RtEC/Simple/Service.cpp
        * tao/ORB.cpp
        * utils/monitor/monitor_client.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/server.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/server.cpp
        * tests/DII_AMI_Forward/client.cpp
        * tests/DII_AMI_Forward/server_interceptor.cpp
        * tests/MT_BiDir/server.cpp
        * tests/MT_BiDir/client.cpp
        * tests/Faults/middle.cpp
        * tests/Faults/pong.cpp
        * tests/Faults/server.cpp
        * tests/Faults/client.cpp
        * tests/Faults/ping.cpp
        * tests/Bug_2909_Regression/client.cpp
        * tests/Muxed_GIOP_Versions/client.cpp
        * tests/Muxed_GIOP_Versions/server.cpp
        * tests/Object_Loader/Loader.cpp
        * tests/DSI_Gateway/client.cpp
        * tests/DSI_Gateway/gateway.cpp
        * tests/DSI_Gateway/server.cpp
        * tests/QtTests/server.cpp
        * tests/Timed_Buffered_Oneways/server.cpp
        * tests/Nested_Event_Loop/server.cpp
        * tests/DLL_ORB/Test_Server_Module.cpp
        * tests/MProfile/client.cpp
        * tests/MProfile/server.cpp
        * tests/Timeout/client.cpp
        * tests/Timeout/server.cpp
        * tests/ORB_init/ORB_init.cpp
        * tests/MT_Client/server.cpp
        * tests/MT_Client/orb_creation.cpp
        * tests/MT_Client/client.cpp
        * tests/Typedef_String_Array/client.cpp
        * tests/Typedef_String_Array/server.cpp
        * tests/Big_AMI/client.cpp
        * tests/Big_AMI/server.cpp
        * tests/OctetSeq/server.cpp
        * tests/OctetSeq/client.cpp
        * tests/Bug_2734_Regression/client.cpp
        * tests/Bug_2734_Regression/server.cpp
        * tests/BiDirectional_DelayedUpcall/client.cpp
        * tests/BiDirectional_DelayedUpcall/server.cpp
        * tests/MT_Server/client.cpp
        * tests/MT_Server/server.cpp
        * tests/BiDirectional/client.cpp
        * tests/BiDirectional/server.cpp
        * tests/Strategies/client.cpp
        * tests/Strategies/server.cpp
        * tests/Bug_2494_Regression/client.cpp
        * tests/Bug_2494_Regression/server.cpp
        * tests/AMI_Timeouts/client.cpp
        * tests/AMI_Timeouts/server.cpp
        * tests/FL_Cube/server.cpp
        * tests/MProfile_Forwarding/server.cpp
        * tests/Portable_Interceptors/Dynamic/client.cpp
        * tests/Portable_Interceptors/Bug_2510_Regression/server.cpp
        * tests/Portable_Interceptors/Bug_2510_Regression/client.cpp
        * tests/Portable_Interceptors/Bug_2510_Regression/server_interceptor.cpp
        * tests/Portable_Interceptors/Bug_2510_Regression/test_i.cpp
        * tests/Portable_Interceptors/Bug_2510_Regression/client_interceptor.cpp
        * tests/Portable_Interceptors/Service_Context_Manipulation/client.cpp
        * tests/Portable_Interceptors/Bug_2133/ClientRequest_Interceptor.cpp
        * tests/Portable_Interceptors/Bug_3080/client.cpp
        * tests/Portable_Interceptors/Benchmark/client.cpp
        * tests/Portable_Interceptors/Request_Interceptor_Flow/client.cpp
        * tests/Portable_Interceptors/Bug_3079/client.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Client_Task.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/interceptors.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Server_Task.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/server_interceptor.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Server_Task.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_interceptor.cpp
        * tests/Portable_Interceptors/Bug_1559/client.cpp
        * tests/Portable_Interceptors/Redirection/client.cpp
        * tests/Portable_Interceptors/IORInterceptor/client.cpp
        * tests/Portable_Interceptors/Collocated/Dynamic/Client_Task.cpp
        * tests/Portable_Interceptors/Collocated/Dynamic/interceptors.cpp
        * tests/Portable_Interceptors/Collocated/Dynamic/Server_Task.cpp
        * tests/Portable_Interceptors/AdvSlotDblCpy/server.cpp
        * tests/Portable_Interceptors/PICurrent/client.cpp
        * tests/Portable_Interceptors/PICurrent/test_i.cpp
        * tests/Portable_Interceptors/ForwardRequest/client.cpp
        * tests/Portable_Interceptors/ORB_Shutdown/client.cpp
        * tests/Portable_Interceptors/ORB_Shutdown/server.cpp
        * tests/No_Server_MT_Connect_Test/client.cpp
        * tests/No_Server_MT_Connect_Test/server.cpp
        * tests/Codec/client.cpp
        * tests/Bug_2174_Regression/client.cpp
        * tests/Bug_2174_Regression/server.cpp
        * tests/Bug_2356_Regression/client.cpp
        * tests/Bug_2356_Regression/server.cpp
        * tests/AMI/server.cpp
        * tests/AMI/client.cpp
        * tests/AMI/simple_client.cpp
        * tests/POA/Bug_1592_Regression/client.cpp
        * tests/InterOp-Naming/Server_i.cpp
        * tests/Xt_Stopwatch/server.cpp
        * tests/Leader_Followers/server.cpp
        * tests/DIOP/client.cpp
        * tests/DIOP/server.cpp
        * tests/Multiple/server.cpp
        * tests/CSD_Collocation/Collocation_Tester.cpp
        * tests/MProfile_Connection_Timeout/client.cpp
        * tests/MProfile_Connection_Timeout/server.cpp
        * tests/CodeSets/simple/server.cpp
        * tests/DSI_AMI_Gateway/gateway.cpp
        * tests/DSI_AMI_Gateway/server.cpp
        * tests/DSI_AMI_Gateway/client.cpp
        * tests/Native_Exceptions/client.cpp
        * tests/Native_Exceptions/server.cpp
        * tests/Bug_2805_Regression/client.cpp
        * tests/Smart_Proxies/client.cpp
        * tests/Smart_Proxies/On_Demand/client.cpp
        * tests/Smart_Proxies/dtor/client.cpp
        * tests/Smart_Proxies/Benchmark/client.cpp
        * tests/TransportCurrent/IIOP/server.cpp
        * tests/TransportCurrent/Framework/server.cpp
        * tests/Forwarding/client.cpp
        * tests/Forwarding/server.cpp
        * tests/ORT/ServerRequestInterceptor.cpp
        * tests/ORT/client.cpp
        * tests/ORT/ORT_test_IORInterceptor.cpp
        * tests/BiDirectional_NestedUpcall/client.cpp
        * tests/BiDirectional_NestedUpcall/server.cpp
        * tests/Single_Read/server.cpp
        * examples/Kokyu_dsrt_schedulers/fp_example/client.cpp
        * examples/Kokyu_dsrt_schedulers/fp_example/server.cpp
        * examples/Kokyu_dsrt_schedulers/mif_example/client.cpp
        * examples/Kokyu_dsrt_schedulers/mif_example/server.cpp
        * examples/Kokyu_dsrt_schedulers/muf_example/client.cpp
        * examples/Kokyu_dsrt_schedulers/muf_example/server.cpp
        * examples/Quoter/Factory_Finder.cpp
        * examples/Quoter/Generic_Factory.cpp
        * examples/Quoter/Factory_Finder_i.cpp
        * examples/Quoter/server.cpp
        * examples/Quoter/client.cpp
        * examples/Quoter/Quoter_i.cpp
        * examples/OBV/Typed_Events/Server_i.cpp
        * examples/OBV/Typed_Events/Event_Types_impl.cpp
        * examples/OBV/Typed_Events/server.cpp
        * examples/Buffered_Oneways/server.cpp
        * examples/Simple/time-date/Time_Date_Client_i.cpp
        * examples/Simple/time-date/Time_Date.cpp
        * examples/Simple/time/Time_i.cpp
        * examples/AMI/FL_Callback/progress.cpp
        * examples/Buffered_AMI/server.cpp
        * examples/PluggableUDP/tests/Performance/client.cpp
        * examples/PluggableUDP/tests/Performance/server.cpp
        * examples/PluggableUDP/tests/SimplePerformance/client.cpp
        * examples/PluggableUDP/tests/SimplePerformance/server.cpp
        * examples/Load_Balancing/Load_Balancer_i.cpp
        * examples/Load_Balancing/Identity_Client.cpp
        * examples/Load_Balancing/Load_Balancing_Service.cpp
          ACE_TCHAR fixes

Fri Oct 10 15:08:48 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tests/Bug_2953_Regression/server.cpp:

          Now an error to access RTCurrent::the_priority () in a thread where
          it hasn't been set. Should fix spurious test fail.

Fri Oct 10 14:09:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_init.cpp
        * TAO_IDL/be_include/be_extern.h
        * TAO_IDL/driver/drv_args.cpp
        * TAO_IDL/tao_idl.cpp
          ACE_TCHAR fixes

Fri Oct 10 13:49:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2926_Regression/DllORB.cpp
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/client.cpp
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/server.cpp
        * orbsvcs/tests/Notify/Basic/AdminProperties.cpp
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp
        * orbsvcs/tests/Notify/Basic/Events.cpp
        * orbsvcs/tests/Notify/Basic/LifeCycle.cpp
        * orbsvcs/tests/Notify/Basic/MultiTypes.cpp
        * orbsvcs/tests/Notify/Basic/Sequence.cpp
        * orbsvcs/tests/Notify/Basic/Simple.cpp
        * orbsvcs/tests/Notify/Bug_2561_Regression/Consumer.cpp
        * orbsvcs/tests/Notify/Bug_2561_Regression/Supplier.cpp
        * orbsvcs/tests/Notify/Bug_3252_Regression/DllOrb.cpp
        * orbsvcs/tests/Notify/Bug_3252_Regression/server.cpp
        * orbsvcs/tests/Notify/RT_lib/RT_POA_Command.cpp
          ACE_TCHAR fixes

Fri Oct 10 12:42:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Sequence_Latency/AMI/client.cpp
        * performance-tests/Sequence_Latency/Deferred/client.cpp
        * performance-tests/Sequence_Latency/DII/client.cpp
        * performance-tests/Sequence_Latency/DSI/client.cpp
        * performance-tests/Sequence_Latency/Single_Threaded/client.cpp
        * performance-tests/Sequence_Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Client_Task.cpp
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Client_Task.h
          ACE_TCHAR fixes

Fri Oct 10 11:39:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/lib/Activation_Manager.cpp
        * orbsvcs/tests/Notify/lib/Activation_Manager.h
        * orbsvcs/tests/Notify/lib/Application_Command.cpp
        * orbsvcs/tests/Notify/lib/Command_Builder.cpp
        * orbsvcs/tests/Notify/lib/Command_Factory_T.cpp
        * orbsvcs/tests/Notify/lib/common.cpp
        * orbsvcs/tests/Notify/lib/ConsumerAdmin_Command.cpp
        * orbsvcs/tests/Notify/lib/Driver.cpp
        * orbsvcs/tests/Notify/lib/EventChannel_Command.cpp
        * orbsvcs/tests/Notify/lib/Filter_Command.cpp
        * orbsvcs/tests/Notify/lib/Name.cpp
        * orbsvcs/tests/Notify/lib/Name.h
        * orbsvcs/tests/Notify/lib/Options_Parser.cpp
        * orbsvcs/tests/Notify/lib/Peer.cpp
        * orbsvcs/tests/Notify/lib/Periodic_Consumer.cpp
        * orbsvcs/tests/Notify/lib/Periodic_Consumer_Command.cpp
        * orbsvcs/tests/Notify/lib/Periodic_Supplier.cpp
        * orbsvcs/tests/Notify/lib/Periodic_Supplier_Command.cpp
        * orbsvcs/tests/Notify/lib/SupplierAdmin_Command.cpp
          ACE_TCHAR fixes

Fri Oct 10 08:51:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Concurrency_Service/Concurrency_Service.cpp
        * orbsvcs/Dump_Schedule/Dump_Schedule.cpp
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.h
        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp
        * orbsvcs/Fault_Notifier/FT_Notifier_i.h
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.h
        * orbsvcs/IFR_Service/be_global.h
        * orbsvcs/IFR_Service/be_init.cpp
        * orbsvcs/ImplRepo_Service/Activator_NT_Service.h
        * orbsvcs/ImplRepo_Service/Activator_Options.cpp
        * orbsvcs/ImplRepo_Service/Activator_Options.h
        * orbsvcs/ImplRepo_Service/ImR_Activator.cpp
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp
        * orbsvcs/ImplRepo_Service/tao_imr_i.h
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.cpp
        * orbsvcs/LoadBalancer/LoadManager.cpp
        * orbsvcs/LoadBalancer/LoadMonitor.cpp
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.cpp
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.h
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.cpp
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.h
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.h
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.h
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_T.cpp
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.cpp
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.h
        * orbsvcs/Scheduling_Service/Scheduling_Service.cpp
        * orbsvcs/Time_Service/Clerk_i.cpp
        * orbsvcs/Time_Service/Server_i.cpp
          ACE_TCHAR fixes

Thu Oct  9 19:10:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simulator/Event_Supplier/DualEC_Sup.cpp
        * examples/Simulator/Event_Supplier/DualEC_Sup.h
        * examples/Simulator/Event_Supplier/Event_Con.cpp
        * examples/Simulator/Event_Supplier/Event_Sup.cpp
        * examples/Simulator/Event_Supplier/Event_Sup.h
        * examples/Simulator/Event_Supplier/Logging_Sup.cpp
        * examples/Simulator/Event_Supplier/Logging_Sup.h
          ACE_TCHAR fixes

Thu Oct  9 19:03:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simple/chat/Client_i.cpp
        * examples/Simple/chat/Client_i.h
        * examples/Simple/chat/Server_i.cpp
        * examples/Simple/chat/Server_i.h
        * examples/Simple/echo/Echo_Client_i.h
        * examples/Simple/Simple_util.cpp
        * examples/Simple/time-date/Time_Date.cpp
        * examples/Simple/time-date/Time_Date_i.cpp
        * examples/Simple/time/client.cpp
        * examples/Simple/time/Time_Client_i.cpp
        * examples/Simple/time/Time_Client_i.h
          ACE_TCHAR fixes

Thu Oct  9 18:45:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/DT_Creator.cpp
        * examples/RTScheduling/DT_Creator.h
        * examples/RTScheduling/Fixed_Priority_Scheduler/test.cpp
        * examples/RTScheduling/Fixed_Priority_Scheduler/test.h
        * examples/RTScheduling/Job_i.cpp
        * examples/RTScheduling/MIF_Scheduler/test.cpp
        * examples/RTScheduling/MIF_Scheduler/test.h
        * examples/RTScheduling/POA_Holder.cpp
        * examples/RTScheduling/Thread_Task.cpp
          ACE_TCHAR fixes

Thu Oct  9 18:33:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTCORBA/Activity/Activity.cpp
        * examples/RTCORBA/Activity/Activity.h
        * examples/RTCORBA/Activity/Builder.cpp
        * examples/RTCORBA/Activity/Job_i.cpp
        * examples/RTCORBA/Activity/Periodic_Task.cpp
        * examples/RTCORBA/Activity/POA_Holder.cpp
        * examples/RTCORBA/Activity/Task_Stats.cpp
          ACE_TCHAR fixes

Thu Oct  9 15:19:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.cpp
        * orbsvcs/tests/Time/Client_i.cpp
        * orbsvcs/tests/Time/Client_i.h
          ACE_TCHAR fixes

Thu Oct  9 09:45:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/TransportCurrent/Framework/client.cpp:
        * tests/TransportCurrent/IIOP/client.cpp:
          ACE_TCHAR fixes

Thu Oct  9 09:43:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/MT_Cubit/client.cpp
        * performance-tests/POA/Demux/demux_test_client.cpp
        * performance-tests/POA/Demux/demux_test_client.h
          ACE_TCHAR fixes

Thu Oct  9 09:30:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/IDL_Cubit/collocation_test.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/client.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Cubit_Task.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Cubit_Task.h
        * performance-tests/Cubit/TAO/MT_Cubit/Globals.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Globals.h
        * performance-tests/Cubit/TAO/MT_Cubit/server.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.cpp
        * performance-tests/Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Latency/Thread_Per_Connection/Client_Task.cpp
        * performance-tests/Latency/Thread_Per_Connection/Client_Task.h
        * performance-tests/Latency/Thread_Pool/client.cpp
        * performance-tests/Latency/Thread_Pool/Client_Task.cpp
        * performance-tests/Latency/Thread_Pool/Client_Task.h
        * performance-tests/Pluggable/PP_Test_Client.cpp
        * performance-tests/Pluggable/PP_Test_Client.h
        * tests/Bug_3251_Regression/server.cpp
          ACE_TCHAR fixes

Thu Oct  9 08:50:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_global.cpp:
          Results of gperf in unicode build are not as expected so disable
          gperf for the moment

Wed Oct  8 19:17:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/OBV/Simple_util.cpp
        * examples/OBV/Simple_util.h
        * examples/Persistent_Grid/Simple_util.cpp
        * examples/Persistent_Grid/Simple_util.h
        * examples/Simple/Simple_util.cpp
        * examples/Simple/Simple_util.h
          ACE_TCHAR fixes

Wed Oct  8 19:14:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/CSD_Strategy/TestApps/ClientApp.cpp
        * performance-tests/CSD_Strategy/TestApps/ClientApp.h
        * performance-tests/CSD_Strategy/TestApps/ServerApp.cpp
        * performance-tests/CSD_Strategy/TestApps/ServerApp.h
        * performance-tests/CSD_Strategy/TestInf/AppHelper.cpp
        * performance-tests/CSD_Strategy/TestInf/AppHelper.h
        * performance-tests/CSD_Strategy/TestInf/ServantList_T.cpp
        * performance-tests/CSD_Strategy/TestInf/ServantList_T.h
        * performance-tests/Cubit/TAO/DII_Cubit/client.cpp
        * performance-tests/Cubit/TAO/IDL_Cubit/client.cpp
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.cpp
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.h
        * performance-tests/Cubit/TAO/IDL_Cubit/server.cpp
        * performance-tests/Pluggable/PP_Test_Client.cpp
        * performance-tests/Pluggable/PP_Test_Client.h
          ACE_TCHAR fixes

Wed Oct  8 18:31:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_global.cpp:
          gperf now compiles in a unicode build so invoke gperf

Wed Oct  8 18:17:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/driver/drv_preproc.cpp:
          Use the new ACE_HAS_TCHAR_DIRENT to be able to compile this code
          with wchar enabled

Wed Oct  8 15:35:46 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:

          Changed an overlooked loop variable's type from unsigned long
          to ACE_CDR::ULong, since the loop index is also passed to
          the TAO_OutStream insertion operator.

Wed Oct  8 14:46:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/ImplRepo/airplane_client_i.cpp
        * orbsvcs/tests/ImplRepo/airplane_client_i.h
        * orbsvcs/tests/ImplRepo/nestea_client_i.cpp
        * orbsvcs/tests/ImplRepo/nestea_client_i.h
        * orbsvcs/tests/ImplRepo/nestea_i.cpp
        * orbsvcs/tests/ImplRepo/nestea_i.h
        * orbsvcs/tests/ImplRepo/scale/server_i.cpp
          ACE_TCHAR fixes

Wed Oct  8 14:23:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Sched_Conf/Sched_Conf.cpp
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Anomalies.cpp
        * orbsvcs/tests/Trading/TT_Info.cpp
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.h
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.cpp
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.h
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.h
        * orbsvcs/tests/FT_App/StubFaultNotifier.cpp
        * orbsvcs/tests/FT_App/StubFaultNotifier.h
          ACE_TCHAR fixes

Wed Oct  8 13:19:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.h
        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp
        * orbsvcs/Fault_Notifier/FT_Notifier_i.h
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.h
        * orbsvcs/tests/EC_Throughput/ECT_Consumer_Driver.cpp
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp
        * orbsvcs/tests/Event/Mcast/Simple/consumer.cpp
        * orbsvcs/tests/Event/Mcast/Simple/supplier.cpp
        * orbsvcs/tests/Event/Mcast/Two_Way/application.cpp
        * orbsvcs/tests/Event/Performance/Connect.cpp
        * orbsvcs/tests/Event/Performance/Inversion.cpp
        * orbsvcs/tests/Event/ThreadFlags/testflags.cpp
        * orbsvcs/tests/Event/UDP/receiver.cpp
        * orbsvcs/tests/Event/UDP/sender.cpp
        * orbsvcs/tests/FT_App/FT_Client.cpp
        * orbsvcs/tests/FT_App/FT_Creator.cpp
        * orbsvcs/tests/FT_App/FT_Creator.h
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.h
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.cpp
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.h
        * orbsvcs/tests/FT_App/StubBatchConsumer.cpp
        * orbsvcs/tests/FT_App/StubBatchConsumer.h
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.cpp
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.h
        * orbsvcs/tests/FT_App/StubFaultConsumer.cpp
        * orbsvcs/tests/FT_App/StubFaultConsumer.h
        * orbsvcs/tests/FT_App/StubFaultNotifier.cpp
        * orbsvcs/tests/FT_App/StubFaultNotifier.h
          ACE_TCHAR fixes

Wed Oct  8 13:16:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Utils/Server_Main.cpp:
          ACE_TCHAR fixes

Wed Oct  8 12:54:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.h
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.h
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.h
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.h
        * orbsvcs/orbsvcs/Scheduler_Factory.cpp
        * orbsvcs/orbsvcs/Scheduler_Factory.h
        * orbsvcs/tests/Bug_2925_Regression/server.cpp
        * orbsvcs/tests/Bug_2926_Regression/server.cpp
        * orbsvcs/tests/Concurrency/CC_client.cpp
        * orbsvcs/tests/Concurrency/CC_client.h
        * orbsvcs/tests/CosEvent/Basic/Random.cpp
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Consumer.cpp
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Consumer.h
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Supplier.cpp
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Supplier.h
        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp
        * orbsvcs/tests/EC_Mcast/EC_Mcast.h
        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp
        * orbsvcs/tests/EC_Multiple/EC_Multiple.cpp
        * orbsvcs/tests/EC_Multiple/EC_Multiple.h
        * orbsvcs/tests/EC_Throughput/ECT_Consumer.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Consumer.h
        * orbsvcs/tests/EC_Throughput/ECT_Consumer_Driver.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Consumer_Driver.h
        * orbsvcs/tests/EC_Throughput/ECT_Supplier.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Supplier.h
        * orbsvcs/tests/EC_Throughput/ECT_Supplier_Driver.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Supplier_Driver.h
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.h
        * orbsvcs/tests/Event/Basic/BCast.cpp
        * orbsvcs/tests/Event/Basic/Observer.cpp
        * orbsvcs/tests/Event/Basic/Observer.h
        * orbsvcs/tests/Event/Basic/Random.cpp
        * orbsvcs/tests/Event/lib/Consumer.cpp
        * orbsvcs/tests/Event/lib/Consumer.h
        * orbsvcs/tests/Event/lib/Driver.cpp
        * orbsvcs/tests/Event/lib/Driver.h
        * orbsvcs/tests/Event/lib/Supplier.cpp
        * orbsvcs/tests/Event/lib/Supplier.h
        * orbsvcs/tests/Event/Mcast/AddrServer/Client.cpp
        * orbsvcs/tests/Event/Mcast/AddrServer/TestAddrServer.cpp
        * orbsvcs/tests/Event/Mcast/Common/Gateway_EC.cpp
        * orbsvcs/tests/Event/Mcast/Common/Gateway_EC.h
        * orbsvcs/tests/Event/Mcast/Complex/consumer.cpp
        * orbsvcs/tests/Event/Mcast/Complex/supplier.cpp
        * orbsvcs/tests/Event/Performance/Connect.cpp
        * orbsvcs/tests/Event/Performance/Connect.h
        * orbsvcs/tests/Event/Performance/Inversion.cpp
          ACE_TCHAR fixes

Wed Oct  8 11:31:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/server.cpp
        * orbsvcs/performance-tests/RTEvent/lib/Client_Options.cpp
        * orbsvcs/performance-tests/RTEvent/lib/Client_Options.h
          ACE_TCHAR fixes

Wed Oct  8 10:58:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/CosEC/Factory/FactoryClient.cpp
        * orbsvcs/examples/CosEC/Factory/FactoryDriver.cpp
        * orbsvcs/examples/CosEC/Factory/FactoryDriver.h
        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.h
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Basic.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Consumer.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Consumer.h
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.h
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Supplier.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Supplier.h
        * orbsvcs/examples/FaultTolerance/RolyPoly/client.cpp
        * orbsvcs/examples/ImR/Advanced/TestClient.cpp
        * orbsvcs/examples/ImR/Advanced/TestServer.cpp
        * orbsvcs/examples/ImR/Combined_Service/combined.cpp
        * orbsvcs/examples/LoadBalancing/server.cpp
        * orbsvcs/examples/Log/Basic/TLS_Client.cpp
        * orbsvcs/examples/Log/Basic/TLS_Client.h
        * orbsvcs/examples/Notify/Federation/Agent/Agent.cpp
        * orbsvcs/examples/Notify/Federation/SpaceCraft/SpaceCraft.cpp
        * orbsvcs/examples/Notify/Filter/Filter.cpp
        * orbsvcs/examples/Notify/Filter/Filter.h
        * orbsvcs/examples/Notify/Lanes/Supplier_Client.h
        * orbsvcs/examples/Notify/Subscribe/Subscribe.cpp
        * orbsvcs/examples/Notify/Subscribe/Subscribe.h
        * orbsvcs/examples/Notify/ThreadPool/Supplier_Client.h
        * orbsvcs/examples/RtEC/IIOPGateway/Consumer.cpp
        * orbsvcs/examples/RtEC/IIOPGateway/EC.cpp
        * orbsvcs/examples/RtEC/IIOPGateway/Gateway.cpp
        * orbsvcs/examples/RtEC/IIOPGateway/Supplier.cpp
        * orbsvcs/examples/RtEC/MCast/MCast.cpp
          ACE_TCHAR fixes

Wed Oct  8 09:06:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/unit/Notify/MC/MonitorManager/MonitorManager.cpp
          ACE_TCHAR fixes

Wed Oct  8 09:05:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/driver/drv_preproc.cpp
          ACE_TCHAR fixes

Wed Oct  8 08:37:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CSD_Framework/CSD_ORBInitializer.cpp:
        * tao/RTCORBA/RT_ORBInitializer.cpp:
          ACE_TCHAR fixes

Tue Oct  7 16:03:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2377_Regression/uipmc_test.cpp
        * orbsvcs/tests/Bug_2615_Regression/client.cpp
        * orbsvcs/tests/Bug_2709_Regression/client.cpp
        * orbsvcs/tests/Bug_2709_Regression/Client_Task.cpp
        * orbsvcs/tests/Bug_2709_Regression/Client_Task.h
        * orbsvcs/tests/Bug_2925_Regression/server.cpp
          ACE_TCHAR fixes

Tue Oct  7 15:20:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2247_Regression/server.cpp
        * orbsvcs/tests/Bug_2248_Regression/client.h
        * orbsvcs/tests/Bug_2248_Regression/server.cpp
        * orbsvcs/tests/Bug_2285_Regression/server2.cpp
          ACE_TCHAR fixes

Tue Oct  7 15:09:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/TimeStamp.cpp
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/sender.cpp
          ACE_TCHAR fixes

Tue Oct  7 14:50:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Connection_Manager.cpp
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/distributer.cpp
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/distributer.h
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/receiver.cpp
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/receiver.h
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/sender.cpp
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/sender.h
        * orbsvcs/tests/AVStreams/Component_Switching/distributer.cpp
        * orbsvcs/tests/AVStreams/Component_Switching/distributer.h
        * orbsvcs/tests/AVStreams/Component_Switching/sender.h
          ACE_TCHAR fixes

Tue Oct  7 10:53:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CodeSets/simple/client.cpp:
          Fixed compile error

Tue Oct  7 10:22:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          ACE_TCHAR fixes

        * tao/PI_Server.mpc:
          Removed borland as mpc template

Tue Oct  7 08:15:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FtEventServiceInterceptor.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/GroupInfoPublisher.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.cpp
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.cpp
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp
        * orbsvcs/orbsvcs/IFRService/AliasDef_i.cpp
          ACE_TCHAR fixes

        * orbsvcs/orbsvcs/IFRService.mpc
        * MPC/config/ifrservice.mpb
          Disable IFRService with uses_wchar set, this service needs a lot of
          work to get compiling

Tue Oct  7 08:02:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Primary_Replication_Strategy.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Basic_Replication_Strategy.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.cpp
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.cpp
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.h
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.inl
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.cpp
        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp
        * orbsvcs/orbsvcs/Notify/XML_Saver.cpp
        * orbsvcs/orbsvcs/Notify/XML_Saver.h
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.cpp
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.h
          ACE_TCHAR fixes

Tue Oct  7 07:49:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.h
        * orbsvcs/orbsvcs/Event/EC_Defaults.h
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.h
        * orbsvcs/orbsvcs/Event/EC_TPC_Factory.cpp
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.cpp
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.h
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.inl
          ACE_TCHAR fixes

Mon Oct  6 19:34:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMH/Sink_Server/Base_Server.cpp
        * examples/AMH/Sink_Server/Base_Server.h
        * examples/AMH/Sink_Server/Client_Task.cpp
        * examples/AMH/Sink_Server/Client_Task.h
        * examples/Callback_Quoter/Consumer_Handler.cpp
        * examples/Callback_Quoter/Consumer_Handler.h
        * examples/Callback_Quoter/Supplier_i.cpp
        * examples/Callback_Quoter/Supplier_i.h
        * examples/Content_Server/AMI_Iterator/client.cpp
        * examples/Content_Server/AMI_Iterator/Content_Iterator_i.cpp
        * examples/Content_Server/AMI_Observer/Callback_Handler.cpp
        * examples/Content_Server/AMI_Observer/client.cpp
        * examples/Content_Server/SMI_Iterator/client.cpp
        * examples/Content_Server/SMI_Iterator/Content_Iterator_i.cpp
        * examples/CSD_Strategy/ThreadPool2/ClientApp.h
        * examples/CSD_Strategy/ThreadPool2/Foo_i.cpp
        * examples/CSD_Strategy/ThreadPool2/Foo_i.h
        * examples/CSD_Strategy/ThreadPool2/FooServantList.cpp
        * examples/CSD_Strategy/ThreadPool2/FooServantList.h
        * examples/CSD_Strategy/ThreadPool2/ServerApp.cpp
        * examples/CSD_Strategy/ThreadPool2/ServerApp.h
        * examples/CSD_Strategy/ThreadPool3/ClientApp.h
        * examples/CSD_Strategy/ThreadPool3/ServerApp.cpp
        * examples/CSD_Strategy/ThreadPool3/ServerApp.h
        * examples/CSD_Strategy/ThreadPool4/ServerApp.h
        * examples/CSD_Strategy/ThreadPool5/ClientApp.h
        * examples/CSD_Strategy/ThreadPool5/FooServantList.cpp
        * examples/CSD_Strategy/ThreadPool5/FooServantList.h
        * examples/CSD_Strategy/ThreadPool5/ServerApp.cpp
        * examples/CSD_Strategy/ThreadPool5/ServerApp.h
        * examples/CSD_Strategy/ThreadPool6/ClientApp.h
        * examples/CSD_Strategy/ThreadPool6/ServerApp.cpp
        * examples/CSD_Strategy/ThreadPool6/ServerApp.h
        * examples/CSD_Strategy/ThreadPool/ClientApp.h
        * examples/CSD_Strategy/ThreadPool/ServerApp.h
        * examples/Event_Comm/Consumer_Handler.cpp
        * examples/RTScheduling/Fixed_Priority_Scheduler/FP_Scheduler.cpp
          ACE_TCHAR fixes

Mon Oct  6 18:43:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Collocated_Test.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_main.cpp
          ACE_TCHAR fixes

Mon Oct  6 18:31:55 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * Restored some checkin entries below that were inadvertently
          removed.

Mon Oct  6 18:23:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/params.{h,cpp}:
          Changed poa directive to ACE_TCHAR

Mon Oct  6 18:20:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Oneway_Send_Timeouts/Client.cpp
        * tests/Oneway_Send_Timeouts/main.cpp
        * tests/Oneway_Timeouts/client.cpp
        * tests/Param_Test/options.cpp
        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp
        * orbsvcs/orbsvcs/AV/default_resource.cpp
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy.cpp
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.cpp
        * orbsvcs/orbsvcs/AV/Protocol_Factory.cpp
        * orbsvcs/orbsvcs/AV/RTCP.cpp
        * orbsvcs/orbsvcs/AV/RTP.cpp
        * orbsvcs/orbsvcs/AV/sfp.cpp
        * orbsvcs/orbsvcs/AV/TCP.cpp
        * orbsvcs/orbsvcs/AV/Transport.cpp
        * orbsvcs/orbsvcs/AV/Transport.h
        * orbsvcs/orbsvcs/AV/UDP.cpp
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Loader.cpp
        * orbsvcs/orbsvcs/LoadBalancing/LB_Component.cpp
        * orbsvcs/orbsvcs/Notify/MonitorControl/MonitorManager.cpp
        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp
        * orbsvcs/orbsvcs/Notify/XML_Loader.h
        * orbsvcs/orbsvcs/Notify/XML_Saver.cpp
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.cpp
          ACE_TCHAR fixes

Mon Oct  6 16:10:42 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:

          Fixed one overlooked case where a const char* is
          passed to TAO_OutStream, similar to other fixes where
          an explicitly declared const char* is initialized
          from a call to ACE_CString::c_str() and passed to
          the TAO_OutStream insertion operator, rather than
          passing the call to c_str() directly.

Mon Oct  6 15:11:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>
          * tests/DIOP/UDP_Client_i.cpp:
          * tests/DLL_ORB/Test_Client_Module.cpp
          * tests/DLL_ORB/Test_Server_Module.cpp
          * tests/DLL_ORB/Test_Server_Module.h
          * tests/DiffServ/server.cpp
          * tests/Exposed_Policies/Policy_Tester.cpp
          * tests/Exposed_Policies/Policy_Verifier.cpp
          * tests/Exposed_Policies/Policy_Verifier.h
          * tests/Exposed_Policies/RT_Properties.cpp
          * tests/Exposed_Policies/RT_Properties.h
          * tests/File_IO/client.cpp
          * tests/InterOp-Naming/INS_test_client.cpp
          * tests/InterOp-Naming/Server_i.cpp
          * tests/Multiple_Inheritance/client.cpp
            ACE_TCHAR fixes

Mon Oct  6 14:38:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * tests/CollocationLockup/SimpleNamingService.cpp
          * tests/Connection_Purging/client.cpp
            ACE_TCHAR fixes

          * tests/CollocationLockup/SimpleNamingService.cpp
            Make it possible to specify the IOR file on the commandline

          * tests/NestedUpcall/Triangle_Test/initiator.cpp:
            Fixed invalid free

          * tests/NestedUpcall/MT_Client_Test/server.cpp:
            Changed scope of variable

          * tests/Nested_Upcall_Crash/Nested_Upcall_Crash.mpc:
            Removed borland template type

Mon Oct  6 14:30:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * tests/Big_Reply/client.cpp
          * tests/Big_Reply/run_test.pl
            Only do a shutdown of the server when -x is specified

          * tests/CodeSets/simple/client.cpp
            ACE_TCHAR fixes

Mon Oct  6 14:14:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * TAO_IDL/driver/drv_preproc.cpp
            ACE_TCHAR fixes

Mon Oct  6 14:04:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * tests/CSD_Strategy_Tests/Broken/ClientApp.cpp
          * tests/CSD_Strategy_Tests/Broken/ClientApp.h
          * tests/CSD_Strategy_Tests/Broken/ServerApp.cpp
          * tests/CSD_Strategy_Tests/TP_Common/AppHelper.cpp
          * tests/CSD_Strategy_Tests/TP_Common/AppHelper.h
          * tests/CSD_Strategy_Tests/TP_Common/ServantList_T.cpp
          * tests/CSD_Strategy_Tests/TP_Common/ServantList_T.h
          * tests/CSD_Strategy_Tests/TP_Test_1/ClientApp.h
          * tests/CSD_Strategy_Tests/TP_Test_1/ServerApp.h
          * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.cpp
          * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.h
          * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.cpp
          * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.cpp
          * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.h
          * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.cpp
          * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.cpp
          * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.h
          * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.cpp
          * tests/CSD_Strategy_Tests/TP_Test_Static/ClientApp.cpp
          * tests/CSD_Strategy_Tests/TP_Test_Static/ClientApp.h
          * tests/CSD_Strategy_Tests/TP_Test_Static/ServerApp.h
          * tests/Bug_2289_Regression/server.cpp
          * tests/Bug_2503_Regression/client.cpp
          * tests/Bug_2683_Regression/client.cpp
          * tests/Bug_2683_Regression/client.cpp
          * tests/Bug_2936_Regression/PersistentPOA.cpp
          * tests/CDR/alignment.cpp
          * tests/Client_Leaks/Process_Factory.cpp
            ACE_TCHAR fixes

          * tests/Client_Leaks/run_test.pl
            No need to specify ORB id

Mon Oct  6 08:59:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * tests/POA/Loader/Servant_Activator.cpp
          * tests/POA/Loader/Servant_Activator.h
          * tests/POA/Loader/Server_Manager.cpp
          * tests/POA/On_Demand_Loading/Servant_Activator.cpp
          * tests/POA/On_Demand_Loading/Servant_Locator.cpp
          * tests/POA/On_Demand_Loading/Servant_Manager.cpp
          * tests/POA/On_Demand_Loading/Servant_Manager.h
          * tests/POA/On_Demand_Loading/Server_Manager.cpp
            ACE_TCHAR fixes

Mon Oct  6 07:45:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * tests/Bug_2319_Regression/server.cpp:
            ACE_TCHAR fixes

          * tests/IORManipulation/IORTest.cpp:
            Zap old workaround and return a correct return value

Fri Oct  3 19:25:29 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

          * orbsvcs/tests/Bug_3387_Regression/Messenger.mpc:

            Fix to avoid build problems on some platforms such as OpenMVS
            IA64.

Fri Oct  3 11:08:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * examples/Callback_Quoter/Consumer_Handler.cpp
          * examples/Callback_Quoter/Consumer_Handler.h
          * examples/Callback_Quoter/Supplier_i.cpp
          * examples/Callback_Quoter/Supplier_i.h
          * examples/Load_Balancing/Identity_Client.h
          * examples/Load_Balancing/Identity_Server.cpp
          * examples/Load_Balancing/Load_Balancing_Service.cpp
          * examples/Logging/Logger_i.cpp
          * examples/Logging/Logging_Service_i.cpp
          * examples/Logging/Logging_Service_i.h
          * examples/OBV/Typed_Events/Client_i.h
          * examples/Persistent_Grid/Grid_Client_i.h
          * examples/Persistent_Grid/Persistent_Client.h
          * examples/Persistent_Grid/Simple_util.cpp
          * examples/Quoter/client.cpp
          * examples/Simple/bank/Bank_Client_i.h
          * examples/Simple/grid/Grid_Client_i.h
            ACE_TCHAR fixes

Thu Oct  2 19:25:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * examples/Kokyu_dsrt_schedulers/fp_example/server.cpp
          * examples/Kokyu_dsrt_schedulers/mif_example/server.cpp
          * examples/Kokyu_dsrt_schedulers/muf_example/server.cpp
            ACE_TCHAR fixes

Thu Oct  2 19:23:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/client.cpp
          * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/client.cpp
          * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/driver.cpp
          * orbsvcs/performance-tests/RTEvent/lib/Control.cpp
          * orbsvcs/performance-tests/RTEvent/Roundtrip/client.cpp
          * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/client.cpp
          * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/client.cpp
          * orbsvcs/performance-tests/RTEvent/TCP_Baseline/client.cpp
          * orbsvcs/tests/Event/Performance/Latency.cpp
          * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Query_Client.cpp
            ACE_TCHAR fixes

Thu Oct  2 19:20:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * performance-tests/Callback/client.cpp
          * performance-tests/Latency/AMH_Single_Threaded/client.cpp
          * performance-tests/Latency/Deferred/client.cpp
          * performance-tests/Latency/DII/client.cpp
          * performance-tests/Latency/DSI/client.cpp
          * performance-tests/Latency/Single_Threaded/client.cpp
          * performance-tests/POA/Create_Reference/create_reference.cpp
          * performance-tests/POA/Implicit_Activation/client.cpp
          * performance-tests/POA/Implicit_Activation/collocated.cpp
          * performance-tests/Protocols/receiver.cpp
          * performance-tests/Protocols/sender.cpp
          * performance-tests/RTCorba/Thread_Pool/client.cpp
          * performance-tests/Sequence_Latency/AMH_Single_Threaded/client.cpp
          * performance-tests/Sequence_Latency/Deferred/client.cpp
          * performance-tests/Sequence_Latency/DII/client.cpp
          * performance-tests/Sequence_Latency/DSI/client.cpp
          * performance-tests/Sequence_Latency/Single_Threaded/client.cpp
            ACE_TCHAR fixes

Thu Oct  2 19:10:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

          * orbsvcs/Concurrency_Service/Concurrency_Service.h
          * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.cpp
          * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.cpp
          * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.cpp
          * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp
            ACE_TCHAR fixes

Thu Oct  2 18:59:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>
          * tests/Bug_2319_Regression/server.cpp
          * tests/Bug_2935_Regression/middle_i.cpp
          * tests/Bug_2935_Regression/middle_i.h
          * tests/Bug_2935_Regression/sink.cpp
          * tests/Bug_2935_Regression/source.cpp
          * tests/Client_Leaks/Process_Factory.cpp
          * tests/Collocation_Oneway_Tests/Collocated_Test.cpp
          * tests/Connection_Timeout/client.cpp
          * tests/Exposed_Policies/Policy_Tester.cpp
          * tests/Exposed_Policies/Policy_Verifier.cpp
          * tests/Multiple_Inheritance/client.cpp
          * tests/OBV/Simple/Simple_util.cpp
          * tests/OBV/Simple/Simple_util.h
          * tests/POA/EndpointPolicy/server.cpp
          * tests/POA/Loader/Servant_Locator.cpp
          * tests/POA/Loader/Servant_Locator.h
          * tests/POA/Loader/Server_Manager.cpp
          * tests/POA/On_Demand_Loading/Server_Manager.cpp
          * tests/Portable_Interceptors/PICurrent/server.cpp
          * tests/RTCORBA/Diffserv/server.cpp
          * tests/RTCORBA/Explicit_Binding/server.cpp
          * tests/RTCORBA/Linear_Priority/server.cpp
          * tests/RTCORBA/Private_Connection/server.cpp
          * tests/RTCORBA/Server_Declared/server.cpp
          * orbsvcs/TAO_Service/TAO_Service.cpp
            ACE_TCHAR fixes

Thu Oct  2 14:01:39 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be_include/be_helper.h:

          More fixes for TAO_OutStream operator ambiguity errors,
          these on OpenSUSE_10_3_GCC_4_2. Part of the fix involves
          removing the #ifdef guards around the TAO_OutStream
          insertion operators for longlong and ulonglong - we
          should be depending on the definition of the ACE_CDR
          basic types in CDR_Base.h to make all this unambiguous
          and portable.

Thu Oct  2 11:15:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.cpp
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.h
        * orbsvcs/orbsvcs/Notify/Consumer.cpp
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp
        * orbsvcs/TAO_Service/TAO_Service.cpp
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/distributer.cpp
          ACE_TCHAR fixes

Wed Oct  1 19:23:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTCORBA/Activity/Builder.cpp
        * examples/RTCORBA/Activity/Periodic_Task.cpp
        * examples/RTCORBA/Activity/POA_Holder.cpp
        * examples/RTScheduling/DT_Creator.cpp
        * examples/RTScheduling/POA_Holder.cpp
        * examples/Simulator/Event_Supplier/DualEC_Sup.cpp
        * examples/Simulator/Event_Supplier/DualEC_Sup.h
        * examples/Simulator/Event_Supplier/Event_Sup.cpp
        * examples/Simulator/Event_Supplier/Event_Sup.h
        * examples/Simulator/Event_Supplier/Logging_Sup.cpp
        * examples/Simulator/Event_Supplier/Logging_Sup.h
          ACE_TCHAR fixes

Wed Oct  1 19:19:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/SCTP_Fault_Detector.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/SCTP_Fault_Detector.h
        * orbsvcs/tests/Bug_2248_Regression/Server_Request_Interceptor.cpp
        * orbsvcs/tests/COIOP_Naming_Test/NamingTask.cpp
        * orbsvcs/tests/COIOP_Naming_Test/NamingTask.h
        * orbsvcs/tests/ImplRepo/airplane_server_i.cpp
        * orbsvcs/tests/ImplRepo/nestea_server_i.cpp
        * orbsvcs/tests/ImplRepo/scale/server_i.cpp
        * orbsvcs/tests/Notify/Basic/AdminProperties.cpp
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.h
        * orbsvcs/tests/Notify/Basic/Events.cpp
        * orbsvcs/tests/Notify/Basic/Events.h
        * orbsvcs/tests/Notify/Basic/Filter.cpp
        * orbsvcs/tests/Notify/Basic/Filter.h
        * orbsvcs/tests/Notify/Basic/LifeCycle.cpp
        * orbsvcs/tests/Notify/Basic/MultiTypes.cpp
        * orbsvcs/tests/Notify/Basic/MultiTypes.h
        * orbsvcs/tests/Notify/Basic/Sequence.cpp
        * orbsvcs/tests/Notify/Basic/Sequence.h
        * orbsvcs/tests/Notify/Basic/Simple.cpp
        * orbsvcs/tests/Notify/Basic/Simple.h
        * orbsvcs/tests/Notify/Basic/Updates.cpp
        * orbsvcs/tests/Notify/Basic/Updates.h
        * orbsvcs/tests/Notify/lib/Periodic_Consumer.cpp
        * orbsvcs/tests/Notify/lib/Periodic_Supplier.cpp
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.h
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.h
        * orbsvcs/tests/Notify/RT_lib/RT_POA_Command.cpp
        * orbsvcs/tests/Trading/TT_Info.cpp
        * orbsvcs/tests/Trading/TT_Info.h
          ACE_TCHAR fixes

Wed Oct  1 19:17:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Exposed_Policies/Policy_Tester.cpp
          ACE_TCHAR fixes

Wed Oct  1 18:59:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CSD_Strategy_Tests/Broken/ClientApp.cpp
        * tests/CSD_Strategy_Tests/Broken/ClientApp.h
        * tests/CSD_Strategy_Tests/Broken/ServerApp.cpp
        * tests/CSD_Strategy_Tests/Broken/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.h
          ACE_TCHAR fixes

Wed Oct  1 18:50:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMH/Sink_Server/Client_Task.cpp
        * examples/Load_Balancing_persistent/Identity_Client.cpp
        * examples/Load_Balancing_persistent/Load_Balancer_i.cpp
          ACE_TCHAR fixes

Wed Oct  1 18:47:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/Notify/ThreadPool/Consumer.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/client.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/client.cpp
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/driver.cpp
        * orbsvcs/performance-tests/RTEvent/lib/Control.cpp
        * orbsvcs/performance-tests/RTEvent/Roundtrip/client.cpp
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/client.cpp
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/client.cpp
        * orbsvcs/performance-tests/RTEvent/TCP_Baseline/client.cpp
        * orbsvcs/tests/AVStreams/Latency/ping.cpp
        * orbsvcs/tests/AVStreams/Latency/pong.cpp
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/receiver.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Consumer_Driver.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Supplier_Driver.cpp
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.cpp
        * orbsvcs/tests/Event/Basic/Observer.cpp
        * orbsvcs/tests/Event/Basic/Reconnect.cpp
        * orbsvcs/tests/Event/lib/Driver.cpp
        * orbsvcs/tests/Event/Performance/Connect.cpp
        * orbsvcs/tests/Event/Performance/Latency.cpp
        * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Query_Client.cpp
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp
          ACE_TCHAR fixes

Wed Oct  1 18:39:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Anyop/anyop.cpp
        * performance-tests/Callback/client.cpp
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.cpp
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.h
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Server.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.h
        * performance-tests/Latency/AMH_Single_Threaded/client.cpp
        * performance-tests/Latency/AMI/client.cpp
        * performance-tests/Latency/AMI/Roundtrip_Handler.cpp
        * performance-tests/Latency/Collocation/Client_Task.cpp
        * performance-tests/Latency/Deferred/client.cpp
        * performance-tests/Latency/DII/client.cpp
        * performance-tests/Latency/DSI/client.cpp
        * performance-tests/Latency/Single_Threaded/client.cpp
        * performance-tests/Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Latency/Thread_Pool/client.cpp
        * performance-tests/Pluggable/PP_Test_Server.cpp
        * performance-tests/POA/Create_Reference/create_reference.cpp
        * performance-tests/POA/Implicit_Activation/client.cpp
        * performance-tests/POA/Implicit_Activation/collocated.cpp
        * performance-tests/Protocols/receiver.cpp
        * performance-tests/Protocols/sender.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/client.cpp
        * performance-tests/RTCorba/Oneways/Reliable/client.cpp
        * performance-tests/RTCorba/Thread_Pool/client.cpp
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/client.cpp
        * performance-tests/Sequence_Latency/AMI/client.cpp
        * performance-tests/Sequence_Latency/AMI/Roundtrip_Handler.cpp
        * performance-tests/Sequence_Latency/Deferred/client.cpp
        * performance-tests/Sequence_Latency/DII/client.cpp
        * performance-tests/Sequence_Latency/DSI/client.cpp
        * performance-tests/Sequence_Latency/Single_Threaded/client.cpp
        * performance-tests/Sequence_Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Sequence_Latency/Thread_Pool/client.cpp
        * performance-tests/Sequence_Latency/Thread_Pool/Client_Task.cpp
        * performance-tests/Sequence_Latency/Thread_Pool/Client_Task.h
          ACE_TCHAR fixes

Wed Oct  1 18:37:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1495_Regression/Client_Task.cpp
        * tests/RTScheduling/Scheduling_Interceptor/test_client.cpp
        * tests/RTScheduling/Scheduling_Interceptor/test_server.cpp
        * tests/Smart_Proxies/Benchmark/client.cpp
          ACE_TCHAR fixes

Wed Oct  1 14:38:20 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_union.h:
        * TAO_IDL/include/ast_structure.h:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
        * TAO_IDL/ast/ast_structure.cpp:

          Changed types of members, local variables and method
          parameters to use ACE_CDR::* types, mostly from size_t
          to ACE_CDR::ULong, to satisfy the Solaris10_Studio12_x86_Debug
          build, which was having a problem when any of the above
          were passed to a TAO_OutStream insertion operator.

Wed Oct  1 12:18:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simple/Simple_util.cpp
        * examples/Simple/time-date/Time_Date_Client_i.cpp
        * examples/Simple/time-date/Time_Date_Client_i.h
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp
          ACE_TCHAR fixes

Wed Oct  1 12:02:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2935_Regression/middle.cpp
        * tests/Bug_2935_Regression/sink_i.cpp
        * tests/Bug_2935_Regression/sink_i.h
        * tests/Bug_2935_Regression/source_i.cpp
        * tests/Bug_3068_Regression/client.cpp
        * tests/Bug_3068_Regression/server.cpp
        * tests/COIOP/Client_Task.cpp
        * tests/Collocation_Exception_Test/Client_Task.cpp
        * tests/Collocation_Oneway_Tests/Client_Task.cpp
        * tests/Collocation_Tests/Client_Task.cpp
        * tests/DII_Collocation_Tests/oneway/Client_Task.cpp
        * tests/DII_Collocation_Tests/oneway/Client_Task.h
        * tests/DII_Collocation_Tests/oneway/Server_Task.cpp
        * tests/DII_Collocation_Tests/oneway/Server_Task.h
        * tests/DII_Collocation_Tests/twoway/Client_Task.cpp
        * tests/DII_Collocation_Tests/twoway/Client_Task.h
        * tests/DII_Collocation_Tests/twoway/Server_Task.cpp
        * tests/DII_Collocation_Tests/twoway/Server_Task.h
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Client_Task.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Client_Task.cpp
          ACE_TCHAR fixes

Wed Oct  1 11:40:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Faults/pong.cpp
        * tests/MProfile/client.cpp
        * tests/MProfile_Connection_Timeout/client.cpp
        * tests/Multiple_Inheritance/client.cpp
        * tests/NestedUpcall/MT_Client_Test/client.cpp
        * tests/NestedUpcall/MT_Client_Test/client.h
        * tests/NestedUpcall/MT_Client_Test/local_server.cpp
        * tests/NestedUpcall/Triangle_Test/initiator.cpp
        * tests/NestedUpcall/Triangle_Test/server_B.cpp
        * tests/OBV/Simple/Simple_util.h
        * tests/POA/EndpointPolicy/server.cpp
        * tests/Portable_Interceptors/Bug_3079/client.cpp
        * tests/Portable_Interceptors/Collocated/Dynamic/Client_Task.cpp
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Client_Task.cpp
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Collocated_Test.cpp
        * tests/Portable_Interceptors/ForwardRequest/client.cpp
        * tests/Portable_Interceptors/ForwardRequest/server.cpp
        * tests/Portable_Interceptors/PICurrent/server.cpp
        * tests/Portable_Interceptors/Redirection/client.cpp
          ACE_TCHAR fixes

Tue Sep 30 18:39:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/WstringDef_i.cpp
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.cpp
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Factory.cpp
          ACE_TCHAR fixes

Tue Sep 30 18:35:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1330_Regression/server.cpp
        * tests/Bug_1627_Regression/server.cpp
        * tests/Bug_2503_Regression/server.cpp
        * tests/Bug_2678_Regression/server.cpp
        * tests/Bug_2683_Regression/server.cpp
        * tests/Bug_2768_Regression/server.cpp
        * tests/Bug_2935_Regression/middle.cpp
        * tests/Bug_2935_Regression/sink.cpp
        * tests/Bug_3171_Regression/server.cpp
        * tests/Bug_3276_Regression/client.cpp
        * tests/RTCORBA/Banded_Connections/server.cpp
        * tests/Server_Connection_Purging/client.cpp
        * tests/Smart_Proxies/Benchmark/client.cpp
        * tests/TransportCurrent/Framework/client.cpp
        * tests/TransportCurrent/IIOP/client.cpp
          ACE_TCHAR fixes

Tue Sep 30 18:34:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2800_Regression/nsmain.cpp:
          ACE_TCHAR fixes

Tue Sep 30 18:25:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Exposed_Policies/Policy_Verifier.cpp
        * tests/InterOp-Naming/INS_test_client.cpp
        * tests/Monitor/Marshal_Buffer/client.cpp
        * tests/Monitor/Marshal_Buffer/server.cpp
        * tests/NestedUpcall/MT_Client_Test/client.cpp
        * tests/NestedUpcall/MT_Client_Test/local_server.cpp
        * tests/NestedUpcall/MT_Client_Test/local_server.h
        * tests/NestedUpcall/MT_Client_Test/server.cpp
        * tests/NestedUpcall/Triangle_Test/initiator.cpp
        * tests/NestedUpcall/Triangle_Test/initiator.h
        * tests/NestedUpcall/Triangle_Test/server_A.cpp
        * tests/Oneway_Send_Timeouts/Client.cpp
        * tests/Oneway_Send_Timeouts/main.cpp
        * tests/Oneway_Send_Timeouts/Server.cpp
        * tests/Oneway_Timeouts/client.cpp
        * tests/Portable_Interceptors/Bug_3079/server.cpp
        * tests/Portable_Interceptors/Bug_3080/client.cpp
        * tests/Portable_Interceptors/Bug_3080/server.cpp
        * tests/Portable_Interceptors/ORB_Shutdown/server.cpp
        * tests/Portable_Interceptors/Redirection/server.cpp
        * tests/Portable_Interceptors/Request_Interceptor_Flow/server.cpp
          ACE_TCHAR fixes

Tue Sep 30 18:24:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/FaultTolerance/RolyPoly/server.cpp
        * orbsvcs/tests/Bug_2925_Regression/client.cpp
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.cpp
          ACE_TCHAR fixes

Tue Sep 30 18:03:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.h
        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.cpp
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Group_Manager.cpp
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.cpp
        * orbsvcs/orbsvcs/LoadBalancing/LB_Component.cpp
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.cpp
        * orbsvcs/tests/Bug_2709_Regression/Server_Task.cpp
        * orbsvcs/tests/Bug_2709_Regression/Server_Task.h
        * orbsvcs/tests/Security/Bug_2908_Regression/Client_Task.h
          ACE_TCHAR fixes

Tue Sep 30 14:47:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/COIOP/Client_Task.h
        * tests/COIOP/Server_Task.cpp
        * tests/COIOP/Server_Task.h
        * tests/Collocation_Exception_Test/Client_Task.h
        * tests/Collocation_Exception_Test/Server_Task.cpp
        * tests/Collocation_Exception_Test/Server_Task.h
        * tests/Collocation_Oneway_Tests/Client_Task.h
        * tests/Collocation_Oneway_Tests/Server_Task.cpp
        * tests/Collocation_Oneway_Tests/Server_Task.h
        * tests/Collocation_Tests/Client_Task.h
        * tests/Collocation_Tests/Server_Task.cpp
        * tests/Collocation_Tests/Server_Task.h
        * tests/DII_Collocation_Tests/oneway/Client_Task.h
        * tests/DII_Collocation_Tests/oneway/Server_Task.cpp
        * tests/DII_Collocation_Tests/oneway/Server_Task.h
        * tests/DII_Collocation_Tests/twoway/Client_Task.h
        * tests/DII_Collocation_Tests/twoway/Server_Task.cpp
        * tests/DII_Collocation_Tests/twoway/Server_Task.h
        * tests/MProfile/client.cpp
        * tests/MProfile_Connection_Timeout/client.cpp
        * tests/MProfile_Forwarding/client.cpp
        * tests/Multiple_Inheritance/client.cpp
        * tests/Muxed_GIOP_Versions/client.cpp
        * tests/Muxed_GIOP_Versions/server.cpp
        * tests/OBV/Collocated/Forward/Client_Task.cpp
        * tests/OBV/Collocated/Forward/Client_Task.h
        * tests/OBV/Collocated/Forward/Server_Task.cpp
        * tests/OBV/Collocated/Forward/Server_Task.h
        * tests/OBV/Simple/Client_i.h
        * tests/POA/On_Demand_Loading/Servant_Manager.cpp
        * tests/POA/On_Demand_Loading/Server_Manager.h
        * tests/POA/TIE/client.cpp
        * tests/Portable_Interceptors/Collocated/Dynamic/Client_Task.h
        * tests/Portable_Interceptors/Collocated/Dynamic/Server_Task.cpp
        * tests/Portable_Interceptors/Collocated/Dynamic/Server_Task.h
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Client_Task.h
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Server_Task.cpp
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Server_Task.h
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Client_Task.h
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Server_Task.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Server_Task.h
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Client_Task.h
          ACE_TCHAR fixes

\Tue Sep 30 02:11:40 UTC 2008  Yan Dai  <dai_y@ociweb.com>

        * tao/String_Manager_T.h:

          Removed TAO_Export in global String_Manager less operator
          to fix a warning.

Mon Sep 29 18:18:10 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/utl_list.h:
        * TAO_IDL/be/be_visitor_operation/exceptlist_ss.cpp:
        * TAO_IDL/util/utl_list.cpp:

          Changed utility list class length accessor method
          signature to use ACE_CDR::Long instead of the
          native long, due to compile errors on the
          VxWorks6.6_Solaris_Host build. Thanks to Johnny
          Willemsen <jwillemsen@remedy.nl> for reporting the
          scoreboard problem.

Mon Sep 29 17:59:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1476_Test/client.cpp
        * tests/Bug_1495_Regression/Client_Task.cpp
        * tests/Bug_1495_Regression/Client_Task.h
        * tests/Bug_1495_Regression/Server_Task.cpp
        * tests/Bug_1495_Regression/Server_Task.h
        * tests/Bug_2084_Regression/Client_Task.cpp
        * tests/Bug_2084_Regression/Client_Task.h
        * tests/Bug_2084_Regression/Server_Task.cpp
        * tests/Bug_2084_Regression/Server_Task.h
        * tests/Bug_2319_Regression/server.cpp
        * tests/Bug_2503_Regression/client.cpp
        * tests/Bug_2503_Regression/common.cpp
        * tests/Bug_2503_Regression/common.h
        * tests/CSD_Strategy_Tests/Broken/ClientApp.cpp
        * tests/CSD_Strategy_Tests/Broken/ClientApp.h
        * tests/CSD_Strategy_Tests/Broken/ServerApp.cpp
        * tests/CSD_Strategy_Tests/Broken/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.h
        * tests/UNKNOWN_Exception/client.cpp
          ACE_TCHAR fixes

Mon Sep 29 14:59:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        Updates to comply with CORBA 3.1 (08-01-05)
        * tao/PortableServer/POAManager.cpp:
        * tao/PortableServer/POAManager.pidl:
          When the POAManager is already inactive when the deactivate operation
          is called, then just ignore this call and not throw an exception

        * tao/PortableServer/Root_POA.cpp (find_poa):
          When unknown adapter throws an exception, just let is pass through instead
          of converting it to a OBJ_ADAPTER exception

        * tao/IIOP_Acceptor.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.h:
          Const change

Mon Sep 29 14:16:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PI/ORBInitInfo.h
        * tao/Utils/ORB_Manager.cpp
        * tao/Utils/ORB_Manager.h
        * tests/POA/Loader/Servant_Locator.cpp
        * tests/POA/Loader/Servant_Locator.h
        * tests/POA/Loader/Server_Manager.cpp
          ACE_TCHAR fixes

Mon Sep 29 14:01:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2289_Regression/server.cpp
        * tests/DiffServ/server.cpp
        * tests/DII_Collocation_Tests/oneway/Collocated_Test.cpp
        * tests/Monitor/Marshal_Buffer/client.cpp
        * tests/Oneway_Buffering/client.cpp
        * tests/Oneway_Timeouts/client.cpp
        * tests/POA/EndpointPolicy/server.cpp
        * tests/POA/TIE/client.cpp
        * tests/RTCORBA/Diffserv/server.cpp
          ACE_TCHAR fixes

Mon Sep 29 13:35:43 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_enum_val.h:
        * TAO_IDL/include/ast_expression.h:
        * TAO_IDL/include/ast_array.h:
        * TAO_IDL/be/be_expression.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_array/array_cs.cpp:
        * TAO_IDL/be/be_visitor_array/array_ci.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/serializer_op_cs.cpp:
        * TAO_IDL/be/be_enum_val.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_string.cpp:
        * TAO_IDL/be/be_array.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/ast/ast_expression.cpp:
        * TAO_IDL/ast/ast_enum_val.cpp:
        * TAO_IDL/ast/ast_array.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/be_include/be_expression.h:
        * TAO_IDL/be_include/be_enum_val.h:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/idl.yy
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/idl.ll
        * TAO_IDL/util/utl_global.cpp:

          Replaced native numeric basic types in storage for
          token and expression values with the corresponding
          ACE_CDR types.

Mon Sep 29 07:59:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.h
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Basic.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Basic.h
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.cpp
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.h
        * orbsvcs/IFR_Service/be_init.cpp
        * orbsvcs/IFR_Service/IFR_Service.cpp
        * orbsvcs/IFR_Service/IFR_Service.h
        * orbsvcs/ImplRepo_Service/Activator_Options.cpp
        * orbsvcs/ImplRepo_Service/Activator_Options.h
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp
        * orbsvcs/ImplRepo_Service/Locator_Options.h
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.cpp
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.h
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.cpp
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.h
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.h
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp
        * orbsvcs/Naming_Service/NT_Naming_Server.cpp
        * orbsvcs/Notify_Service/NT_Notify_Server.cpp
        * orbsvcs/orbsvcs/AV/default_resource.cpp
        * orbsvcs/orbsvcs/AV/default_resource.h
        * orbsvcs/orbsvcs/AV/Protocol_Factory.h
        * orbsvcs/orbsvcs/AV/QoS_UDP.h
        * orbsvcs/orbsvcs/AV/Resource_Factory.h
        * orbsvcs/orbsvcs/AV/RTCP.h
        * orbsvcs/orbsvcs/AV/RTP.h
        * orbsvcs/orbsvcs/AV/SCTP_SEQ.h
        * orbsvcs/orbsvcs/AV/sfp.h
        * orbsvcs/orbsvcs/AV/TCP.h
        * orbsvcs/orbsvcs/AV/Transport.h
        * orbsvcs/orbsvcs/AV/UDP.h
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Loader.cpp
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Loader.h
        * orbsvcs/performance-tests/RTEvent/lib/Client_Options.cpp
        * orbsvcs/performance-tests/RTEvent/lib/Client_Options.h
        * orbsvcs/performance-tests/RTEvent/lib/ORB_Holder.cpp
        * orbsvcs/performance-tests/RTEvent/lib/ORB_Holder.h
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/TimeStamp.h
        * orbsvcs/tests/Bug_2247_Regression/Manager.h
        * orbsvcs/tests/CosEvent/Basic/Random.cpp
        * orbsvcs/tests/CosEvent/Basic/Random.h
        * orbsvcs/tests/Event/Basic/Random.cpp
        * orbsvcs/tests/Event/Basic/Random.h
        * orbsvcs/tests/Event/Performance/Inversion.h
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Server_Request_Interceptor.cpp
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.h
        * orbsvcs/tests/InterfaceRepo/Application_Test/ifr_dii_client.cpp
        * orbsvcs/tests/InterfaceRepo/Application_Test/ifr_dii_client.h
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.cpp
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.h
        * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Query_Client.cpp
        * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Query_Client.h
        * orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp
        * orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.h
        * orbsvcs/tests/Notify/Basic/AdminProperties.cpp
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.h
        * orbsvcs/tests/Notify/Basic/Events.cpp
        * orbsvcs/tests/Notify/Basic/Events.h
        * orbsvcs/tests/Notify/Basic/IdAssignment.h
        * orbsvcs/tests/Notify/Basic/LifeCycle.cpp
        * orbsvcs/tests/Notify/Basic/LifeCycle.h
        * orbsvcs/tests/Notify/Basic/MultiTypes.h
        * orbsvcs/tests/Notify/Basic/Sequence.cpp
        * orbsvcs/tests/Notify/Basic/Sequence.h
        * orbsvcs/tests/Notify/Basic/Simple.cpp
        * orbsvcs/tests/Notify/Basic/Simple.h
        * orbsvcs/tests/Notify/lib/Command_Builder.cpp
        * orbsvcs/tests/Notify/lib/Command_Builder.h
        * orbsvcs/tests/Notify/lib/Command_Factory_T.h
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.h
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.h
        * orbsvcs/tests/Notify/Reconnecting/Consumer.cpp
        * orbsvcs/tests/Notify/Reconnecting/Consumer.h
        * orbsvcs/tests/Notify/Reconnecting/Supplier.cpp
        * orbsvcs/tests/Notify/Reconnecting/Supplier.h
        * orbsvcs/tests/Property/client.cpp
        * orbsvcs/tests/Property/client.h
        * orbsvcs/tests/Security/InsecureReferences/test.cpp
        * orbsvcs/tests/Time/Client_i.h
        * orbsvcs/tests/Trading/colocated_test.cpp
          ACE_TCHAR changes

Mon Sep 29 07:57:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Callback_Quoter/Consumer_Handler.h
        * examples/Callback_Quoter/Notifier_Input_Handler.cpp
        * examples/Callback_Quoter/Notifier_Input_Handler.h
        * examples/Callback_Quoter/Supplier_i.h
        * examples/Content_Server/AMI_Iterator/client.cpp
        * examples/Content_Server/AMI_Observer/client.cpp
        * examples/Event_Comm/consumer.cpp
        * examples/Event_Comm/Consumer_Handler.cpp
        * examples/Event_Comm/Consumer_Handler.h
        * examples/Event_Comm/notifier.cpp
        * examples/Event_Comm/notifier.h
        * examples/Event_Comm/Notifier_Handler.cpp
        * examples/Event_Comm/Notifier_Handler.h
        * examples/Event_Comm/Notifier_Server.cpp
        * examples/Event_Comm/Notifier_Server.h
        * examples/Event_Comm/supplier.cpp
        * examples/Event_Comm/supplier.h
        * examples/ior_corbaloc/ior_corbaloc_client_i.cpp
        * examples/ior_corbaloc/ior_corbaloc_client_i.h
        * examples/Load_Balancing/Identity_Client.h
        * examples/Load_Balancing/Identity_Server.h
        * examples/Load_Balancing/Load_Balancing_Service.h
        * examples/Load_Balancing_persistent/Identity_Server.h
        * examples/Logging/Logging_Service_i.cpp
        * examples/Logging/Logging_Test_i.cpp
        * examples/OBV/Simple_util.h
        * examples/OBV/Typed_Events/Client_i.cpp
        * examples/Persistent_Grid/Grid_Client_i.cpp
        * examples/Persistent_Grid/Persistent_Client_i.cpp
        * examples/Persistent_Grid/Simple_util.cpp
        * examples/Persistent_Grid/Simple_util.h
        * examples/Quoter/Factory_Finder.cpp
        * examples/Quoter/Factory_Finder.h
        * examples/Quoter/Generic_Factory.cpp
        * examples/Quoter/Generic_Factory.h
        * examples/Quoter/server.h
        * examples/RTCORBA/Activity/Activity.cpp
        * examples/RTCORBA/Activity/Activity.h
        * examples/RTCORBA/Activity/Builder.cpp
        * examples/RTCORBA/Activity/Builder.h
        * examples/Simple/bank/Bank_Client_i.cpp
        * examples/Simple/chat/Client_i.cpp
        * examples/Simple/chat/Client_i.h
        * examples/Simple/chat/Server_i.cpp
        * examples/Simple/chat/Server_i.h
        * examples/Simple/echo/Echo_Client_i.cpp
        * examples/Simple/grid/Grid_Client_i.cpp
        * examples/Simple/Simple_util.cpp
        * examples/Simple/Simple_util.h
        * examples/Simple/time-date/Time_Date.cpp
        * examples/Simple/time-date/Time_Date.h
        * examples/Simple/time-date/Time_Date_Client_i.cpp
        * examples/Simple/time/Time_Client_i.cpp
          ACE_TCHAR changes

Mon Sep 29 07:55:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/MT_Cubit/client.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/client.h
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/server.cpp
          ACE_TCHAR changes

Mon Sep 29 07:53:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2429_Regression/client.cpp
        * tests/Bug_2935_Regression/middle.cpp
        * tests/Bug_2935_Regression/sink.cpp
        * tests/Bug_2935_Regression/source_i.h
        * tests/Bug_2936_Regression/PersistentPOA.cpp
        * tests/Bug_2936_Regression/PersistentPOA.h
        * tests/Collocated_Forwarding/Server_Request_Interceptor.cpp
        * tests/Exposed_Policies/Policy_Tester.cpp
        * tests/Exposed_Policies/Policy_Tester.h
        * tests/Hang_Shutdown/client.cpp
        * tests/InterOp-Naming/Server_i.cpp
        * tests/InterOp-Naming/Server_i.h
        * tests/OBV/Simple/Client_i.cpp
        * tests/OBV/Simple/Simple_util.cpp
        * tests/OBV/Simple/Simple_util.h
        * tests/POA/TIE/client.cpp
        * tests/QtTests/client.cpp
        * tests/RTCORBA/Bug_3382_Regression/client.cpp
        * tests/RTCORBA/Bug_3382_Regression/server.cpp
        * tests/TransportCurrent/Framework/simple.cpp
        * tests/Xt_Stopwatch/client.cpp
          ACE_TCHAR changes

Mon Sep 29 07:44:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PI/ORBInitInfo.h:
        * tao/Utils/ORB_Manager.cpp:
          ACE_TCHAR changes

Mon Sep 29 07:42:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp
        * orbsvcs/ImplRepo_Service/tao_imr_i.h
        * orbsvcs/Naming_Service/NT_Naming_Service.h
        * orbsvcs/Notify_Service/NT_Notify_Service.h
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.h
        * orbsvcs/orbsvcs/CosEvent/CEC_Default_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Null_Factory.cpp
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerRequest_Interceptor.cpp
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp
        * orbsvcs/orbsvcs/Security/Security_Current.cpp
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/sender.h
        * orbsvcs/tests/AVStreams/Component_Switching/distributer.h
        * orbsvcs/tests/AVStreams/Component_Switching/receiver.h
        * orbsvcs/tests/Concurrency/CC_client.cpp
        * orbsvcs/tests/Concurrency/CC_client.h
        * orbsvcs/tests/ImplRepo/airplane_client_i.cpp
        * orbsvcs/tests/ImplRepo/airplane_client_i.h
        * orbsvcs/tests/ImplRepo/airplane_server_i.h
        * orbsvcs/tests/ImplRepo/nestea_client_i.cpp
        * orbsvcs/tests/ImplRepo/nestea_client_i.h
        * orbsvcs/tests/ImplRepo/nestea_server_i.h
        * orbsvcs/tests/ImplRepo/scale/server_i.h
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/LB_server.cpp
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/LB_server.h
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/LB_server.cpp
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/LB_server.h
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/LB_server.cpp
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/LB_server.h
        * orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.h
        * orbsvcs/tests/Property/client.h
        * orbsvcs/tests/RTCosScheduling/client.cpp
        * orbsvcs/tests/Security/ssliop_corbaloc/client.cpp
        * orbsvcs/tests/Security/ssliop_corbaloc/client.h
        * orbsvcs/tests/Simple_Naming/client.cpp
        * orbsvcs/tests/Simple_Naming/client.h
        * orbsvcs/tests/Time/Client_i.cpp
        * orbsvcs/tests/Time/Client_i.h
          ACE_TCHAR changes

Mon Sep 29 07:40:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.cpp
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.h
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Server.h
        * performance-tests/Cubit/TAO/MT_Cubit/client.h
        * performance-tests/Cubit/TAO/MT_Cubit/Cubit_Task.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Globals.h
        * performance-tests/Cubit/TAO/MT_Cubit/server.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/server.h
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.cpp
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.h
        * performance-tests/Pluggable/PP_Test_Client.cpp
        * performance-tests/Pluggable/PP_Test_Client.h
        * performance-tests/Pluggable/PP_Test_Server.h
        * performance-tests/POA/Demux/demux_test_client.h
          ACE_TCHAR changes

Mon Sep 29 07:37:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMH/Sink_Server/Base_Server.h
        * examples/Callback_Quoter/Consumer_Handler.cpp
        * examples/Callback_Quoter/Consumer_Handler.h
        * examples/Callback_Quoter/Notifier_Input_Handler.h
        * examples/Callback_Quoter/Supplier_i.cpp
        * examples/Callback_Quoter/Supplier_i.h
        * examples/Logging/Logging_Service_i.h
        * examples/Logging/Logging_Test_i.h
        * examples/mfc/server.cpp
        * examples/OBV/Simple_util.cpp
        * examples/OBV/Simple_util.h
        * examples/Persistent_Grid/Simple_util.cpp
        * examples/Persistent_Grid/Simple_util.h
        * examples/Quoter/client.h
        * examples/Quoter/Factory_Finder.h
        * examples/Quoter/Generic_Factory.h
        * examples/Quoter/server.h
        * examples/Simple/Simple_util.cpp
        * examples/Simple/Simple_util.h
        * examples/Simulator/Event_Supplier/DualEC_Sup.h
        * examples/Simulator/Event_Supplier/Event_Sup.h
        * examples/Simulator/Event_Supplier/Logging_Sup.h
          ACE_TCHAR changes

Mon Sep 29 07:33:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMH_Exceptions/server.cpp
        * tests/AMH_Oneway/server.cpp
        * tests/BiDirectional_MultipleORB/destroy.cpp
        * tests/DII_AMI_Forward/DII_ReplyHandler.cpp
        * tests/Hang_Shutdown/server.cpp
        * tests/InterOp-Naming/Server_i.h
        * tests/NestedUpcall/MT_Client_Test/client.cpp
        * tests/NestedUpcall/MT_Client_Test/client.h
        * tests/NestedUpcall/MT_Client_Test/local_server.cpp
        * tests/NestedUpcall/MT_Client_Test/local_server.h
        * tests/NestedUpcall/MT_Client_Test/server.h
        * tests/NestedUpcall/Triangle_Test/initiator.h
        * tests/NestedUpcall/Triangle_Test/server_A.h
        * tests/NestedUpcall/Triangle_Test/server_B.h
        * tests/OBV/Simple/Simple_util.cpp
        * tests/OBV/Simple/Simple_util.h
        * tests/ORB_destroy/ORB_destroy.cpp
        * tests/Param_Test/driver.cpp
        * tests/Param_Test/driver.h
        * tests/POA/Forwarding/client.cpp
        * tests/POA/Forwarding/server.cpp
        * tests/POA/Loader/Server_Manager.cpp
        * tests/POA/Loader/Server_Manager.h
        * tests/POA/On_Demand_Loading/Server_Manager.cpp
        * tests/POA/On_Demand_Loading/Server_Manager.h
          ACE_TCHAR changes

Sun Sep 28 18:52:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/CSD_Strategy/TestApps/ClientApp.cpp
        * performance-tests/CSD_Strategy/TestApps/ClientApp.h
        * performance-tests/CSD_Strategy/TestApps/ServerApp.cpp
        * performance-tests/CSD_Strategy/TestApps/ServerApp.h
        * performance-tests/CSD_Strategy/TestInf/TestAppBase.h
        * performance-tests/RTCorba/Thread_Pool/client.cpp
          ACE_TCHAR changes

Sun Sep 28 18:51:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/LoadBalancer/LoadManager.cpp
        * orbsvcs/tests/Bug_2615_Regression/server.cpp
        * orbsvcs/tests/Event/Performance/Latency.cpp
          ACE_TCHAR changes

Sun Sep 28 18:48:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI_Buffering/client.cpp
        * tests/Any/Recursive/client.cpp
        * tests/Bug_2084_Regression/Collocated_Test.cpp
        * tests/Bug_2186_Regression/client.cpp
        * tests/Bug_2289_Regression/client.cpp
        * tests/Bug_2289_Regression/server.cpp
        * tests/Bug_2429_Regression/client.cpp
        * tests/Bug_2804_Regression/client.cpp
        * tests/Bug_2844_Regression/client.cpp
        * tests/Bug_2918_Regression/client.cpp
        * tests/COIOP/COIOP_Test.cpp
        * tests/Collocation_Exception_Test/Collocated_Test.cpp
        * tests/Collocation_Oneway_Tests/Collocated_Test.cpp
        * tests/Collocation_Tests/Collocated_Test.cpp
        * tests/CSD_Strategy_Tests/Broken/ClientApp.cpp
        * tests/CSD_Strategy_Tests/Broken/ClientApp.h
        * tests/CSD_Strategy_Tests/Broken/ServerApp.cpp
        * tests/CSD_Strategy_Tests/Broken/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_1/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_1/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_1/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_1/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_2/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_4/ClientApp.h
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.h
        * tests/CSD_Strategy_Tests/TP_Test_Static/ClientApp.cpp
        * tests/CSD_Strategy_Tests/TP_Test_Static/ClientApp.h
        * tests/DiffServ/server.cpp
        * tests/DII_Collocation_Tests/oneway/Collocated_Test.cpp
        * tests/DII_Collocation_Tests/twoway/Collocated_Test.cpp
        * tests/Exposed_Policies/Policy_Verifier.cpp
        * tests/Exposed_Policies/Policy_Verifier.h
        * tests/Monitor/Marshal_Buffer/client.cpp
        * tests/OBV/Collocated/Forward/Collocated_Test.cpp
        * tests/OBV/Supports/client.cpp
        * tests/OBV/Supports/server.cpp
        * tests/Oneway_Buffering/client.cpp
        * tests/Oneway_Timeouts/client.cpp
        * tests/Param_Test/options.cpp
        * tests/Param_Test/options.h
        * tests/POA/EndpointPolicy/server.cpp
        * tests/POA/Loader/Server_Manager.cpp
        * tests/POA/Loader/Server_Manager.h
        * tests/Portable_Interceptors/Collocated/Dynamic/Collocated_Test.cpp
        * tests/Portable_Interceptors/PICurrent/server.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Collocated_Test.cpp
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_main.cpp
        * tests/RTCORBA/Diffserv/server.cpp
          ACE_TCHAR changes

Sun Sep 28 12:35:32 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Time/TAO_UTO.h:
        * orbsvcs/orbsvcs/Time/TAO_TIO.h:
        * orbsvcs/orbsvcs/Time/Timer_Helper.h:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Clerk.h:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Server.h:

          Fixed export macros.  Thanks to Johnny to bringing this to
          my attention.

Sun Sep 28 11:41:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/nslist/nsadd.cpp
          ACE_TCHAR changes

Sun Sep 28 11:39:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/ORT/gateway_server.cpp
        * orbsvcs/examples/ORT/server.cpp
        * orbsvcs/examples/Security/SecurityLevel1/server.cpp
        * orbsvcs/examples/Security/Send_File/server.cpp
        * orbsvcs/tests/Bug_1395_Regression/server.cpp
        * orbsvcs/tests/Bug_2247_Regression/server.cpp
        * orbsvcs/tests/Bug_2248_Regression/server.cpp
        * orbsvcs/tests/Bug_2925_Regression/server.cpp
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.cpp
        * orbsvcs/tests/FaultTolerance/IOGR/server.cpp
        * orbsvcs/tests/HTIOP/AMI/server.cpp
        * orbsvcs/tests/HTIOP/BiDirectional/server.cpp
        * orbsvcs/tests/Security/BiDirectional/server.cpp
        * orbsvcs/tests/Security/Big_Request/server.cpp
        * orbsvcs/tests/Security/Bug_1107_Regression/server.cpp
        * orbsvcs/tests/Security/Crash_Test/server.cpp
        * orbsvcs/tests/Security/MT_IIOP_SSL/server.cpp
        * orbsvcs/tests/Security/MT_SSLIOP/server.cpp
        * orbsvcs/tests/Security/Secure_Invocation/server.cpp
          ACE_TCHAR changes

Sun Sep 28 11:38:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/ORB_Shutdown/client.cpp
        * tests/Portable_Interceptors/Request_Interceptor_Flow/client.cpp
          ACE_TCHAR changes

Sun Sep 28 11:36:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI/server.cpp
        * tests/AMI_Timeouts/server.cpp
        * tests/BiDirectional/server.cpp
        * tests/BiDirectional_DelayedUpcall/server.cpp
        * tests/BiDirectional_NestedUpcall/server.cpp
        * tests/Big_AMI/server.cpp
        * tests/Bug_2174_Regression/server.cpp
        * tests/Bug_2356_Regression/server.cpp
        * tests/Bug_2734_Regression/server.cpp
        * tests/Bug_3068_Regression/server.cpp
        * tests/Faults/server.cpp
        * tests/FL_Cube/server.cpp
        * tests/MProfile/server.cpp
        * tests/MProfile_Connection_Timeout/server.cpp
        * tests/MProfile_Forwarding/server.cpp
        * tests/MT_BiDir/server.cpp
        * tests/MT_Client/server.cpp
        * tests/MT_Server/server.cpp
        * tests/Multiple_Inheritance/server.cpp
        * tests/Muxed_GIOP_Versions/server.cpp
        * tests/Native_Exceptions/server.cpp
        * tests/No_Server_MT_Connect_Test/server.cpp
        * tests/POA/Forwarding/server.cpp
        * tests/QtTests/server.cpp
        * tests/Smart_Proxies/Benchmark/server.cpp
        * tests/Smart_Proxies/On_Demand/server.cpp
        * tests/Smart_Proxies/Policy/server.cpp
        * tests/Smart_Proxies/server.cpp
        * tests/Strategies/server.cpp
        * tests/Timeout/server.cpp
        * tests/Xt_Stopwatch/server.cpp
          ACE_TCHAR changes

Sun Sep 28 11:31:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Callback/client.cpp
        * performance-tests/Callback/server.cpp
        * performance-tests/Latency/AMH_Single_Threaded/client.cpp
        * performance-tests/Latency/AMH_Single_Threaded/server.cpp
        * performance-tests/Latency/AMI/client.cpp
        * performance-tests/Latency/AMI/server.cpp
        * performance-tests/Latency/Deferred/client.cpp
        * performance-tests/Latency/Deferred/server.cpp
        * performance-tests/Latency/DII/client.cpp
        * performance-tests/Latency/DII/server.cpp
        * performance-tests/Latency/DSI/client.cpp
        * performance-tests/Latency/DSI/server.cpp
        * performance-tests/Latency/Single_Threaded/client.cpp
        * performance-tests/Latency/Single_Threaded/server.cpp
        * performance-tests/Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Latency/Thread_Per_Connection/server.cpp
        * performance-tests/Latency/Thread_Pool/client.cpp
        * performance-tests/Latency/Thread_Pool/server.cpp
        * performance-tests/Memory/IORsize/client.cpp
        * performance-tests/Memory/IORsize/server.cpp
        * performance-tests/Memory/Single_Threaded/client.cpp
        * performance-tests/Memory/Single_Threaded/server.cpp
        * performance-tests/POA/Implicit_Activation/client.cpp
        * performance-tests/POA/Implicit_Activation/server.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/server.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/client.cpp
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/server.cpp
        * performance-tests/RTCorba/Oneways/Reliable/client.cpp
        * performance-tests/RTCorba/Oneways/Reliable/server.cpp
        * performance-tests/RTCorba/Thread_Pool/client.cpp
        * performance-tests/RTCorba/Thread_Pool/server.cpp
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/client.cpp
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/server.cpp
        * performance-tests/Sequence_Latency/AMI/client.cpp
        * performance-tests/Sequence_Latency/AMI/server.cpp
        * performance-tests/Sequence_Latency/Deferred/client.cpp
        * performance-tests/Sequence_Latency/Deferred/server.cpp
        * performance-tests/Sequence_Latency/DII/client.cpp
        * performance-tests/Sequence_Latency/DII/server.cpp
        * performance-tests/Sequence_Latency/DSI/client.cpp
        * performance-tests/Sequence_Latency/DSI/server.cpp
        * performance-tests/Sequence_Latency/Single_Threaded/client.cpp
        * performance-tests/Sequence_Latency/Single_Threaded/server.cpp
        * performance-tests/Sequence_Latency/Thread_Per_Connection/client.cpp
        * performance-tests/Sequence_Latency/Thread_Per_Connection/server.cpp
        * performance-tests/Sequence_Latency/Thread_Pool/client.cpp
        * performance-tests/Sequence_Latency/Thread_Pool/server.cpp
        * performance-tests/Throughput/client.cpp
        * performance-tests/Throughput/server.cpp
          ACE_TCHAR changes

Sun Sep 28 11:29:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/File_IO/client.cpp
          ACE_TCHAR changes

Sun Sep 28 11:24:45 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Security/Secure_Invocation/client.cpp
        * orbsvcs/tests/Security/MT_SSLIOP/client.cpp
        * orbsvcs/tests/Security/MT_IIOP_SSL/client.cpp
        * orbsvcs/tests/Security/InsecureReferences/test.cpp
        * orbsvcs/tests/Security/EndpointPolicy/test.cpp
        * orbsvcs/tests/Security/Crash_Test/client.cpp
        * orbsvcs/tests/Security/Bug_2908_Regression/MessengerServer.cpp
        * orbsvcs/tests/Security/Bug_2908_Regression/MessengerClient.cpp
        * orbsvcs/tests/Security/Bug_2908_Regression/Messenger_i.cpp
        * orbsvcs/tests/Security/Bug_1107_Regression/client.cpp
        * orbsvcs/tests/Security/Big_Request/client.cpp
        * orbsvcs/tests/Security/BiDirectional/client.cpp
        * orbsvcs/tests/RTCosScheduling/server.cpp
        * orbsvcs/tests/Miop/McastHello/server.cpp
        * orbsvcs/tests/Miop/McastHello/client.cpp
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/client.cpp
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/client.cpp
        * orbsvcs/tests/InterfaceRepo/Application_Test/server.cpp
        * orbsvcs/tests/HTIOP/Hello/server.cpp
        * orbsvcs/tests/HTIOP/Hello/client.cpp
        * orbsvcs/tests/HTIOP/BiDirectional/client.cpp
        * orbsvcs/tests/HTIOP/AMI/simple_client.cpp
        * orbsvcs/tests/HTIOP/AMI/client.cpp
        * orbsvcs/tests/Event/Performance/Latency_Server.cpp
        * orbsvcs/tests/Event/Mcast/AddrServer/Client.cpp
        * orbsvcs/tests/Bug_3216_Regression/server.cpp
        * orbsvcs/tests/Bug_3216_Regression/client.cpp
        * orbsvcs/tests/Bug_3215_Regression/server.cpp
        * orbsvcs/tests/Bug_3215_Regression/client.cpp
        * orbsvcs/tests/Bug_2800_Regression/nsmain.cpp
        * orbsvcs/tests/Bug_2800_Regression/client.cpp
        * orbsvcs/tests/Bug_2709_Regression/server.cpp
        * orbsvcs/tests/Bug_2615_Regression/server.cpp
        * orbsvcs/tests/Bug_2615_Regression/client.cpp
        * orbsvcs/tests/Bug_2316_Regression/client.cpp
        * orbsvcs/tests/Bug_2287_Regression/server.cpp
        * orbsvcs/tests/Bug_2287_Regression/client.cpp
        * orbsvcs/tests/Bug_2285_Regression/server2.cpp
        * orbsvcs/tests/Bug_2285_Regression/server.cpp
        * orbsvcs/tests/Bug_2285_Regression/client2.cpp
        * orbsvcs/tests/Bug_2285_Regression/client.cpp
        * orbsvcs/tests/Bug_1395_Regression/client.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/server.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/client.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/server.cpp
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/client.cpp
        * orbsvcs/examples/Security/Send_File/client.cpp
        * orbsvcs/examples/Security/SecurityLevel1/client.cpp
        * orbsvcs/examples/RtEC/Simple/Service.cpp
        * orbsvcs/examples/PSS/Simple_Naming.cpp
        * orbsvcs/examples/ORT/client.cpp
        * orbsvcs/examples/LoadBalancing/server.cpp
        * orbsvcs/examples/LoadBalancing/client.cpp
        * orbsvcs/examples/CosEC/Simple/Service.cpp
          ACE_TCHAR changes

Fri Sep 26 15:08:45 UTC 2008  Rich Seibel <seibel_r@ociweb.com>

        * orbsvcs/tests/Bug_3387_Regression/MessengerClient.cpp:

          Added include to find sleep.

Fri Sep 26 11:54:14 UTC 2008  Phil Mesnier  <mesnier_p@ociweb.com>

        * TAO_IDL/fe/lex.yy.cpp:

        * orbsvcs/tests/Bug_3387_Regression/Messenger.idl:
        * orbsvcs/tests/Bug_3387_Regression/Messenger.mpc:
        * orbsvcs/tests/Bug_3387_Regression/MessengerClient.cpp:
        * orbsvcs/tests/Bug_3387_Regression/MessengerConsumer.cpp:
        * orbsvcs/tests/Bug_3387_Regression/MessengerServer.cpp:
        * orbsvcs/tests/Bug_3387_Regression/Messenger_i.h:
        * orbsvcs/tests/Bug_3387_Regression/Messenger_i.cpp:
        * orbsvcs/tests/Bug_3387_Regression/StructuredEventConsumer_i.h:
        * orbsvcs/tests/Bug_3387_Regression/StructuredEventConsumer_i.cpp:
        * orbsvcs/tests/Bug_3387_Regression/StructuredEventSupplier_i.h:
        * orbsvcs/tests/Bug_3387_Regression/StructuredEventSupplier_i.cpp:
        * orbsvcs/tests/Bug_3387_Regression/run_test.pl:

        * orbsvcs/tests/InterfaceRepo/Union_Forward_Test/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Union_Forward_Test/test.idl:

          Fuzz fixes

Fri Sep 26 11:07:48 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/RTCORBA/RT_Current.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:
        * tests/RTCORBA/Bug_3382_Regression/client.cpp:
        * tests/RTCORBA/Bug_3382_Regression/server.cpp:
        * tests/RTCORBA/Bug_3382_Regression/simple_client.cpp:

          Fuzz errors.

Fri Sep 26 09:25:50 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/RTCORBA/Linear_Priority_Mapping.cpp:

          Fix windows compilation error.

Thu Sep 25 20:55:39 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMI/FL_Callback/peer.cpp
        * examples/AMI/FL_Callback/progress.cpp
        * examples/Buffered_AMI/server.cpp
        * examples/Buffered_Oneways/server.cpp
        * examples/Kokyu_dsrt_schedulers/fp_example/client.cpp
        * examples/Kokyu_dsrt_schedulers/fp_example/server.cpp
        * examples/Kokyu_dsrt_schedulers/mif_example/client.cpp
        * examples/Kokyu_dsrt_schedulers/mif_example/server.cpp
        * examples/Kokyu_dsrt_schedulers/muf_example/client.cpp
        * examples/Kokyu_dsrt_schedulers/muf_example/server.cpp
        * examples/mfc/client.cpp
        * examples/mfc/server.cpp
        * examples/PluggableUDP/tests/Performance/client.cpp
        * examples/PluggableUDP/tests/Performance/server.cpp
        * examples/PluggableUDP/tests/SimplePerformance/client.cpp
        * examples/PluggableUDP/tests/SimplePerformance/server.cpp
          ACE_TCHAR changes

Thu Sep 25 20:46:39 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Abstract_Interface/server.cpp
        * tests/AMH_Exceptions/client.cpp
        * tests/AMH_Oneway/client.cpp
        * tests/AMI/client.cpp
        * tests/AMI/simple_client.cpp
        * tests/AMI_Buffering/admin.cpp
        * tests/AMI_Buffering/server.cpp
        * tests/AMI_Timeouts/client.cpp
        * tests/Any/Recursive/server.cpp
        * tests/BiDirectional/client.cpp
        * tests/BiDirectional_DelayedUpcall/client.cpp
        * tests/BiDirectional_NestedUpcall/client.cpp
        * tests/Big_AMI/client.cpp
        * tests/Big_Oneways/client.cpp
        * tests/Big_Oneways/server.cpp
        * tests/Big_Reply/server.cpp
        * tests/Big_Request_Muxing/client.cpp
        * tests/Big_Request_Muxing/server.cpp
        * tests/Big_Twoways/client.cpp
        * tests/Big_Twoways/server.cpp
        * tests/Blocking_Sync_None/client.cpp
        * tests/Blocking_Sync_None/server.cpp
        * tests/Bug_1020_Basic_Regression/client.cpp
        * tests/Bug_1020_Basic_Regression/server.cpp
        * tests/Bug_1020_Regression/client.cpp
        * tests/Bug_1020_Regression/server.cpp
        * tests/Bug_1269_Regression/client.cpp
        * tests/Bug_1269_Regression/server.cpp
        * tests/Bug_1269_Regression/shutdown.cpp
        * tests/Bug_1270_Regression/client.cpp
        * tests/Bug_1270_Regression/server.cpp
        * tests/Bug_1270_Regression/shutdown.cpp
        * tests/Bug_1330_Regression/client.cpp
        * tests/Bug_1361_Regression/client.cpp
        * tests/Bug_1361_Regression/server.cpp
        * tests/Bug_1361_Regression/shutdown.cpp
        * tests/Bug_1476_Regression/client.cpp
        * tests/Bug_1476_Regression/server.cpp
        * tests/Bug_1476_Test/client.cpp
        * tests/Bug_1482_Regression/client.cpp
        * tests/Bug_1482_Regression/server.cpp
        * tests/Bug_1495_Regression/Threaded_Client.cpp
        * tests/Bug_1495_Regression/Threaded_Server.cpp
        * tests/Bug_1551_Regression/client.cpp
        * tests/Bug_1551_Regression/server.cpp
        * tests/Bug_1568_Regression/client.cpp
        * tests/Bug_1568_Regression/server.cpp
        * tests/Bug_1627_Regression/client.cpp
        * tests/Bug_1670_Regression/client.cpp
        * tests/Bug_1670_Regression/server.cpp
        * tests/Bug_1676_Regression/client.cpp
        * tests/Bug_1676_Regression/server.cpp
        * tests/Bug_2183_Regression/client.cpp
        * tests/Bug_2183_Regression/server.cpp
        * tests/Bug_2186_Regression/client.cpp
        * tests/Bug_2186_Regression/server.cpp
        * tests/Bug_2188_Regression/client.cpp
        * tests/Bug_2188_Regression/server.cpp
        * tests/Bug_2289_Regression/client.cpp
        * tests/Bug_2289_Regression/server.cpp
        * tests/Bug_2319_Regression/server.cpp
        * tests/Bug_2328_Regression/client.cpp
        * tests/Bug_2328_Regression/server.cpp
        * tests/Bug_2356_Regression/client.cpp
        * tests/Bug_2429_Regression/server.cpp
        * tests/Bug_2494_Regression/client.cpp
        * tests/Bug_2494_Regression/server.cpp
        * tests/Bug_2503_Regression/client.cpp
        * tests/Bug_2503_Regression/server.cpp
        * tests/Bug_2593_Regression/client.cpp
        * tests/Bug_2593_Regression/server.cpp
        * tests/Bug_2595_Regression/client.cpp
        * tests/Bug_2595_Regression/server.cpp
        * tests/Bug_2654_Regression/client.cpp
        * tests/Bug_2654_Regression/server.cpp
        * tests/Bug_2678_Regression/client.cpp
        * tests/Bug_2678_Regression/server.cpp
        * tests/Bug_2683_Regression/server.cpp
        * tests/Bug_2702_Regression/client.cpp
        * tests/Bug_2768_Regression/server.cpp
        * tests/Bug_2804_Regression/server.cpp
        * tests/Bug_2805_Regression/client.cpp
        * tests/Bug_2844_Regression/server.cpp
        * tests/Bug_2869_Regression/client.cpp
        * tests/Bug_2909_Regression/client.cpp
        * tests/Bug_2918_Regression/server.cpp
        * tests/Bug_2966_Regression/client.cpp
        * tests/Bug_2966_Regression/server.cpp
        * tests/Bug_3000_Regression/client.cpp
        * tests/Bug_3000_Regression/server.cpp
        * tests/Bug_3068_Regression/client.cpp
        * tests/Bug_3108_Regression/client.cpp
        * tests/Bug_3108_Regression/server.cpp
        * tests/Bug_3163_Regression/client.cpp
        * tests/Bug_3299_Regression/client.cpp
        * tests/Bug_3299_Regression/server.cpp
        * tests/Bug_933_Regression/MessengerServer.cpp
        * tests/Cache_Growth_Test/client.cpp
        * tests/Cache_Growth_Test/server.cpp
        * tests/CallbackTest/client.cpp
        * tests/CallbackTest/server.cpp
        * tests/Client_Leaks/server.cpp
        * tests/Connect_Strategy_Test/client.cpp
        * tests/Connect_Strategy_Test/server.cpp
        * tests/Connection_Purging/client.cpp
        * tests/Connection_Purging/server.cpp
        * tests/Crash_On_Write/client.cpp
        * tests/Crash_On_Write/server.cpp
        * tests/Crashed_Callback/client.cpp
        * tests/Crashed_Callback/server.cpp
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/client.cpp
        * tests/DiffServ/client.cpp
        * tests/DII_AMI_Forward/client.cpp
        * tests/DII_AMI_Forward/server.cpp
        * tests/DIOP/client.cpp
        * tests/DIOP/server.cpp
        * tests/DLL_ORB/Test_Client_Module.cpp
        * tests/DLL_ORB/Test_Server_Module.cpp
        * tests/DSI_AMH/client.cpp
        * tests/DSI_AMH/server.cpp
        * tests/DSI_AMI_Gateway/client.cpp
        * tests/DSI_AMI_Gateway/gateway.cpp
        * tests/DSI_AMI_Gateway/server.cpp
        * tests/DSI_Gateway/client.cpp
        * tests/DSI_Gateway/gateway.cpp
        * tests/DSI_Gateway/server.cpp
        * tests/Explicit_Event_Loop/server.cpp
        * tests/Faults/client.cpp
        * tests/Faults/middle.cpp
        * tests/Faults/ping.cpp
        * tests/File_IO/client.cpp
        * tests/File_IO/server.cpp
        * tests/Forwarding/client.cpp
        * tests/Forwarding/server.cpp
        * tests/GIOP_Fragments/Java_Big_Reply/client.cpp
        * tests/GIOP_Fragments/Java_Big_Request/server.cpp
        * tests/GIOP_Fragments/PMB_With_Fragments/server.cpp
        * tests/Hang_Shutdown/client.cpp
        * tests/Hang_Shutdown/server.cpp
        * tests/ICMG_Any_Bug/client.cpp
        * tests/ICMG_Any_Bug/server.cpp
        * tests/IPV6/client.cpp
        * tests/IPV6/server.cpp
        * tests/Leader_Followers/server.cpp
        * tests/LongDouble/client.cpp
        * tests/LongDouble/server.cpp
        * tests/LongUpcalls/ami_client.cpp
        * tests/LongUpcalls/ami_server.cpp
        * tests/LongUpcalls/blocking_client.cpp
        * tests/LongUpcalls/blocking_server.cpp
        * tests/Monitor/Marshal_Buffer/client.cpp
        * tests/Monitor/Marshal_Buffer/server.cpp
        * tests/MProfile/client.cpp
        * tests/MProfile_Connection_Timeout/client.cpp
        * tests/MT_BiDir/client.cpp
        * tests/MT_Client/client.cpp
        * tests/MT_Client/orb_creation.cpp
        * tests/MT_Server/client.cpp
        * tests/MT_Timeout/client.cpp
        * tests/MT_Timeout/server.cpp
        * tests/Multiple/server.cpp
        * tests/Muxed_GIOP_Versions/client.cpp
        * tests/Muxing/client.cpp
        * tests/Muxing/server.cpp
        * tests/Native_Exceptions/client.cpp
        * tests/Nested_Event_Loop/server.cpp
        * tests/Nested_Upcall_Crash/client.cpp
        * tests/Nested_Upcall_Crash/scavenger.cpp
        * tests/Nested_Upcall_Crash/server.cpp
        * tests/No_Server_MT_Connect_Test/client.cpp
        * tests/Objref_Sequence_Test/client.cpp
        * tests/Objref_Sequence_Test/server.cpp
        * tests/OBV/Any/client.cpp
        * tests/OBV/Any/server.cpp
        * tests/OBV/Factory/client.cpp
        * tests/OBV/Factory/server.cpp
        * tests/OBV/Forward/client.cpp
        * tests/OBV/Forward/server.cpp
        * tests/OBV/TC_Alignment/client.cpp
        * tests/OBV/TC_Alignment/server.cpp
        * tests/OBV/Truncatable/client.cpp
        * tests/OBV/Truncatable/server.cpp
        * tests/OBV/ValueBox/client.cpp
        * tests/OBV/ValueBox/server.cpp
        * tests/OctetSeq/client.cpp
        * tests/OctetSeq/server.cpp
        * tests/Ondemand_Write/client.cpp
        * tests/Ondemand_Write/server.cpp
        * tests/Oneway_Buffering/admin.cpp
        * tests/Oneway_Buffering/server.cpp
        * tests/Oneways_Invoking_Twoways/client.cpp
        * tests/Oneways_Invoking_Twoways/server.cpp
        * tests/Optimized_Connection/oc_client.cpp
        * tests/ORT/client.cpp
        * tests/Parallel_Connect_Strategy/client.cpp
        * tests/Parallel_Connect_Strategy/server.cpp
        * tests/Param_Test/server.cpp
        * tests/POA/DSI/server.cpp
        * tests/POA/On_Demand_Activation/server.cpp
        * tests/Portable_Interceptors/Bug_2133/server.cpp
        * tests/Portable_Interceptors/Bug_2510_Regression/client.cpp
        * tests/Portable_Interceptors/Bug_2510_Regression/server.cpp
        * tests/Portable_Interceptors/Dynamic/client.cpp
        * tests/Portable_Interceptors/Dynamic/server.cpp
        * tests/Portable_Interceptors/IORInterceptor/client.cpp
        * tests/Portable_Interceptors/IORInterceptor/server.cpp
        * tests/Portable_Interceptors/PICurrent/client.cpp
        * tests/Portable_Interceptors/PICurrent/server.cpp
        * tests/Portable_Interceptors/Service_Context_Manipulation/client.cpp
        * tests/Portable_Interceptors/Service_Context_Manipulation/server.cpp
        * tests/QtTests/client.cpp
        * tests/Reliable_Oneways/client.cpp
        * tests/Reliable_Oneways/server.cpp
        * tests/RTCORBA/Banded_Connections/client.cpp
        * tests/RTCORBA/Banded_Connections/server.cpp
        * tests/RTCORBA/Bug_3382_Regression/client.cpp
        * tests/RTCORBA/Bug_3382_Regression/server.cpp
        * tests/RTCORBA/Client_Propagated/client.cpp
        * tests/RTCORBA/Client_Propagated/server.cpp
        * tests/RTCORBA/Client_Protocol/client.cpp
        * tests/RTCORBA/Client_Protocol/server.cpp
        * tests/RTCORBA/Diffserv/client.cpp
        * tests/RTCORBA/Dynamic_Thread_Pool/client.cpp
        * tests/RTCORBA/Dynamic_Thread_Pool/server.cpp
        * tests/RTCORBA/Explicit_Binding/client.cpp
        * tests/RTCORBA/Explicit_Binding/server.cpp
        * tests/RTCORBA/Linear_Priority/server.cpp
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp
        * tests/RTCORBA/MT_Client_Protocol_Priority/server.cpp
        * tests/RTCORBA/Priority_Inversion_With_Bands/client.cpp
        * tests/RTCORBA/Priority_Inversion_With_Bands/server.cpp
        * tests/RTCORBA/Private_Connection/client.cpp
        * tests/RTCORBA/Private_Connection/server.cpp
        * tests/RTCORBA/Server_Declared/client.cpp
        * tests/RTCORBA/Server_Declared/server.cpp
        * tests/RTCORBA/Server_Protocol/client.cpp
        * tests/RTCORBA/Server_Protocol/server.cpp
        * tests/RTCORBA/Thread_Pool/client.cpp
        * tests/RTCORBA/Thread_Pool/server.cpp
        * tests/Servant_To_Reference_Test/server.cpp
        * tests/Server_Connection_Purging/server.cpp
        * tests/Server_Leaks/client.cpp
        * tests/Server_Leaks/server.cpp
        * tests/Server_Port_Zero/server.cpp
        * tests/Single_Read/server.cpp
        * tests/Smart_Proxies/Benchmark/client.cpp
        * tests/Smart_Proxies/client.cpp
        * tests/Smart_Proxies/On_Demand/client.cpp
        * tests/Smart_Proxies/Policy/client.cpp
        * tests/Stack_Recursion/client.cpp
        * tests/Stack_Recursion/server.cpp
        * tests/Strategies/client.cpp
        * tests/Timed_Buffered_Oneways/server.cpp
        * tests/Two_Objects/client.cpp
        * tests/Two_Objects/server.cpp
        * tests/Typedef_String_Array/client.cpp
        * tests/Typedef_String_Array/server.cpp
        * tests/UNKNOWN_Exception/server.cpp
        * tests/Xt_Stopwatch/client.cpp
        * tests/ZIOP/client.cpp
        * tests/ZIOP/server.cpp
          ACE_TCHAR changes

Thu Sep 25 20:28:39 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/AMI/server.cpp
        * tests/Portable_Interceptors/Benchmark/client.cpp
        * tests/Portable_Interceptors/Benchmark/Interceptor_Type.cpp
        * tests/Portable_Interceptors/Benchmark/Interceptor_Type.h
        * tests/Portable_Interceptors/Benchmark/marker.cpp
        * tests/Portable_Interceptors/Benchmark/marker.h
        * tests/Portable_Interceptors/Benchmark/server.cpp
        * tests/Portable_Interceptors/Bug_1559/client.cpp
        * tests/Portable_Interceptors/Bug_1559/server.cpp
          ACE_TCHAR changes

Thu Sep 25 20:19:39 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/File_IO/client.cpp:
        * tests/File_IO/server.cpp:
        * tests/Multiple_Inheritance/client.cpp:
        * tests/Multiple_Inheritance/server.cpp:
        * tests/Param_Test/options.cpp:
        * tests/Param_Test/options.h:
        * tests/POA/DSI/server.cp:
        * tests/POA/Forwarding/client.cpp:
        * tests/POA/Forwarding/server.cpp:
        * tests/POA/Object_Reactivation/Object_Reactivation.cpp:
        * tests/POA/On_Demand_Actiation/server.cpp:
        * tests/POA/TIE/client.cpp:
        * tests/UNKNOWN_Exception/client.cpp:
          ACE_TCHAR changes

Thu Sep 25 11:27:39 UTC 2008  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/CosLifeCycle.mpc:

          Changed server skeleton project to inherit from portableserver
          base project.

Thu Sep 25 07:47:24 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * tao/Protocols_Hooks.h:
        * tao/TSS_Resources.h:
        * tao/TSS_Resources.cpp:
        * tao/RTCORBA/Continuous_Priority_Mapping.cpp:
        * tao/RTCORBA/Linear_Priority_Mapping.cpp:
        * tao/RTCORBA/RT_Current.cpp:
        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.h:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:
        * tao/RTCORBA/Thread_Pool.cpp:
        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp:

          The CORBA priority as set by the user with RTCurrent::the_priority
          is now held in thread local storage. This value is propagated in
          request contexts and returned via the RTCurrent accessor method.
          Previously the value propagated / returned was the result of calling
          ::to_CORBA on the result of ::to_native on the original priority
          using the effective priority mapping. This had the potential to
          introduce rounding effects with mappings like 'linear' particularly
          in systems comprised of heterogenuous RTOS flavours.
          An implicit CORBA priority, derived from the native thread priority,
          will now only be transmitted as the request context in the even that
          a CORBA priority hasn't been explicitly set.
          The RTCurrent::the_priority read accessor now throws a
          CORBA::INITIALIZE exception if no value has previously been set via
          the write accessor as required by the spec.
          The RTCurrent::the_priority write accessor will now throw a
          CORBA::BAD_PARAM exception, as required by section "2.6 RTCurrent" of
          the RT specification, if an attempt has been made to set an out of
          range CORBA priority if the effective priority mapping indicates that
          the CORBA priority cannot be mapped to_native or the attempt to set
          the priority on the RTOS has failed. If the CORBA priortiy is not out
          of the maximum permitted range then a DATA_CONVERSION exception will
          continue to be thrown in these circumstances.
          The linear priority mapping has been changed such that, for an
          instance of the linear priority mapping 'pm' and a CORBA::Priority
          'x', the result of calling pm->to_CORBA (pm->to_native (x)) is equal
          to pm->to_CORBA (pm->to_native (pm->to_CORBA (pm->to_native (x)))).
          This means that whilst a rounding effect may occur on the initial
